<?php 
if (!isset($_POST['generateSalesRep'])) {
	header('location: home');
	exit();
}else{
	// include autoloader
	session_start();
	require_once 'dompdf/autoload.inc.php';
	require 'vendor/autoload.php';
	require 'classes/mySQL1.php';
	$mySQL = new mySQL;

	$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
	$mySQL->addParam(":storeCode",$_GET['store']);
	$storeName = $mySQL->singleResult();
	
	require_once "PHPExcel-1.8\Classes\PHPExcel.php";
}

$fileName = 'Sales Responsible';

$objPHPExcel = new PHPExcel();


$objPHPExcel->getProperties()->setCreator("Me")->setLastModifiedBy("Me")->setTitle("CRM")->setSubject("CRM")->setDescription("Excel Sheet")->setKeywords("Excel Sheet")->setCategory("Me");

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);

$title = array(
	'alignment' => array(
		'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER
	),
	'font' => array(
			'size'=>12
			,'bold'=>true
	)
	
);
$dataFormat = array(
	'font' => array(
			'size'=>9
		),
	'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		),
	'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )	
	);
	
$alignmentCenter = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);	
$alignmentRight = array(
		'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        )
	);		
$style = array(
        'alignment' => array(
            'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
            ,'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER
        ),
		'font' => array(
			'size'=>9
			,'bold'=>true
		),
		'borders' => array(
			'allborders'=>array(
				'style'=>PHPExcel_Style_Border::BORDER_THIN
				,'color'=>array('rgb' => '000000')
			)
		)
    );	
	

$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(5);
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(25);
$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(24);;
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(10);
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(45);
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(15);
$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(12);
$objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(12);
$objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(12);
$objPHPExcel->getActiveSheet()->getColumnDimension('I')->setWidth(18);
$objPHPExcel->getActiveSheet()->getColumnDimension('J')->setWidth(10);
$objPHPExcel->getActiveSheet()->getColumnDimension('K')->setWidth(18);

$sDate = date_create($_POST['fromDate']);
$sDate1 = date_create($_POST['toDate']);

//Put each record in a new cell
$mySQL->query("SET SQL_BIG_SELECTS=1");
$mySQL->execute();
						
$mySQL->query('SELECT st.`STORENAME`,tln.`ITEMID`,ivt.`ITEMNAME`,srl.`SERIALNUMBER`,tln.`SALESPRICE`,tln.`SUBTOTAL` - tln.SALESPRICE AS DISCOUNT,tln.SUBTOTAL,tln.TRANSACTIONID,hdr.TRANSACTIONDT FROM table_transaction_header hdr
				LEFT JOIN table_transaction_lines tln ON tln.TRANSACTIONID = hdr.TRANSACTIONID
				LEFT JOIN table_serialnumber_logs srl ON srl.`ITEMID` = tln.`ITEMID` AND srl.`DOCUMENTREF` = hdr.`TRANSACTIONID`
				LEFT JOIN table_inventtable ivt ON ivt.ITEMID = tln.ITEMID
				INNER JOIN setup_stores st ON st.`STORECODE` = hdr.`STORE` 
				WHERE 
				hdr.TRANSTYPE = :type
				and hdr.STORE = :store
				AND hdr.`TRANSACTIONDT` between :date1 and :date2');
$mySQL->addParam(":type",'Sales');
$mySQL->addParam(":store",$_POST['store']);							
$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));					
$sales = $mySQL->resultSet();

$objPHPExcel->getActiveSheet()->setCellValue('A3','IC');
$objPHPExcel->getActiveSheet()->setCellValue('B3','Store');
$objPHPExcel->getActiveSheet()->setCellValue('C3','Item No');
$objPHPExcel->getActiveSheet()->setCellValue('D3','Item Name');
$objPHPExcel->getActiveSheet()->setCellValue('E3','Serial Number');
$objPHPExcel->getActiveSheet()->setCellValue('F3','Sales Price');
$objPHPExcel->getActiveSheet()->setCellValue('G3','Discount');
$objPHPExcel->getActiveSheet()->setCellValue('H3','Net Amount');
$objPHPExcel->getActiveSheet()->setCellValue('I3','Transaction Reference');
$objPHPExcel->getActiveSheet()->setCellValue('J3','Date');
$objPHPExcel->getActiveSheet()->setCellValue('K3','Sales Responsible');

$ic = 4;
	$exCat = "(";
	$flag = true;
	foreach($sales as $sale)
	{
		$name = "";
		$records = 0;
		$mySQL->query('select emp.FULLNAME,resp.RECID from table_transaction_responsible resp 
		left join setup_employee emp on emp.FULLNAME = resp.FULLNAME
		where resp.TRANSACTIONID = :trans
		and emp.PRODUCTCATEGORY = :prodCat
		');
		
		$mySQL->addParam(":trans",$sale['TRANSACTIONID']);
		$mySQL->addParam(":prodCat",$sale['PRODUCTCATEGORY']);
		$salesRep = $mySQL->resultSet();
		
		foreach($salesRep as $rep)
		{
			$records++;
		}
		
		if($records > 1)
		{
			foreach($salesRep as $rep)
			{
				$name = $name.$rep['FULLNAME']." | ";
			}
			$name = rtrim($name," | ");
		}
		elseif($records == 1)
		{
			foreach($salesRep as $rep)
			{
				$name = $rep['FULLNAME'];
			}
		}
		else
		{
			foreach($sales as $sle)
			{
				$exCat = $exCat."'".$sle['PRODUCTCATEGORY']."',";
				$flag = isset($sle['PRODUCTCATEGORY']);
			}
			
			$excludes =rtrim($exCat,",").")";
			if($flag)
			{
			$mySQL->query('select emp.FULLNAME,resp.RECID from table_transaction_responsible resp 
				left join setup_employee emp on emp.FULLNAME = resp.FULLNAME
				where resp.TRANSACTIONID = :trans
				and emp.PRODUCTCATEGORY not in '.$excludes);
			}
			else
			{
				$mySQL->query('select resp.FULLNAME,resp.RECID from table_transaction_responsible resp 
				where resp.TRANSACTIONID = :trans');
			}
			$mySQL->addParam(":trans",$sale['TRANSACTIONID']);
			$excl= $mySQL->resultSet();
			$ex = 0;
			foreach($excl as $rep)
			{
				$ex++;
			}
			
			if($ex > 1)
			{
				foreach($excl as $exc)
				{
					$name = $name.$exc['FULLNAME']." | ";
				}
				$name = rtrim($name," | ");
			}
			elseif($ex == 1)
			{
				foreach($excl as $exc)
				{
					$name = $exc['FULLNAME'];
				}
			}
			
			//$name = $excludes;
			
		}
		$date = date_create($sale['CREATEDDT']);
		$objPHPExcel->getActiveSheet()->setCellValue('A'.$ic,($ic-3));
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$ic,$sale['STORENAME']);
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,$sale['ITEMID']);
		$objPHPExcel->getActiveSheet()->setCellValue('D'.$ic,$sale['ITEMNAME']);
		$objPHPExcel->getActiveSheet()->setCellValue('E'.$ic,"'".$sale['SERIALNUMBER']);
		$objPHPExcel->getActiveSheet()->setCellValue('F'.$ic,$sale['SALESPRICE']);
		$objPHPExcel->getActiveSheet()->setCellValue('G'.$ic,$sale['DISCOUNT']);
		$objPHPExcel->getActiveSheet()->setCellValue('H'.$ic,$sale['SUBTOTAL']);
		$objPHPExcel->getActiveSheet()->setCellValue('I'.$ic,$sale['TRANSACTIONID']);
		$objPHPExcel->getActiveSheet()->setCellValue('J'.$ic,date_format(date_create($sles['TRANSACTIONDT']),'m/d/y'));
		$objPHPExcel->getActiveSheet()->setCellValue('K'.$ic,$name);

		$ic++;
	}

//$objPHPExcel->getActiveSheet()->setCellValue('C'.$ic,'=sum(C6:C'.($ic-1).')');					

	
//$objPHPExcel->getActiveSheet()->getStyle("A1:H2")->applyFromArray($style);
$objPHPExcel->getActiveSheet()->getStyle("A3:K".($ic-1))->applyFromArray($dataFormat);
$objPHPExcel->getActiveSheet()->getStyle("F4:H".($ic-1))->applyFromArray($alignmentRight);
//$objPHPExcel->getActiveSheet()->getStyle('A1:H'.($ic-1))->getAlignment()->setWrapText(true); 
$objPHPExcel->getActiveSheet()->getStyle('F6:H'.$ic)->getNumberFormat()->setFormatCode('#,##0.00');

// Set worksheet title
$objPHPExcel->getActiveSheet()->setTitle("Sales Responsible");

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="' . $fileName . '.xlsx"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
?>