<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['tranDiscID'])) {

         $mySQL->query('SELECT COUNT(1) FROM setup_transaction_discount_store WHERE TRANDISCID=:tranDisc AND STORE=:store');
         $mySQL->addParam(":tranDisc",$_POST['tranDiscID']);
         $mySQL->addParam(":store",$_POST['store']);
         $existing = $mySQL->singleResult();

         if ($existing[0]==0) {
            $mySQL->query('INSERT INTO setup_transaction_discount_store (TRANDISCID,STORE,COMPANY,CREATEDBY,CREATEDDT) VALUES (:tranDisc,:store,:company,:createdBy,:createdDt)');
            $mySQL->addParam(":tranDisc",$_POST['tranDiscID']);
            $mySQL->addParam(":store",$_POST['store']);
            $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
            $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->execute();

            $lastRecID = $mySQL->lastInsertId();

            $mySQL->logAppTrail(
               'UPDATE',
               'Transaction Discount',
               'setup_transaction_discount_store',
               $lastRecID,
               $_POST['tranDiscID'],
               '',
               'Store:'.$_POST['store'],
               'Added Affected Store/s',
               $_SESSION['MI-KIOSK_USER-ONLINE']
            );


         }

        


   	}else{
   		header('location: ../dashboard');
   	}

?>