<?php 
if(isset($_POST['VoucherRef']))
{
require '../classes/mySQL.php';
$mySQL = new mySQL;
session_start();
	
	if(!isset($_POST['decline']))
	{
		$mySQL->query('select * from setup_approval_level where MODULE = :module');
		$mySQL->addParam(':module','Voucher');
		$level = $mySQL->singleResult();
		
		$mySQL->query('select * from setup_users where USERNAME = :usr');
		$mySQL->addParam(':usr',$_SESSION['MI-KIOSK_USER-ONLINE']);
		$usr = $mySQL->singleResult();
		

		$mySQL->query('select * from table_voucher_header where RECID = :rec');
		$mySQL->addParam(":rec",$_POST['VoucherRef']);
		$hdr = $mySQL->singleResult();
		
		if($hdr['VALIDATED'])
		{
			$status = "";
			if($usr['USERLEVEL'] < $level['MAXLEVEL'] && $usr['USERLEVEL'] >= $level['MINLEVEL'])
			{
				$status = 'Partial Approval';
			}
			elseif($usr['USERLEVEL'] == $level['MAXLEVEL'])
			{
				$status = 'Approved';
			}
			
			
			$mySQL->query('insert into table_voucher_approval_logs (VOUCHERREF,STATUS,CREATEDBY) values (:ref,:status,:usr)');
			$mySQL->addParam(":ref",$hdr['VOUCHERREF']);
			$mySQL->addParam(":status",$status);
			$mySQL->addParam(":usr", $_SESSION['MI-KIOSK_USER-ONLINE']);
			$mySQL->execute();
			
			
			if($status == 'Approved')
			{
				$mySQL->query('select * from table_voucher_lines where VOUCHERREF = :ref');
				$mySQL->addParam(':ref',$hdr['VOUCHERREF']);
				$vouchers = $mySQL->resultSet();
				$data = "";
				foreach($vouchers as $voucher)
				{
					$data = $data."('".$voucher['VOUCHERTYPE']."','".$voucher['VOUCHERCODE']."','".$voucher['VALUE']."','".$voucher['VALUETYPE']."','".$voucher['STARTDATE']."','".$voucher['ENDDATE']."',NOW(),'".$_SESSION['MI-KIOSK_COMPANYID-ONLINE']."'),";
				}
				
				$data = rtrim($data,",");
				if($data != "")
				{
					$mySQL->query("insert into table_vouchers (VOUCHERTYPE,VOUCHERCODE,VALUE,VALUETYPE,START,END,CREATEDDATE,COMPANY) values ".$data);
					$mySQL->execute();
				}
			}
			
			
			
			header("location:../upVoucher?notif=".md5(8)); 
			
		}
	}
	else
	{
		$mySQL->query('select * from table_voucher_header where RECID = :rec');
		$mySQL->addParam(":rec",$_POST['VoucherRef']);
		$hdr = $mySQL->singleResult();
		if($hdr['VALIDATED'])
		{	
			$mySQL->query('update table_voucher_header set VALIDATED = 0 where RECID = :rec');
			$mySQL->addParam(":rec",$_POST['VoucherRef']);
			$mySQL->execute();
			
			$mySQL->query('insert into table_voucher_approval_logs (VOUCHERREF,STATUS,CREATEDBY) values (:ref,:status,:usr)');
			$mySQL->addParam(":ref",$hdr['VOUCHERREF']);
			$mySQL->addParam(":status",'Declined');
			$mySQL->addParam(":usr", $_SESSION['MI-KIOSK_USER-ONLINE']);
			$mySQL->execute();	
			
			header("location:../upVoucher?notif=".md5(7)); 
		}

	}
}

?>