<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['saveUser'])) {

         $mySQL->query('SELECT COUNT(1) FROM setup_employee WHERE EMPLID = :id');
         $mySQL->addParam(":id",$_POST['idnum']);
         $existing = $mySQL->singleResult();
         if ($existing[0] == 0) {
			
            $mySQL->query('SELECT COMPANY FROM setup_stores WHERE STORECODE=:storeCode');
            $mySQL->addParam(":storeCode",$_POST['store']);
            $company = $mySQL->singleResult();
			
			$lname = str_replace("'","&apos;",$_POST['lname']);
			$fname = str_replace("'","&apos;",$_POST['fname']);
			$mname = str_replace("'","&apos;",$_POST['mname']);
			$position = str_replace("'","&apos;",$_POST['jobTitle']);
			$id = str_replace("'","&apos;",$_POST['idnum']);
			$name = $fname.' '.(($mname!='')?substr($mname,0,1).'. ':'').$lname;
		 
            $mySQL->query('INSERT INTO setup_employee (FULLNAME,POSITION,CREATEDBY,COMPANY,LASTNAME,FIRSTNAME,MIDDLENAME,EMPLID) VALUES (:fullname,:position,:created,:company,:lname,:fname,:mname,:id)');
            $mySQL->addParam(":fullname",$name);
            $mySQL->addParam(":position",$position);
            $mySQL->addParam(":created",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->addParam(":company",$company['COMPANY']);
            $mySQL->addParam(":lname",$lname);
            $mySQL->addParam(":fname",$fname);
            $mySQL->addParam(":mname",$mname);
            $mySQL->addParam(":id",$id);
            $mySQL->execute();
			
			
            $userRecID = $mySQL->lastInsertId();
            $mySQL->query('INSERT INTO setup_employee_store (REFREC,STORECODE,DEFAULTSTORE,CREATEDBY,COMPANY) VALUES (:ref,:store,:default,:created,:company)');
            $mySQL->addParam(":ref",$userRecID);
            $mySQL->addParam(":store",$_POST['store']);
            $mySQL->addParam(":default",1);
            $mySQL->addParam(":company",$company['COMPANY']);
            $mySQL->addParam(":created",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->execute();
			
            $mySQL->logAppTrail(
               'INSERT',
               'Sales Responsible',
               'setup_sections',
               $userRecID,
               $name,
               '',
               '',
               'Added New User',
               $_SESSION['MI-KIOSK_USER-ONLINE']
            );
			
            header('location: ../employee?notif='.md5(1));
         }else{
            header('location: ../employee?notif='.md5(3));
         }  
   	}else{
   		header('location: ../dashboard');
   	}

?>