<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['saveItem'])) {

         $mySQL->query('SELECT COUNT(1) FROM table_inventtable WHERE ITEMID=:itemID AND COMPANY=:company');
         $mySQL->addParam(":itemID",$_POST['itemID']);
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $existing = $mySQL->singleResult();
         if ($existing[0] == 0) {

            $mySQL->query('INSERT INTO table_inventtable (COMPANY,ITEMID,ITEMNAME,EAN,CREATEDBY,CREATEDDT) VALUES (:company,:itemID,:itemName,:ean,:createdBy,:createdDT)');
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->addParam(":itemID",$_POST['itemID']);
            $mySQL->addParam(":itemName",$_POST['itemName']);
            $mySQL->addParam(":ean",$_POST['barcode']);
            $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->addParam(":createdDT",date('Y-m-d H:i:s'));
            $mySQL->execute();

            $ItemRecID = $mySQL->lastInsertId();

            $mySQL->logAppTrail(
               'INSERT',
               'Item Details',
               'table_inventtable',
               $ItemRecID,
               $_POST['itemID'],
               '',
               '',
               '',
               $_SESSION['MI-KIOSK_USER-ONLINE']
            );
            header('location: ../items?notif='.md5(1));
         }else{
            header('location: ../items?notif='.md5(3));
         }  
   	}else{
   		header('location: ../dashboard');
   	}

?>