<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['pdName'])) {

         if (isset($_POST['deletePriceDisc'])) {

            $mySQL->query('SELECT * FROM table_price_discount WHERE PRICEDISCID=:priceDiscID AND COMPANY=:company');
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->addParam(":priceDiscID",$_POST['deletePriceDisc']);
            $preVal = $mySQL->singleResult();

            $mySQL->query('DELETE FROM table_price_discount WHERE PRICEDISCID=:priceDiscID AND COMPANY=:company');
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->addParam(":priceDiscID",$_POST['deletePriceDisc']);
            $distinctCount = $mySQL->execute();
            $priceDiscountID = $_POST['deletePriceDisc'];
            $logType = 'UPDATE';
         }else{
            $mySQL->query('SELECT COUNT(DISTINCT PRICEDISCID) FROM table_price_discount WHERE COMPANY=:company');
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $distinctCount = $mySQL->singleResult();
            $priceDiscountID = 'PD'.sprintf('%09d',$distinctCount[0]+1);
             $logType = 'INSERT';
         }
         

         //if (isset($_POST['allStore']) && isset($_POST['allItem'])) {
            //insert 1 row with ALL/ALL
            $mySQL->query('INSERT INTO table_price_discount(PRICEDISCID,DISCOUNTNAME,DESCRIPTION,ITEMID,STORE,FROMDATE,TODATE,DISCAMOUNT,DISCPERCENT,CREATEDDT,CREATEDBY,COMPANY) VALUES (:priceDiscID,:discName,:discDesc,:itemID,:store,:fromDate,:toDate,:discAmount,:discPercent,:createdDt,:createdBy,:company)');
            $mySQL->addParam(":priceDiscID",$priceDiscountID);
            $mySQL->addParam(":discName",$_POST['pdName']);
            $mySQL->addParam(":discDesc",$_POST['pdDesc']);
            $mySQL->addParam(":itemID",'ALL');
            $mySQL->addParam(":store",'ALL');
            $mySQL->addParam(":fromDate",$_POST['pdFrom']);
            $mySQL->addParam(":toDate",$_POST['pdTo']);
            $mySQL->addParam(":discAmount",$_POST['pdAmount']);
            $mySQL->addParam(":discPercent",$_POST['pdPercent']);
            $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
            $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->execute();

            $lastInsertId = $mySQL->lastInsertId();

            if ($logType=='UPDATE') {
               $mySQL->logAppTrail(
                  $logType,
                  'Default Discount',
                  'table_price_discount',
                  $lastInsertId,
                  $priceDiscountID,
                  'Name:'.$preVal['DISCOUNTNAME'].'|Description:'.$preVal['DESCRIPTION'].'|From:'.$preVal['FROMDATE'].'|To:'.$preVal['TODATE'].'|Amt:P'.$preVal['DISCAMOUNT'].'|Percent:'.$preVal['DISCPERCENT'].'%',
                  'Name:'.$_POST['pdName'].'|Description:'.$_POST['pdDesc'].'|From:'.$_POST['pdFrom'].'|To:'.$_POST['pdTo'].'|Amt:P'.$_POST['pdAmount'].'|Percent:'.$_POST['pdPercent'].'%',
                  'Updated Default Discount Setup',
                  $_SESSION['MI-KIOSK_USER-ONLINE']
               );
            }else{
               $mySQL->logAppTrail(
                  $logType,
                  'Default Discount',
                  'table_price_discount',
                  $lastInsertId,
                  $priceDiscountID,
                  '',
                  '',
                  'Added New Default Discount',
                  $_SESSION['MI-KIOSK_USER-ONLINE']
               );
            }

            
         //}


         // elseif (isset($_POST['allStore']) && !isset($_POST['allItem'])) {
         //    $items = $_POST['items'];
         //    foreach ($items as $item) {
         //       $mySQL->query('INSERT INTO table_price_discount(PRICEDISCID,DISCOUNTNAME,DESCRIPTION,ITEMID,STORE,FROMDATE,TODATE,DISCAMOUNT,DISCPERCENT,CREATEDDT,CREATEDBY,COMPANY) VALUES (:priceDiscID,:discName,:discDesc,:itemID,:store,:fromDate,:toDate,:discAmount,:discPercent,:createdDt,:createdBy,:company)');
         //       $mySQL->addParam(":priceDiscID",$priceDiscountID);
         //       $mySQL->addParam(":discName",$_POST['pdName']);
         //       $mySQL->addParam(":discDesc",$_POST['pdDesc']);
         //       $mySQL->addParam(":itemID",$item);
         //       $mySQL->addParam(":store",'ALL');
         //       $mySQL->addParam(":fromDate",$_POST['pdFrom']);
         //       $mySQL->addParam(":toDate",$_POST['pdTo']);
         //       $mySQL->addParam(":discAmount",$_POST['pdAmount']);
         //       $mySQL->addParam(":discPercent",$_POST['pdPercent']);
         //       $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         //       $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
         //       $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         //       $mySQL->execute();
         //    }
         // }elseif(!isset($_POST['allStore']) && isset($_POST['allItem'])){
         //    $stores = $_POST['stores'];
         //    foreach ($stores as $store) {
         //      $mySQL->query('INSERT INTO table_price_discount(PRICEDISCID,DISCOUNTNAME,DESCRIPTION,ITEMID,STORE,FROMDATE,TODATE,DISCAMOUNT,DISCPERCENT,CREATEDDT,CREATEDBY,COMPANY) VALUES (:priceDiscID,:discName,:discDesc,:itemID,:store,:fromDate,:toDate,:discAmount,:discPercent,:createdDt,:createdBy,:company)');
         //       $mySQL->addParam(":priceDiscID",$priceDiscountID);
         //       $mySQL->addParam(":discName",$_POST['pdName']);
         //       $mySQL->addParam(":discDesc",$_POST['pdDesc']);
         //       $mySQL->addParam(":itemID",'ALL');
         //       $mySQL->addParam(":store",$store);
         //       $mySQL->addParam(":fromDate",$_POST['pdFrom']);
         //       $mySQL->addParam(":toDate",$_POST['pdTo']);
         //       $mySQL->addParam(":discAmount",$_POST['pdAmount']);
         //       $mySQL->addParam(":discPercent",$_POST['pdPercent']);
         //       $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         //       $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
         //       $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         //       $mySQL->execute();
         //    } 
         // }else{
         //    $stores = $_POST['stores'];
         //    $items = $_POST['items'];
         //    foreach ($stores as $store) {
         //       foreach ($items as $item) {
         //          $mySQL->query('INSERT INTO table_price_discount(PRICEDISCID,DISCOUNTNAME,DESCRIPTION,ITEMID,STORE,FROMDATE,TODATE,DISCAMOUNT,DISCPERCENT,CREATEDDT,CREATEDBY,COMPANY) VALUES (:priceDiscID,:discName,:discDesc,:itemID,:store,:fromDate,:toDate,:discAmount,:discPercent,:createdDt,:createdBy,:company)');
         //          $mySQL->addParam(":priceDiscID",$priceDiscountID);
         //          $mySQL->addParam(":discName",$_POST['pdName']);
         //          $mySQL->addParam(":discDesc",$_POST['pdDesc']);
         //          $mySQL->addParam(":itemID",$item);
         //          $mySQL->addParam(":store",$store);
         //          $mySQL->addParam(":fromDate",$_POST['pdFrom']);
         //          $mySQL->addParam(":toDate",$_POST['pdTo']);
         //          $mySQL->addParam(":discAmount",$_POST['pdAmount']);
         //          $mySQL->addParam(":discPercent",$_POST['pdPercent']);
         //          $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         //          $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
         //          $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         //          $mySQL->execute();
         //       }
         //    }
         // }


         


         if (isset($_POST['deletePriceDisc'])) {
            header('location: ../discounts?notif='.md5(2));
         }else{
            header('location: ../discounts?notif='.md5(1));
         }
         
       
   	}else{
   		header('location: ../dashboard');
   	}

?>