<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;

   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }


   	if (isset($_POST['ton'])) {

         // $mySQL->query('UPDATE table_ton_header SET STATUS=:status, RECEIVEDDT=:receiveDt WHERE TRANSREFID=:ton');
         // $mySQL->addParam(":status",'Received From Store');
         // $mySQL->addParam(":receiveDt",date('Y-m-d H:i:s'));
         // $mySQL->addParam(":ton",$_POST['ton']);
         // $mySQL->execute();


         $mySQL->query('SELECT * FROM table_serialnumber_available WHERE CURREFERENCE=:curRef AND CURLOCATION=:curLocation AND IFAVAILABLE=:zero');
         $mySQL->addParam(":zero",0);
         $mySQL->addParam(":curRef",$_POST['ton']);
         $mySQL->addParam(":curLocation",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $toReceive = $mySQL->resultSet();
         foreach ($toReceive as $serial) {
            $mySQL->query('INSERT INTO table_serialnumber_logs (WHFROM,WHTO,DOCUMENTREF,TRANSTYPE,ITEMID,EAN,SERIALNUMBER,CREATEDDT,CREATEDBY,COMPANY) VALUES (:tFRom,:tTo,:curRef,:type,:itemID,:ean,:serialNumber,:createdDt,:createdBy,:company)');
            $mySQL->addParam(":tFRom",$serial['CURLOCATION']);
            $mySQL->addParam(":tTo",$serial['CURLOCATION']);
            $mySQL->addParam(":curRef",$serial['CURREFERENCE']);
            $mySQL->addParam(":type",1);
            $mySQL->addParam(":itemID",$serial['ITEMID']);
            $mySQL->addParam(":ean",$serial['EAN']);
            $mySQL->addParam(":serialNumber",$serial['SERIALNUMBER']);
            $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
            $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->execute();
         }


         $mySQL->query('INSERT INTO table_ton_status (TRANSREFID,STATUS,STORE,COMPANY,CREATEDDT) VALUES (:transrefID,:status,:store,:company,:createdDt)');
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->addParam(":transrefID",$_POST['ton']);
         $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         $mySQL->addParam(":status",'Received By Store');
         $mySQL->execute();


         // $mySQL->query('UPDATE table_serialnumber_available SET IFAVAILABLE=:one,MODIFIEDDT=:received WHERE CURREFERENCE=:curRef AND CURLOCATION=:curLocation');
         // $mySQL->addParam(":one",1);
         // $mySQL->addParam(":received",date('Y-m-d H:i:s'));
         // $mySQL->addParam(":curRef",$_POST['ton']);
         // $mySQL->addParam(":curLocation",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         // $mySQL->execute();



         $mySQL->query('SELECT * FROM table_ton_lines WHERE TRANSREFID=:ton');
         $mySQL->addParam(":ton",$_POST['ton']);
         $tonLines = $mySQL->resultSet();

         foreach ($tonLines as $tonLine) {
             $mySQL->insertInventTrans(
               $_SESSION['MI-KIOSK_COMPANYID-ONLINE'],
               $_SESSION['MI-KIOSK_STORE-ONLINE'],
               $tonLine['TRANSREFID'],
               $tonLine['ITEMID'],
               $tonLine['QTYSHIPPED'],
               $_SESSION['MI-KIOSK_USER-ONLINE'],
               date('Y-m-d H:i:s'),
               'Transfer'
            );

            // $mySQL->updateInventSum(
            //    $_SESSION['MI-KIOSK_COMPANYID-ONLINE'],
            //    $_SESSION['MI-KIOSK_STORE-ONLINE'],
            //    $tonLine['ITEMID'],
            //    $tonLine['QTYSHIPPED']
            // );

         }

         $mySQL->logAppTrail(
            'UPDATE',
            'Receive TON',
            'table_ton_header|table_ton_lines',
            0,
            $_POST['ton'],
            '',
            '',
            'Received TON',
            $_SESSION['MI-KIOSK_USER-ONLINE']
         );
        


      
         header('location: ../receiving?notif='.md5(1));
          
   	}else{
   		header('location: ../dashboard');
   	}

?>