<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['refundCredit'])) {
         $mySQL->query('INSERT INTO table_return_logs (RETURNID,STATUS,CREDITEDAMOUNT,ALLOWREFUND,CREATEDBY,CREATEDDT,COMPANY,STORE) VALUES (:returnID,:status,:creditedAmount,:allowRef,:createdBy,:createdDt,:company,:store)');
         $mySQL->addParam(":returnID",$_POST['returnID']);
         $mySQL->addParam(":status",'Refunded');
         $mySQL->addParam(":creditedAmount",$_POST['amount'] * -1);
         $mySQL->addParam(":allowRef",0);
         $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->execute();
         

        $transactionID = $mySQL->generateTransactionId($_SESSION['MI-KIOSK_STORE-ONLINE']);

         $mySQL->query('INSERT INTO table_transaction_header (TRANSTYPE,TRANSACTIONID,VATINC,VATREF,EWTINC,EWTREF,GROSSAMOUNT,VATABLESALES,VATAMOUNT,EWTAMOUNT,TOTALPAYABLE,TENDEREDAMOUNT,PRINTED,TRANSACTIONDT,COMPANY,STORE,CREATEDDT,CREATEDBY) VALUES (:transType,:transactionID,:vatInc,:vatRef,:ewtInc,:ewtRef,:grossAmount,:vatableSales,:vatAmount,:ewtAmount,:totalPayable,:tenderedAmount,:printed,:transactionDt,:company,:store,:createdDt,:createdBy)');
         $mySQL->addParam(":transType",'Refund');
         $mySQL->addParam(":transactionID",$transactionID);
         $mySQL->addParam(":vatInc",0);
         $mySQL->addParam(":vatRef",0);
         $mySQL->addParam(":ewtInc",0);
         $mySQL->addParam(":ewtRef",0);
         $mySQL->addParam(":grossAmount",0);
         $mySQL->addParam(":vatableSales",0);
         $mySQL->addParam(":vatAmount",0);
         $mySQL->addParam(":ewtAmount",0);
         $mySQL->addParam(":totalPayable",0);
         $mySQL->addParam(":tenderedAmount",0);
         $mySQL->addParam(":printed",0);
         $mySQL->addParam(":transactionDt",date('Y-m-d'));
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->execute();

         $mySQL->query('INSERT INTO table_transaction_tender (TRANSACTIONID,TENDERTYPE,REFERENCE,AMOUNT,COMPANY,STORE) VALUES (:transactionID,:tenderType,:reference,:amount,:company,:store)');
         $mySQL->addParam(":transactionID",$transactionID);
         $mySQL->addParam(":tenderType",'CASH');
         $mySQL->addParam(":reference",$_POST['returnID']);
         $mySQL->addParam(":amount",$_POST['amount'] * -1);
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->execute();

         $mySQL->logAppTrail(
            'UPDATE',
            'Transactions',
            'table_return_header',
            0,
            $_POST['returnID'],
            '',
            '',
            'Refunded Return Credits',
            $_SESSION['MI-KIOSK_USER-ONLINE']
         );


         header('location: ../return?notif='.md5(2));
         
          
   	}else{
   		header('location: ../profile');
   	}

?>