<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

      $mySQL->query('SELECT * FROM temp_transaction_header WHERE USERNAME=:username AND TRANSTYPE=:type');
      $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
      $mySQL->addParam(":type",'Sales');
      $tranHdr = $mySQL->singleResult();


      $mySQL->query('SELECT temp.ITEMID,temp.SALESPRICE,temp.DISCAMOUNT,temp.DISCPERCENT,it.EAN,
      SUM(temp.QTY) QTY, 
      SUM(temp.SUBTOTAL) SUBTOTAL
      FROM temp_transaction temp JOIN table_inventtable it ON temp.ITEMID=it.ITEMID
      WHERE temp.TRANSTYPE=:type AND temp.USERNAME=:username 
      GROUP BY temp.ITEMID,temp.SALESPRICE,temp.DISCAMOUNT,temp.DISCPERCENT,it.EAN');
      $mySQL->addParam(":type",'Sales');
      $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
      $tranLines = $mySQL->resultSet();

  
      $mySQL->query('SELECT * FROM temp_transaction_tender WHERE USERNAME=:username AND TRANSTYPE=:type');
      $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
      $mySQL->addParam(":type",'Sales');
      $tranTenders = $mySQL->resultSet();




      

   	if ($tranHdr && $tranLines && $tranTenders) {

         $transactionID = $mySQL->generateTransactionId($_SESSION['MI-KIOSK_STORE-ONLINE']);

         $mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
         $mySQL->addParam(":setup",'VAT');
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $vatPercent = $mySQL->singleResult();

         $mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
         $mySQL->addParam(":setup",'EWT');
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $ewtPercent = $mySQL->singleResult();

         $net = 0;
         $vatable = 0;
         $lineNum = 1;
         foreach ($tranLines as $tranLine) {
            $mySQL->query('INSERT INTO table_transaction_lines (TRANSACTIONID,LINENUM,ITEMID,EAN,QTY,SALESPRICE,DISCAMOUNT,DISCPERCENT,SUBTOTAL,VATABLE,CREATEDDT,COMPANY,STORE) VALUES (:transactionID,:lineNum,:itemID,:ean,:qty,:salesPrice,:discAmount,:discPercent,:subTotal,:vatable,:createdDt,:company,:store)');
            $mySQL->addParam(":transactionID",$transactionID);
            $mySQL->addParam(":lineNum",$lineNum);
            $mySQL->addParam(":itemID",$tranLine['ITEMID']);
            $mySQL->addParam(":ean",$tranLine['EAN']);
            $mySQL->addParam(":qty",$tranLine['QTY']);
            $mySQL->addParam(":salesPrice",$tranLine['SALESPRICE']);
            $mySQL->addParam(":discAmount",$tranLine['DISCAMOUNT'] / ($tranHdr['VAT']==0 ? $vatPercent['VALUE'] : 1));
            $mySQL->addParam(":discPercent",(is_null($tranLine['DISCPERCENT']) ? 0 : $tranLine['DISCPERCENT']));
            $mySQL->addParam(":subTotal",$tranLine['SUBTOTAL'] / ($tranHdr['VAT']==0 ? $vatPercent['VALUE'] : 1));
            $mySQL->addParam(":vatable",$tranLine['SUBTOTAL'] / $vatPercent[0]);
            $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
            $mySQL->execute();

            $lineNum++;

            $mySQL->insertInventTrans(
               $_SESSION['MI-KIOSK_COMPANYID-ONLINE'],
               $_SESSION['MI-KIOSK_STORE-ONLINE'],
               $transactionID,
               $tranLine['ITEMID'],
               $tranLine['QTY'] * -1,
               $_SESSION['MI-KIOSK_USER-ONLINE'],
               date('Y-m-d H:i:s'),
               'Sales'
            );

            $net = $net + $tranLine['SUBTOTAL'];
         }

         $tendered = 0;
         foreach ($tranTenders as $tranTender) {
            if ($tranTender['TYPE'] == 'RETURN CREDIT') {
               $mySQL->query('INSERT INTO table_return_logs (RETURNID,STATUS,CREDITEDAMOUNT,ALLOWREFUND,CREATEDBY,CREATEDDT,COMPANY,STORE) VALUES (:returnID,:status,:creditedAmount,:allowRef,:createdBy,:createdDt,:company,:store)');
               $mySQL->addParam(":returnID",$tranTender['REFERENCE']);
               $mySQL->addParam(":status",'Used');
               $mySQL->addParam(":creditedAmount",$tranTender['AMOUNT'] * -1);
               $mySQL->addParam(":allowRef",0);
               $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
               $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
               $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
               $mySQL->execute();
            }
            $mySQL->query('INSERT INTO table_transaction_tender (TRANSACTIONID,TENDERTYPE,REFERENCE,AMOUNT,COMPANY,STORE) VALUES (:transactionID,:tenderType,:reference,:amount,:company,:store)');
            $mySQL->addParam(":transactionID",$transactionID);
            $mySQL->addParam(":tenderType",$tranTender['TYPE']);
            $mySQL->addParam(":reference",$tranTender['REFERENCE']);
            $mySQL->addParam(":amount",$tranTender['AMOUNT']);
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
            $mySQL->execute();
            $tendered = $tendered + $tranTender['AMOUNT'];
         }

         $vatEx = $net / $vatPercent[0];
         
         
         if ($tranHdr['EWT'] == 1) {
            $ewt = $vatEx * $ewtPercent[0];
         }else{
            $ewt = 0;
         }

         if ($tranHdr['VAT'] == 1) {
            $total = $net - $ewt;
            $vat = $net - $vatEx;
         }else{
            $total = $vatEx - $ewt;
            $net = $vatEx;
            $vat=0;
            $vatEx =0;
         }



         $mySQL->query('SELECT temp.*,it.EAN FROM temp_transaction temp JOIN table_inventtable it ON temp.ITEMID=it.ITEMID 
            WHERE temp.SERIALNUMBER IS NOT NULL AND 
            temp.SERIALNUMBER != :whitespace AND temp.USERNAME=:username AND temp.TRANSTYPE=:sales');
         $mySQL->addParam(":whitespace",'');
         $mySQL->addParam(":sales",'Sales');
         $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $serials = $mySQL->resultSet();
         foreach ($serials as $serial) {
           $mySQL->query('SELECT LINENUM FROM table_transaction_lines WHERE TRANSACTIONID=:transactionID 
            AND ITEMID=:itemID AND DISCAMOUNT=:discAmount AND DISCPERCENT=:discPercent');
           $mySQL->addParam(":transactionID",$transactionID);
           $mySQL->addParam(":itemID",$serial['ITEMID']);
           $mySQL->addParam(":discAmount",number_format($serial['DISCAMOUNT'] / ($tranHdr['VAT']==0 ? $vatPercent['VALUE'] : 1),2));
           $mySQL->addParam(":discPercent",(is_null($serial['DISCPERCENT']) ? 0 : $serial['DISCPERCENT']));
           $lineNum = $mySQL->singleResult();
            $mySQL->insertSerialNumberLogs(
               $_SESSION['MI-KIOSK_STORE-ONLINE'],
               $transactionID,
               $transactionID,
               3,
               $lineNum['LINENUM'],
               $serial['ITEMID'],
               $serial['EAN'],
               $serial['SERIALNUMBER'],
               date('Y-m-d H:i:s'),
               $_SESSION['MI-KIOSK_USER-ONLINE'],
               $_SESSION['MI-KIOSK_COMPANYID-ONLINE']
            );
         }



         $mySQL->query('INSERT INTO table_transaction_header (TRANSTYPE,TRANSACTIONID,CUSTOMERID,VATINC,VATREF,EWTINC,EWTREF,GROSSAMOUNT,VATABLESALES,VATAMOUNT,EWTAMOUNT,TOTALPAYABLE,TENDEREDAMOUNT,PRINTED,TRANSACTIONDT,COMPANY,STORE,CREATEDDT,CREATEDBY) VALUES (:transType,:transactionID,:customerID,:vatInc,:vatRef,:ewtInc,:ewtRef,:grossAmount,:vatableSales,:vatAmount,:ewtAmount,:totalPayable,:tenderedAmount,:printed,:transactionDt,:company,:store,:createdDt,:createdBy)');
         $mySQL->addParam(":transType",'Sales');
         $mySQL->addParam(":transactionID",$transactionID);
         $mySQL->addParam(":customerID",$tranHdr['CUSTOMERID']);
         $mySQL->addParam(":vatInc",$tranHdr['VAT']);
         $mySQL->addParam(":vatRef",$tranHdr['VATREF']);
         $mySQL->addParam(":ewtInc",$tranHdr['EWT']);
         $mySQL->addParam(":ewtRef",$tranHdr['EWTREF']);
         $mySQL->addParam(":grossAmount",$net);
         $mySQL->addParam(":vatableSales",$vatEx);
         $mySQL->addParam(":vatAmount",$vat);
         $mySQL->addParam(":ewtAmount",$ewt);
         $mySQL->addParam(":totalPayable",$total);
         $mySQL->addParam(":tenderedAmount",$tendered);
         $mySQL->addParam(":printed",0);
         $mySQL->addParam(":transactionDt",date('Y-m-d'));
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->execute();

         $lastInsertId = $mySQL->lastInsertId();

         $mySQL->logAppTrail(
            'INSERT',
            'Transactions',
            'table_transaction_header|table_transaction_lines',
            $lastInsertId,
            $transactionID,
            '',
            '',
            'Saved Regular Sales Trasansaction',
            $_SESSION['MI-KIOSK_USER-ONLINE']
         );
         
         header('location: terminateTransaction.php?type=Sales&print='.$transactionID);
        
   	}else{
   		header('location: ../newsales');
   	}

?>