<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;

   require '../classes/axSQL.php';
   $axSQL = new axSQL;

   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['ton'])) {
         $axSQL->query('SELECT * FROM INVENTTRANSFERTABLE WHERE TRANSFERID=:ton AND DATAAREAID=:mi');
         $axSQL->addParam(":ton",$_POST['ton']);
         $axSQL->addParam(":mi",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $header = $axSQL->singleResult();
        // if ($mySQL->acceptHOTrans($header['INVENTLOCATIONIDTO'],$_SESSION['MI-KIOSK_COMPANYID-ONLINE']) == false) {
        //    header('location: ../shippedton?notif='.md5(3));
        // }else{
            $mySQL->query('SELECT COUNT(1) FROM table_ton_header WHERE TRANSREFID=:ton');
            $mySQL->addParam(":ton",$_POST['ton']);
            $existing = $mySQL->singleResult();
            if ($existing[0] == 0) {

               // $axSQL->query('SELECT * FROM INVENTTRANSFERTABLE WHERE TRANSFERID=:ton AND DATAAREAID=:mi');
               // $axSQL->addParam(":ton",$_POST['ton']);
               // $axSQL->addParam(":mi",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               // $header = $axSQL->singleResult();

               $axSQL->query('SELECT * FROM INVENTTRANSFERLINE WHERE TRANSFERID=:ton AND DATAAREAID=:mi');
               $axSQL->addParam(":ton",$_POST['ton']);
               $axSQL->addParam(":mi",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               $lines = $axSQL->resultSet();

               $axSQL->query('SELECT sc.ITEMID,sc.TRANSREFID,sc.IMEI,sc.CREATEDDATETIME,MAX(bc.ITEMBARCODE) ITEMBARCODE FROM ITD_XIAOMI_IMEI_SCANNING sc
                  JOIN INVENTITEMBARCODE bc ON sc.ITEMID=bc.ITEMID AND sc.DATAAREAID=bc.DATAAREAID
                  WHERE sc.TRANSREFID=:ton AND sc.DATAAREAID=:mi
				  group by sc.ITEMID,sc.TRANSREFID,sc.IMEI,sc.CREATEDDATETIME');
               $axSQL->addParam(":ton",$_POST['ton']);
               $axSQL->addParam(":mi",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               $serials = $axSQL->resultSet();

               $mySQL->query('INSERT INTO table_ton_status (TRANSREFID,STATUS,STORE,COMPANY,CREATEDDT,CREATEDBY) VALUES (:transrefID,:status,:store,:company,:createdDt,:createdBy)');
               $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               $mySQL->addParam(":store",$header['INVENTLOCATIONIDTO']);
               $mySQL->addParam(":transrefID",$header['TRANSFERID']);
               $mySQL->addParam(":status",'Sent To Store');
               $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
               $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
               $mySQL->execute();

               $mySQL->query('INSERT INTO table_ton_header (COMPANY,TRANSREFID,TRANSFERTYPE,WHFROM,WHTO,SHIPDATE,CREATEDDT,CREATEDBY) VALUES (:company,:transrefID,:transType,:whFrom,:whTo,:shipDate,:createdDt,:createdBy)');
               $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               $mySQL->addParam(":transrefID",$header['TRANSFERID']);
               $mySQL->addParam(":transType",$header['STARPAPER_TRANSFERTYPE']);
               $mySQL->addParam(":whFrom",$header['INVENTLOCATIONIDFROM']);
               $mySQL->addParam(":whTo",$header['INVENTLOCATIONIDTO']);
               $mySQL->addParam(":shipDate",$header['SHIPDATE']);
               $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
               $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
               $mySQL->execute();
               $tonRecID = $mySQL->lastInsertId();

               $axSQL->query('UPDATE ITD_POS_TON_DISC_HEADER SET ISSTOREDELIVERY=:one WHERE TRANSFERORDER=:transrefID AND DATAAREAID=:company');
               $axSQL->addParam(":transrefID",$_POST['ton']);
               $axSQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               $axSQL->addParam(":one",1);
               $axSQL->execute();

               foreach ($lines as $line) {
                  $mySQL->query('INSERT INTO table_ton_lines (COMPANY,WHFROM,WHTO,TRANSREFID,LINENUM,ITEMID,INVENTDIMID,INVENTTRANSID,QTYTRANSFER,QTYSHIPPED,SHIPDATE,CREATEDDT,CREATEDBY) VALUES (:company,:whFrom,:whTo,:transrefID,:lineNum,:itemID,:inventDim,:inventTrans,:qtyTransfered,:qtyShipped,:shipDate,:createdDt,:createdBy)');
                  $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
                  $mySQL->addParam(":whFrom",$header['INVENTLOCATIONIDFROM']);
                  $mySQL->addParam(":whTo",$header['INVENTLOCATIONIDTO']);
                  $mySQL->addParam(":transrefID",$line['TRANSFERID']);
                  $mySQL->addParam(":lineNum",$line['LINENUM']);
                  $mySQL->addParam(":itemID",$line['ITEMID']);
                  $mySQL->addParam(":inventDim",$line['INVENTDIMID']);
                  $mySQL->addParam(":inventTrans",$line['INVENTTRANSID']);
                  $mySQL->addParam(":qtyTransfered",$line['QTYTRANSFER']);
                  $mySQL->addParam(":qtyShipped",$line['QTYSHIPPED']);
                  $mySQL->addParam(":shipDate",$line['SHIPDATE']);
                  $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
                  $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
                  $mySQL->execute();

               } 

               foreach ($serials as $serial) {
                  $mySQL->query('INSERT INTO table_serialnumber_logs (COMPANY,WHFROM,WHTO,DOCUMENTREF,TRANSTYPE,ITEMID,EAN,SERIALNUMBER,SCANNEDDATE,CREATEDDT,CREATEDBY) VALUES (:company,:whFrom,:whTo,:ton,:transType,:itemID,:ean,:serialNumber,:scanDate,:createdDt,:createdBy)');
                  $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
                  $mySQL->addParam(":whFrom",$header['INVENTLOCATIONIDFROM']);
                  $mySQL->addParam(":whTo",$header['INVENTLOCATIONIDTO']);
                  $mySQL->addParam(":ton",$header['TRANSFERID']);
                  $mySQL->addParam(":transType",0);
                  $mySQL->addParam(":itemID",$serial['ITEMID']);
                  $mySQL->addParam(":ean",$serial['ITEMBARCODE']);
                  $mySQL->addParam(":serialNumber",$serial['IMEI']);
                  $mySQL->addParam(":scanDate",$serial['CREATEDDATETIME']);
                  $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
                  $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
                  $mySQL->execute();

                  // $curLogID = $mySQL->lastInsertId();

                  // $mySQL->query('SELECT COUNT(1) FROM table_serialnumber_available WHERE SERIALNUMBER=:serialNumber AND ITEMID=:itemID');
                  // $mySQL->addParam(":itemID",$serial['ITEMID']);
                  // $mySQL->addParam(":serialNumber",$serial['IMEI']);
                  // $existingSerial = $mySQL->singleResult();
                  // if ($existingSerial[0] == 0) {
                  //    $mySQL->query('INSERT INTO table_serialnumber_available (COMPANY,ITEMID,SERIALNUMBER,IFAVAILABLE,CURLOCATION,CURREFERENCE,CREATEDBY,CREATEDDT,MODIFIEDDT) VALUES (:company,:itemID,:serialNumber,:avail,:curLocation,:curRef,:createdBy,:createdDt,:modifiedDt)');
                  //    $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
                  //    $mySQL->addParam(":itemID",$serial['ITEMID']);
                  //    $mySQL->addParam(":serialNumber",$serial['IMEI']);
                  //    $mySQL->addParam(":avail",0);
                  //    $mySQL->addParam(":curLocation",$header['INVENTLOCATIONIDTO']);
                  //    $mySQL->addParam(":curRef",$header['TRANSFERID']);
                  //    $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
                  //    $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
                  //    $mySQL->addParam(":modifiedDt",date('Y-m-d H:i:s'));
                  //    $mySQL->execute();
                  // }else{
                  //    $mySQL->query('UPDATE table_serialnumber_available SET IFAVAILABLE=:one,CURLOCATION=:curLocation,CURREFERENCE=:curRef,MODIFIEDDT=:modifiedDt,CURLOGRECID=:curLogID WHERE SERIALNUMBER=:serialNumber AND ITEMID=:itemID');
                  //    $mySQL->addParam(":itemID",$serial['ITEMID']);
                  //    $mySQL->addParam(":serialNumber",$serial['IMEI']);
                  //    $mySQL->addParam(":one",0);
                  //    $mySQL->addParam(":curLocation",$header['INVENTLOCATIONIDTO']);
                  //    $mySQL->addParam(":curRef",$header['TRANSFERID']);
                  //    $mySQL->addParam(":modifiedDt",date('Y-m-d H:i:s'));
                  //    $mySQL->addParam(":curLogID",$curLogID);
                  //    $mySQL->execute();
                  // }
               }

               
               $mySQL->logAppTrail(
                  'INSERT',
                  'Shipped TON',
                  'table_ton_header|table_ton_lines',
                  $tonRecID,
                  $_POST['ton'],
                  '',
                  '',
                  'TON Sent to Store',
                  $_SESSION['MI-KIOSK_USER-ONLINE']
               );

               header('location: ../shippedton?notif='.md5(1));
            }else{
               header('location: ../shippedton?notif='.md5(2));
            }
        // }

           
   	}else{
   		header('location: ../dashboard');
   	}

?>