<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['saveStore'])) {

         $mySQL->query('SELECT COUNT(1) FROM setup_stores WHERE STORECODE=:storeCode OR STORENAME=:storeName');
         $mySQL->addParam(":storeCode",$_POST['storeCode']);
         $mySQL->addParam(":storeName",$_POST['storeName']);
         $existing = $mySQL->singleResult();
         if ($existing[0] == 0) {

            $mySQL->query('INSERT INTO setup_stores (COMPANY,STORECODE,STORENAME,ALIAS,CREATEDBY) VALUES (:company,:storeCode,:storeName,:alias,:createdBy)');
            $mySQL->addParam(":company",$_POST['company']);
            $mySQL->addParam(":storeCode",$_POST['storeCode']);
            $mySQL->addParam(":storeName",$_POST['storeName']);
            $mySQL->addParam(":alias",$_POST['storeAlias']);
            $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->execute();

            $storeRecID = $mySQL->lastInsertId();

            // $mySQL->query('INSERT INTO app_sync_cycle (COMPANY,STORE) VALUES (:company,:storeCode)');
            // $mySQL->addParam(":company",$_POST['company']);
            // $mySQL->addParam(":storeCode",$_POST['storeCode']);
            // $mySQL->execute();

            $mySQL->query('INSERT INTO app_sync_portal (COMPANY,STORE) VALUES (:company,:storeCode)');
            $mySQL->addParam(":company",$_POST['company']);
            $mySQL->addParam(":storeCode",$_POST['storeCode']);
            $mySQL->execute();


            $mySQL->query('SELECT * FROM app_setup1');
            $mySQL->addParam(":company",$_POST['company']);
            $setups = $mySQL->resultSet();

            foreach ($setups as $setup) {
               $mySQL->query('INSERT INTO app_setup (COMPANY,STORE,SETUPNAME,YESNO,VALUE,LABEL,DESCRIPTION) VALUES (:company,:storeCode,:setupName,:yesNo,:value,:label,:description)');
               $mySQL->addParam(":company",$_POST['company']);
               $mySQL->addParam(":storeCode",$_POST['storeCode']);
               $mySQL->addParam(":setupName",$setup['SETUPNAME']);
               $mySQL->addParam(":yesNo",$setup['YESNO']);
               $mySQL->addParam(":value",$setup['VALUE']);
               $mySQL->addParam(":label",$setup['LABEL']);
               $mySQL->addParam(":description",$setup['DESCRIPTION']);
               $mySQL->execute();
            }




            // $tables = array(
            //          'app_payment_types',
            //          'setup_stores',
            //          'setup_user_keys',
            //          'setup_user_store',
            //          'setup_users',
            //          'table_customer',
            //          'table_inventtable',
            //          'table_inventtrans',
            //          'table_presales',
            //          'table_presales_logs',
            //          'table_presell_header',
            //          'table_presell_items',
            //          'table_presell_lines',
            //          'table_price_discount',
            //          'table_price_group',
            //          'table_return_header',
            //          'table_return_lines',
            //          'table_return_logs',
            //          'table_Serialnumber_available',
            //          'table_serialnumber_logs',
            //          'table_ton_header',
            //          'table_ton_lines',
            //          'table_ton_status',
            //          'table_transaction_header',
            //          'table_transaction_lines',
            //          'table_transaction_tender',
            //                );

            // foreach ($tables as $table) {
            //    $mySQL->query('INSERT INTO setup_sync_recid (TABLENAME,STORE,COMPANY) VALUES (:tableName,:storeCode,:company)');
            //    $mySQL->addParam(":tableName",$table);
            //    $mySQL->addParam(":company",$_POST['company']);
            //    $mySQL->addParam(":storeCode",$_POST['storeCode']);
            //    $mySQL->execute();
            // }

            
            $mySQL->logAppTrail(
               'INSERT',
               'Stores',
               'setup_stores',
               $storeRecID,
               $_POST['storeCode'],
               '',
               '',
               'Added New Store',
               $_SESSION['MI-KIOSK_USER-ONLINE']
            );
            header('location: ../stores?notif='.md5(1));
         }else{
            header('location: ../stores?notif='.md5(3));
         }  
   	}else{
   		header('location: ../dashboard');
   	}

?>