<?php
   session_start();

   require '../classes/mySQL.php';
   $mySQL = new mySQL;

   require '../classes/axSQL.php';
   $axSQL = new axSQL;

   
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

      if (isset($_GET['serial']) && isset($_GET['itemID'])) {

         $axSQL->query('SELECT *
               FROM ITD_XIAOMI_IMEI_SCANNING scan
               WHERE  scan.TRANSREFID = :ton AND scan.IMEI=:serialNumber');
         $axSQL->addParam(":ton",$_GET['ton']);
         $axSQL->addParam(":serialNumber",$_GET['serial']);
         $serial = $axSQL->singleResult();

         if ($serial) {
            $mySQL->query('DELETE FROM temp_pullout_serials WHERE TRANSREFID=:ton AND SERIALNUMBER=:serialNumber');
            $mySQL->addParam(":ton",$_GET['ton']);
            $mySQL->addParam(":serialNumber",$_GET['serial']);
            $mySQL->execute();
            if ($_GET['val'] == 'true') {
               $mySQL->query('INSERT INTO temp_pullout_serials (TRANSREFID,ITEMID,SERIALNUMBER,STORE,COMPANY) 
                  VALUES (:ton,:itemID,:serialNumber,:store,:company)');
               $mySQL->addParam(":ton",$serial['TRANSREFID']);
               $mySQL->addParam(":itemID",$serial['ITEMID']);
               $mySQL->addParam(":serialNumber",$serial['IMEI']);
               $mySQL->addParam(":store",$serial['PREVIOUSLOCATION']);
               $mySQL->addParam(":company",$serial['DATAAREAID']);
               $mySQL->execute();

               echo '<small class="text-bold text-success">Success: '.$_GET['serial'].' tagged.</small>';
            }else{
               echo '<small class="text-bold text-warning">Untagged: '.$_GET['serial'].' untagged.</small>';
            }
            
         }else{
            echo '<small class="text-bold text-danger">Error: Invalid Serial Number</small>';
         }





 
         

      }else{
         header('location: ../dashboard');
      }

?>