<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['pdName'])) {

         if ($_POST['pdFrom'] <= $_POST['pdTo']) {
            $mySQL->query('SELECT COUNT(1) FROM setup_transaction_discount WHERE NAME=:name');
            $mySQL->addParam(":name",$_POST['pdName']);
            $existing = $mySQL->singleResult();
            if ($existing[0]==0) {

               $mySQL->query('SELECT COUNT(1) FROM setup_transaction_discount');
               $tdCount = $mySQL->singleResult();
               $discID = 'PD'.sprintf('%07d',$tdCount[0]+1);

               $mySQL->query('INSERT INTO setup_transaction_discount (TRANDISCID,NAME,DESCRIPTION,TYPE,FROMDATE,TODATE,VALUE,COMPANY,CREATEDBY) VALUES (:discID,:name,:description,:type,:fromDate,:toDate,:value,:company,:createdBy)');
               $mySQL->addParam(":discID",$discID);
               $mySQL->addParam(":name",$_POST['pdName']);
               $mySQL->addParam(":description",$_POST['pdDesc']);
               $mySQL->addParam(":type",$_POST['pdType']);
               $mySQL->addParam(":fromDate",$_POST['pdFrom']);
               $mySQL->addParam(":toDate",$_POST['pdTo']);
               $mySQL->addParam(":value",$_POST['pdValue']);
               $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
               $mySQL->execute();

               $lastRecId = $mySQL->lastInsertId();

               $mySQL->logAppTrail(
                  'INSERT',
                  'Transaction Discount',
                  'setup_transaction_discount',
                  $lastRecId,
                  $discID,
                  '',
                  '',
                  'Added New Transaction Discount Setup',
                  $_SESSION['MI-KIOSK_USER-ONLINE']
               );

               header('location: ../trandiscounts?notif='.md5(1));
            }else{
               header('location: ../trandiscounts?notif='.md5(4));
            }
         }else{
            header('location: ../trandiscounts?notif='.md5(5));
         }

        

       
   	}else{
   		header('location: ../dashboard');
   	}

?>