<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }
   
   try {
      require '../classes/axSQL.php';
      $axSQL = new axSQL;
	  
       $axSQL->query("select DISTINCT 
						ivt.ITEMID
						,ivt.ITEMNAME
						,ivt.BOMUNITID
						,ISNULL((SELECT TOP 1 ITEMBARCODE 
							FROM INVENTITEMBARCODE 
						   WHERE ITEMID=ivt.ITEMID AND DATAAREAID=ivt.DATAAREAID AND (USEFORPRINTING=1 OR USEFORINPUT=1)
					   ORDER BY RECID DESC),ivt.ITEMID) ITEMBARCODE
						,ISNULL((SELECT TOP 1 TAGGED 
						 FROM ITD_XIAOMI_IMEI_TAGGING_TABLE 
						 WHERE ITEMID=ivt.ITEMID AND DATAAREAID=ivt.DATAAREAID),0) SERIALIZED
					from INVENTTABLE ivt
					where DATAAREAID='05'
					and ivt.DIMENSION in ('009','013','014')");
      $items = $axSQL->resultSet();
      if ($items) {
		 $values = "";
		 $ic = 1;
		 $itemNum = "(";
		foreach ($items as $item) {
			$values = $values."(".$ic.",'".$_SESSION['MI-KIOSK_COMPANYID-ONLINE']."','".$item['ITEMID']."','".str_replace("'", "", $item['ITEMNAME'])."','".$item['ITEMBARCODE']."','".$item['BOMUNITID']."',".$item['SERIALIZED'].",'".date('Y-m-d H:i:s')."','".$_SESSION['MI-KIOSK_USER-ONLINE']."'),";
			$itemNum = $itemNum."'".$item['ITEMID']."',";
			 $ic++;
		}
		$itemValues= rtrim($values,",");
		$itemNum = rtrim($itemNum,",");
		$itemNum = $itemNum.")";
		
		
		$axSQL->query("SELECT pd.ITEMRELATION
					,pd.ACCOUNTRELATION
					,ISNULL(pd.AMOUNT,0)  AMOUNT
					FROM PRICEDISCTABLE pd
					LEFT JOIN  INVENTDIM dim 
					  ON dim.INVENTDIMID = pd.INVENTDIMID
					   AND dim.DATAAREAID= pd.DATAAREAID
					LEFT JOIN INVENTTABLE it 
					   ON it.ITEMID = pd.ITEMRELATION
					   AND it.DATAAREAID = pd.DATAAREAID
					WHERE pd.DATAAREAID = :company
					   AND pd.FROMDATE <= CAST(GETDATE() as date)
						AND (cast(pd.TODATE as DATE) >= CAST(GETDATE() as date) OR pd.TODATE=:noDate)
					  AND pd.ACCOUNTRELATION != :psp
					  AND dim.INVENTSIZEID = :grade
					  AND pd.ITEMRELATION in ".$itemNum);
		$axSQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
		$axSQL->addParam(":grade",'G00');
		$axSQL->addParam(":psp",'PSP00001');
		$axSQL->addParam(":noDate",'1900-01-01 00:00:00.000');
		$prices = $axSQL->resultSet();
        $itemPrice = "";
		$ic = 1;
		foreach ($prices as $price) {
			$itemPrice = $itemPrice."(".$ic.",'".$price['ACCOUNTRELATION']."','".$price['ITEMRELATION']."',".$price['AMOUNT'].",'".date('Y-m-d H:i:s')."','".$_SESSION['MI-KIOSK_USER-ONLINE']."','".$_SESSION['MI-KIOSK_COMPANYID-ONLINE']."'),";
			$ic++;
		}
		
		$axSQL->query("SELECT pd.ITEMRELATION
					,pd.ACCOUNTRELATION
					,ISNULL(pd.AMOUNT,0)  AMOUNT
					FROM PRICEDISCTABLE pd
					LEFT JOIN  INVENTDIM dim 
					  ON dim.INVENTDIMID = pd.INVENTDIMID
					   AND dim.DATAAREAID= pd.DATAAREAID
					LEFT JOIN INVENTTABLE it 
					   ON it.ITEMID = pd.ITEMRELATION
					   AND it.DATAAREAID = pd.DATAAREAID
					WHERE pd.DATAAREAID = :company
					   AND pd.FROMDATE <= CAST(GETDATE() as date)
					AND (cast(pd.TODATE as DATE) >= CAST(GETDATE() as date) OR pd.TODATE=:noDate)
					  AND dim.INVENTSIZEID = :grade
					  and pd.ACCOUNTRELATION=:psp
					  AND pd.ITEMRELATION in ".$itemNum);
		$axSQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
		$axSQL->addParam(":grade",'G09');
		$axSQL->addParam(":psp",'PSP00001');
		$axSQL->addParam(":noDate",'1900-01-01 00:00:00.000');
		$axSQL->addParam(":itemID",$item['ITEMID']);
		$prices = $axSQL->resultSet();
		foreach ($prices as $price) {
			$itemPrice = $itemPrice."(".$ic.",'".$price['ACCOUNTRELATION']."','".$price['ITEMRELATION']."',".$price['AMOUNT'].",'".date('Y-m-d H:i:s')."','".$_SESSION['MI-KIOSK_USER-ONLINE']."','".$_SESSION['MI-KIOSK_COMPANYID-ONLINE']."'),";
			$ic++;
		}
		
		$itemPrice = rtrim($itemPrice,",");
		
		$mySQL->query('TRUNCATE table_inventtable');
        $mySQL->execute();
        
		$mySQL->query("insert into table_inventtable (RECID,COMPANY,ITEMID,ITEMNAME,EAN,BOMUNIT,SERIALIZED,CREATEDDT,CREATEDBY) values ".$itemValues);
        $mySQL->execute();
		
		$mySQL->query('TRUNCATE table_price_group');
        $mySQL->execute();
		
		$mySQL->query("INSERT INTO table_price_group (RECID,PRICEGROUP,ITEMID,AMOUNT,CREATEDDT,CREATEDBY,COMPANY) VALUES ".$itemPrice);
        $mySQL->execute();
		
      }

       echo '
         <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <strong>Done !</strong> Item Details are now updated. <a href="items">Please Refresh the page. </a>
         </div>
      ';

      $mySQL->logAppTrail(
         'UPDATE',
         'Item Details',
         'table_inventtable|table_price_group',
         0,
         '',
         '',
         '',
         'Synced Item Details from AX',
         $_SESSION['MI-KIOSK_USER-ONLINE']
      );

    } catch (Exception $e) {
      echo '
         <div class="alert alert-danger">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <strong>Connection error !</strong> Can&apos;t connect to AX. Please contact IT Department.'.$e->getMessage().'
         </div>

      ';
   } 

?>