<?php

  session_start();

	require '../classes/mySQL.php';
  $mySQL = new mySQL;

  require '../classes/axSQL.php';
  $axSQL = new axSQL;

  if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
  }

 	if (isset($_GET['recID'])) {


    $axSQL->query('SELECT ton.*,dim.INVENTLOCATIONID
          FROM INVENTTRANSFERLINE ton
          LEFT JOIN INVENTDIM dim ON dim.INVENTDIMID=ton.INVENTDIMID AND dim.DATAAREAID=ton.DATAAREAID
          WHERE ton.RECID = :recID');
    $axSQL->addParam(":recID",$_GET['recID']);
    $tonLine = $axSQL->singleResult();


    $mySQL->query('SELECT SUM(QTY) QTYRECEIVED FROM table_inventtrans WHERE STORE=:store AND COMPANY=:company AND TRANSREFID=:ton AND ITEMID=:itemID');
    $mySQL->addParam(":store",$tonLine['INVENTLOCATIONID']);
    $mySQL->addParam(":company",$tonLine['DATAAREAID']);
    $mySQL->addParam(":ton",$tonLine['TRANSFERID']);
    $mySQL->addParam(":itemID",$tonLine['ITEMID']);
    $qtyReceived = $mySQL->singleResult();

    $maxQty= $tonLine['QTYSHIPPED']-$qtyReceived['QTYRECEIVED'];

    if ($maxQty < $_GET['qty']) {
      $qty = $maxQty;
    }
    elseif ($maxQty == 0) {
      $qty = 0;
    }
    elseif ($_GET['qty'] < 0) {
      $qty = 0;
    }
    else{
      $qty = $_GET['qty'];
    }


    $mySQL->query('SELECT RECID FROM temp_pullout_items WHERE TRANSREFID=:ton AND LINENUM=:lineNum AND ITEMID=:itemID AND STORE=:store AND COMPANY=:company');
    $mySQL->addParam(":store",$tonLine['INVENTLOCATIONID']);
    $mySQL->addParam(":company",$tonLine['DATAAREAID']);
    $mySQL->addParam(":ton",$tonLine['TRANSFERID']);
    $mySQL->addParam(":itemID",$tonLine['ITEMID']);
    $mySQL->addParam(":lineNum",$tonLine['LINENUM']);
    $temp = $mySQL->singleResult();
    if ($temp) {
      if ($qty!=0) {
          $mySQL->query('UPDATE temp_pullout_items SET TORECEIVE=:toReceive WHERE RECID=:recID');
          $mySQL->addParam(":toReceive",$qty);
          $mySQL->addParam(":recID",$temp['RECID']);
          $mySQL->execute();
      }else{
          $mySQL->query('DELETE FROM temp_pullout_items WHERE RECID=:recID');
          $mySQL->addParam(":recID",$temp['RECID']);
          $mySQL->execute();
      }
     
    }else{
      if ($qty!=0) {
        $mySQL->query('INSERT INTO temp_pullout_items (TRANSREFID,LINENUM,ITEMID,TORECEIVE,STORE,COMPANY) 
        VALUES (:ton,:lineNum,:itemID,:toReceive,:store,:company)');
        $mySQL->addParam(":toReceive",$qty);
        $mySQL->addParam(":store",$tonLine['INVENTLOCATIONID']);
        $mySQL->addParam(":company",$tonLine['DATAAREAID']);
        $mySQL->addParam(":ton",$tonLine['TRANSFERID']);
        $mySQL->addParam(":itemID",$tonLine['ITEMID']);
        $mySQL->addParam(":lineNum",$tonLine['LINENUM']);
        $mySQL->execute();
      }
      
    }
   
 	}else{
 		header('location: ../dashboard');
 	}

?>