<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['saveUser'])) {

         $mySQL->query('SELECT COUNT(1) FROM setup_users WHERE USERNAME=:username');
         $mySQL->addParam(":username",$_POST['username']);
         $existing = $mySQL->singleResult();
         if ($existing[0] == 0) {

            $mySQL->query('SELECT COMPANY FROM setup_stores WHERE STORECODE=:storeCode');
            $mySQL->addParam(":storeCode",$_POST['store']);
            $company = $mySQL->singleResult();

            $mySQL->query('INSERT INTO setup_users (USERNAME,PASSWORD,FULLNAME,USERTYPE,CREATEDBY,COMPANY,USERLEVEL) VALUES (:username,:password,:fullname,:userType,:createdBy,:company,:userLevel)');
            $mySQL->addParam(":username",$_POST['username']);
            $mySQL->addParam(":password",md5($_POST['password']));
            $mySQL->addParam(":fullname",$_POST['fullname']);
            $mySQL->addParam(":userType",$_POST['jobTitle']);
            $mySQL->addParam(":company",$company['COMPANY']);
            $mySQL->addParam(":userLevel",$_POST['userLevel']);
            $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->execute();

            $userRecID = $mySQL->lastInsertId();

            $mySQL->query('INSERT INTO setup_user_store (USERNAME,STORECODE,DEFAULTSTORE,CREATEDBY,COMPANY) VALUES (:username,:storeCode,:defaultStore,:createdBy,:company)');
            $mySQL->addParam(":username",$_POST['username']);
            $mySQL->addParam(":storeCode",$_POST['store']);
            $mySQL->addParam(":defaultStore",1);
            $mySQL->addParam(":company",$company['COMPANY']);
            $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->execute();


            $mySQL->logAppTrail(
               'INSERT',
               'User Management',
               'setup_sections',
               $userRecID,
               $_POST['username'],
               '',
               '',
               'Added New User',
               $_SESSION['MI-KIOSK_USER-ONLINE']
            );
            header('location: ../users?notif='.md5(1));
         }else{
            header('location: ../users?notif='.md5(3));
         }  
   	}else{
   		header('location: ../dashboard');
   	}

?>