<?php 

include "route.php";
session_start();
ini_set('display_errors', 0);

Route::add('/syncLogs', function(){
    include('syncLogs.php');
});

Route::add('/exportSyncLogs', function(){
    include('exportSyncLogs.php');
});


Route::add('/exportVoucherList', function(){
    include('exportVoucherList.php');
});

Route::add('/exportSalesResponsible', function(){
    include('exportSalesResponsibles.php');
});

Route::add('/salesResponsible', function(){
    include('reportSalesResponsibles.php');
});
Route::add('/employee', function(){
    include('employeelist.php');
});
Route::add('/voucher', function(){
    include('voucherlist.php');
});
Route::add('/upVoucher', function(){
    include('voucherUploading.php');
});
Route::add('/exportUserAccess', function(){
    include('exportUserAccess.php');
});
Route::add('/autoAdjustment', function(){
    include('AUtoWJAdjustment.php');
});

Route::add('/exportInvoiceRegistry', function(){
    include('exportInvoiceRegistry.php');
});

Route::add('/invoiceRegistry', function(){
    include('reportInvoiceRegistry.php');
});

Route::add('/autoPullout', function(){
    include('AutoPullout.php');
});

Route::add('/autoSendTOStore', function(){
    include('AutoSendToStore.php');
});


Route::add('/inventorySerial', function(){
    include('reportInventorySerial.php');
});

Route::add('/exportSerial', function(){
    include('ExportInventorySerial.php');
});

Route::add('/', function(){
    include('dashboard.php');
});

Route::add('/conError', function(){
    include('conError.php');
});

Route::add('/index', function(){
    include('dashboard.php');
});

Route::add('/dashboard', function(){
    include('dashboard.php');
});

Route::add('/profile', function(){ 
    include('profile.php');
});

Route::add('/serialnumbers', function(){
    include('serialNumbers.php');
});

Route::add('/users', function(){
    include('userList.php');
});

Route::add('/stores', function(){
    include('storeList.php');
});

Route::add('/onhand', function(){
    include('onHand.php');
});
Route::add('/reportSalesItem', function(){
    include('reportSalesItems.php');
});
Route::add('/exportSalesItem', function(){
    include('ExportSalesperSerial.php');
});
Route::add('/reportOnhand', function(){
    include('reportInventoryOnhand.php');
});
Route::add('/printOnhand', function(){
    include('printInventoryOnhand.php');
});
Route::add('/exportOnhand', function(){
    include('ExportInventoryOnhand.php');
});
Route::add('/items', function(){
    include('itemList.php');
});

Route::add('/transactions', function(){
    include('transactions.php');
});

Route::add('/discounts', function(){
    include('priceDiscount.php');
});

Route::add('/presell', function(){
    include('preSellingList.php');
});

Route::add('/promo', function(){
    include('promoFacility.php');
});

Route::add('/receiving', function(){
    include('toReceive.php');
});

Route::add('/receivedlogs', function(){
    include('receivedLogs.php');
});

Route::add('/shippedton', function(){
    include('shippedTON.php');
});

Route::add('/tonlogs', function(){
    include('TONlogs.php');
});

Route::add('/pullouts', function(){
    include('receivedTON.php');
});

Route::add('/pulloutlogs', function(){
    include('pulloutLogs.php');
});

Route::add('/returnorders', function(){
    include('returnOrders.php');
});

Route::add('/returnlogs', function(){
    include('returnOrderLogs.php');
});

Route::add('/salesreport', function(){
    include('reportSales.php');
});

Route::add('/collections', function(){
    include('reportCollection.php');
});
Route::add('/detailedCollections', function(){
    include('reportDetailedCollection.php');
});
Route::add('/detailedCollectionsAll', function(){
    include('reportDetailedCollectionAll.php');
});

Route::add('/counting', function(){
    include('countingNew.php');
});

Route::add('/adjustments', function(){
    include('adjustmentNew.php');
});
Route::add('/bypasscodes', function(){
    include('bypassCodes.php');
});

Route::add('/bypasslogs', function(){
    include('bypassLogs.php');
});

Route::add('/journals', function(){
    include('journalLogs.php');
});

Route::add('/closestore', function(){
    include('closeStore.php');
});

Route::add('/login', function(){
    include('login.php');
});

Route::add('/accesserror', function(){
    include('accessError.php');
});

Route::add('/newsales', function(){
    include('newSales.php');
});

Route::add('/newpresales', function(){
    include('newPreSales.php');
});

Route::add('/newreturn', function(){
    include('newReturn.php');
});

Route::add('/norefreturn', function(){
    include('newReturn1.php');
});


Route::add('/sales', function(){
    include('regularSales.php');
});

Route::add('/presales', function(){
    include('preSelling.php');
});

Route::add('/return', function(){
    include('returnSales.php');
});

Route::add('/printPage', function(){
    include('printPage.php');
});

Route::add('/printReceipt', function(){
    include('printReceipt.php');
});

Route::add('/printsalesorder', function(){
    include('printSalesOrder.php');
});

Route::add('/printsalesreport', function(){
    include('printSalesReport.php');
});
Route::add('/printDetailedCollectionReport', function(){
    include('printDetailedCollection.php');
});
Route::add('/printDiscrepancy', function(){
    include('printDiscrepancyReport.php');
});
Route::add('/discrepancyReport', function(){
    include('reportDiscrepancy.php');
});
Route::add('/printcollectionreport', function(){
    include('printCollectionReport.php');
});

Route::add('/appsetup', function(){
    include('applicationSetup.php');
});

Route::add('/trandiscounts', function(){
    include('transactionDiscount.php');
});

Route::add('/apptrail', function(){
    include('appTrail.php');
});

Route::add('/itemreceiving', function(){
    include('itemReceiving.php');
});

Route::add('/discrepancy', function(){
    include('discrepancyReport.php');
});

Route::add('/pulloutitems', function(){
    include('pulloutItems.php');
});

Route::add('/syncfacility', function(){
    include('syncDatabase.php');
});




//method for execution routes    
if (Route::submit()) {
    # code...
}else{
   //include('dashboard.php');
}