<?php

   

  if (isset($_GET['pdID'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;


  	$mySQL->query('SELECT ln.*,IFNULL(str.STORENAME,ln.STORE) STORENAME FROM setup_transaction_discount_store ln LEFT JOIN setup_stores str ON ln.STORE=str.STORECODE AND ln.COMPANY=str.COMPANY WHERE ln.TRANDISCID=:tranID');
  	$mySQL->addParam(":tranID",$_GET['pdID']);
  	$stores = $mySQL->resultSet();

  	$mySQL->query('SELECT * FROM setup_transaction_discount WHERE TRANDISCID=:tranID');
  	$mySQL->addParam(":tranID",$_GET['pdID']);
  	$preHeader = $mySQL->singleResult();

  	echo '
  		<h2 class="panel-title text-primary">'.$preHeader['NAME'].'</h2>
  		<small class="text-primary">'.$preHeader['DESCRIPTION'].'</small>
  		<hr>

  		<div class="row">
  			<div class="col-md-6">
  				<div class="panel panel-featured panel-featured-success">
		  			<div class="panel-heading">
		  				<h2 class="panel-title">Add Store/s</h2>
		  			</div>
		  			<div class="panel-body">
		  				<form id="storeForm" method="post" action="functions/addStoreDiscount.php">
				  			<input id="pdID" type="hidden" value="'.$_GET['pdID'].'" name="tranDiscID">
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
										<select id="store" name="store" required data-plugin-selectTwo class="form-control populate">
											<option value="">Select Store</option>
											<option value="ALL">ALL STORES</option>
									';
										$mySQL->query('SELECT STORECODE,STORENAME FROM setup_stores');
										$userStores = $mySQL->resultSet();
										foreach ($userStores as $userStore) {
											echo '<option value="'.$userStore['STORECODE'].'">'.$userStore['STORECODE'].' - '.$userStore['STORENAME'].'</option>';
										}
									echo '
										</select>
									</div>
								</div>
								<hr>
								<div class="col-md-12 text-right">
									<br>
									<button type="submit" name="addPreSellStore" class="btn btn-success"><i class="fa fa-plus"></i> Add Store</button>
								</div>
							</div>
						</form>
		  			</div>
		  		</div>
  			</div>

  			
  			<div class="col-md-6">
  				<div class="panel panel-featured panel-featured-danger">
		  			<header class="panel-heading">
		  				<h2 class="panel-title">Affected Stores</h2>
		  			</header>
		  			<div class="panel-body">
		  				<table class="table table-bordered table-striped">
							<thead>
								<tr>
									<th>Store</th>
									<th>Remove</th>
								</tr>
							</thead>
							<tbody>
				';
					foreach ($stores as $store) {
						echo '
							<tr>
								<td>'.$store['STORENAME'].'</td>
								<td>
									<button onclick="deleteDiscountStore('.$store['RECID'].',\''.$store['STORENAME'].'\')" class="btn btn-xs btn-danger"><i class="fa fa-trash-o"></i></button>
									
								</td>
							</tr>

						';
					}
				echo'
							</tbody>
						</table>
		  			</div>
		  		</div>
  			</div>



  		</div>
  	
  		
  		
		

  	';


}

?>	
