<?php
	session_start();

  if (isset($_GET['itemID'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;

  	$mySQL->query('SELECT its.* FROM table_inventtrans its
  		WHERE its.ITEMID=:itemID AND its.COMPANY=:company AND its.STORE=:store ORDER BY its.CREATEDDT DESC');
  	$mySQL->addParam(":itemID",$_GET['itemID']);
  	$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
  	$mySQL->addParam(":store",$_GET['store']);
  	$logs = $mySQL->resultSet();

  	$mySQL->query('SELECT * FROM table_inventtable WHERE ITEMID=:itemID AND COMPANY=:company');
  	$mySQL->addParam(":itemID",$_GET['itemID']);
  	$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
  	$item = $mySQL->singleResult();

  	// $mySQL->query('SELECT * FROM table_inventsum WHERE STORE=:store AND COMPANY=:company AND ITEMID=:itemID');
  	// $mySQL->addParam(":itemID",$_GET['itemID']);
  	// $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
  	// $mySQL->addParam(":store",$_GET['store']);
  	// $iSum  = $mySQL->singleResult();


  	echo '
  		<section class="panel">
			<header class="panel-heading">
				<div class="panel-actions">
					<a href="#" class="fa fa-caret-down"></a>
					<!-- <a href="#" class="fa fa-times"></a> -->
				</div>
		
				<h3 class="panel-title float-left">Item name: '.$item['ITEMNAME'].'</h3>
			</header>
			<div class="panel-body">
				<div class="row">
					
				</div>
				<table class="table table-bordered table-striped display" id="">
					<thead>
						<tr>
							<th>Transref ID</th>
							<th>Item ID</th>
							<th>Qty</th>
							<th>Transaction Date</th>
						</tr>
					</thead>
					<tbody>

				';
					$itemQty = 0;
				  	if (count($logs) != 0) {
				  		foreach ($logs as $log) {
				  			$date = date_create($log['CREATEDDT']);
				  			echo '
									<tr>
										<td>'.$log['TRANSREFID'].'</td>
										<td>'.$log['ITEMID'].'</td>
										<td>'.$log['QTY'].'</td>
										<td>'.date_format($date,'m/d/Y h:i A').'</td>
									</tr>
								';
							$itemQty=$itemQty+$log['QTY'];
						}
				  	}
				echo'
					</tbody>
					<tfoot>
						<tr>
							<th class="font-weight-bold text-right" colspan="2">Total: </th>
							<th class="font-weight-bold" colspan="2">'.$itemQty.'</th>
						</tr>
						<tr>
							
								<th colspan="4" class="text-right">
									
									<input type="hidden" name="ItemId" value ="'.$_GET['itemID'].'" />
									<input type="hidden" name="store" value ="'.$_GET['store'].'" />
									<span class="input-group-btn">
									<button class="btn btn-success" name="exportTrans" onclick='."'".'window.open("ExportInvenTrans.php?itemID='.$_GET['itemID'].'&store='.$_GET['store'].'")'."'".' target="_blank" type="submit">
										<span class="fa fa-file-excel-o"></span> Export to Excel
									</button>
									</span>
										
								</th>
							
						</tr>
						
					</tfoot>

				</table>

			</div>
		</section>


		


  	';




  	


  }


?>


				<!-- <tr>
							<th class="font-weight-bold text-right" colspan="2">Unconfirmed: </th>
							<th class="font-weight-bold" colspan="2">'.$iSum['PARKED'].'</th>
						</tr> -->