<?php
  session_start();

  if (isset($_GET['transaction']) ) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;

  	$mySQL->query('SET SQL_BIG_SELECTS = 1');
  	$mySQL->execute();

  	$mySQL->query("SELECT tl.ITEMID
		,ivt.ITEMNAME
		,tl.SALESPRICE
		,tl.DISCAMOUNT
		,tl.DISCPERCENT
		,tl.SALESPRICE
		,CASE WHEN IFNULL(serl.SERIALNUMBER,'NoSerial') = 'NoSerial' THEN tl.SUBTOTAL
			ELSE CASE WHEN hdr.TRANSTYPE = :return THEN (tl.SUBTOTAL/tl.QTY) * -1
			ELSE tl.SUBTOTAL/tl.QTY END
		END AS SUBTOTAL
		,CASE WHEN IFNULL(serl.SERIALNUMBER,'NoSerial') = 'NoSerial' THEN tl.QTY
			ELSE CASE WHEN hdr.TRANSTYPE = :return THEN -1
			ELSE 1 END
		END AS QTY
		,serl.SERIALNUMBER
	FROM table_transaction_header hdr
	LEFT JOIN table_transaction_lines tl ON tl.TRANSACTIONID = hdr.TRANSACTIONID
	LEFT JOIN table_inventtable ivt ON ivt.ITEMID = tl.ITEMID
	LEFT JOIN (SELECT DISTINCT DOCUMENTREF,ITEMID,LINENUM,SERIALNUMBER FROM `table_serialnumber_logs` where DOCUMENTREF = :transaction) serl ON serl.DOCUMENTREF = tl.TRANSACTIONID AND serl.ITEMID = tl.ITEMID AND serl.LINENUM = tl.LINENUM
	WHERE hdr.TRANSACTIONID=:transaction");
	$mySQL->addParam(":transaction",$_GET['transaction']);
	$mySQL->addParam(":return",'Return');
	$items = $mySQL->resultSet();

  	echo '
  		<div class="panel-heading hidden-sm hidden-xs">
  			<h4 class="text-bold text-bold text-danger">'.$itemName['ITEMNAME'].'</h4>
  			<table cellspacing="0" cellpadding="0" class="table table-bordered table-sm display">
				<thead>
					<tr>
						<th>Item</th>
						<th>Description</th>
						<th>Qty</th>
						<th>Serial</th>
						<th>Sales Price</th>
						<th>Disc. Amt</th>
						<th>Disc. %</th>
						<th>Sub Total</th>
					</tr>
				</thead>
				<tbody>
		';
			foreach ($items as $item) {
				echo '
					<tr>
						<td>'.$item['ITEMID'].'</td>
						<td>'.$item['ITEMNAME'].'</td>
						<td>'.$item['QTY'].'</td>
						<td>'.$item['SERIALNUMBER'].'</td>
						<td>'.number_format($item['SALESPRICE'],2,'.',',').'</td>
						<td>'.number_format($item['DISCAMOUNT'],2,'.',',').'</td>
						<td>'.number_format($item['DISCPERCENT'],2,'.',',').'</td>
						<td>'.number_format($item['SUBTOTAL'],2,'.',',').'</td>
					</tr>
				';
			}
		echo '
					
				</tbody>
			</table>
  		</div>


  		

';
	

	

  }




?>	


		