<?php

  
  if (isset($_GET['ton'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;

  	require '../classes/axSQL.php';
  	$axSQL = new axSQL;

	$axSQL->query('SELECT dim.INVENTLOCATIONID,ton.*,it.ITEMNAME,
					ISNULL((SELECT TOP 1 TAGGED 
                         FROM ITD_XIAOMI_IMEI_TAGGING_TABLE 
                         WHERE ITEMID=ton.ITEMID AND DATAAREAID=ton.DATAAREAID),0) SERIALIZED
					FROM INVENTTRANSFERLINE ton
					LEFT JOIN INVENTTABLE it ON ton.ITEMID = it.ITEMID AND ton.DATAAREAID = it.DATAAREAID
					LEFT JOIN INVENTDIM dim ON dim.INVENTDIMID=ton.INVENTDIMID AND dim.DATAAREAID=ton.DATAAREAID
					WHERE ton.TRANSFERID = :ton');
  	$axSQL->addParam(":ton",$_GET['ton']);
  	$tonLines = $axSQL->resultSet();


	echo '
		<div class="panel-body">
		<table class="table table-bordered table-striped display">
			<thead>
				<tr>
					<th>Item ID</th>
					<th>Item Name</th>
					<th>Qty Shipped</th>
					<th>Qty Received</th>
					<th>To Receive</th>
				</tr>
			</thead>
			<tbody>

	';
		foreach ($tonLines as $tonLine) {
			$mySQL->query('SELECT IFNULL(SUM(QTY),0) FROM table_inventtrans WHERE TRANSREFID=:ton AND ITEMID=:itemID AND STORE=:store AND COMPANY=:company');
			$mySQL->addParam(":ton",$_GET['ton']);
			$mySQL->addParam(":itemID",$tonLine['ITEMID']);
			$mySQL->addParam(":store",$tonLine['INVENTLOCATIONID']);
			$mySQL->addParam(":company",$tonLine['DATAAREAID']);
			$qtyReceive = $mySQL->singleResult();

			$mySQL->query('SELECT RECID,TORECEIVE FROM temp_pullout_items WHERE TRANSREFID=:ton AND LINENUM=:lineNum AND ITEMID=:itemID AND STORE=:store AND COMPANY=:company');
			$mySQL->addParam(":ton",$_GET['ton']);
			$mySQL->addParam(":itemID",$tonLine['ITEMID']);
			$mySQL->addParam(":lineNum",$tonLine['LINENUM']);
			$mySQL->addParam(":store",$tonLine['INVENTLOCATIONID']);
			$mySQL->addParam(":company",$tonLine['DATAAREAID']);
			$toReceive = $mySQL->singleResult();
			echo '
				<tr>
					<td>'.$tonLine['ITEMID'].' '.$tonLine['RECID'].'</td>
					<td>'.$tonLine['ITEMNAME'].'</td>
					<td>'.number_format($tonLine['QTYSHIPPED']).'</td>
					<td>'.$qtyReceive[0].'</td>
					<td>
			';
				echo '<input onblur="updateToReceive('.$tonLine['RECID'].',this.value,\''.$_GET['ton'].'\');" value="'.$toReceive['TORECEIVE'].'" id="qty" name="qty" min="0" type="number" class="form-control">';
			echo'
						
					</td>
				</tr>
			';
		}
	echo'

			</tbody>
		</table>
	</div>

	';




  	



}
?>	


		