<?php

  
 if (isset($_GET['ton'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;


  	$mySQL->query('SELECT slog.*,it.ITEMNAME,ton.LINENUM FROM table_serialnumber_logs slog 
  		LEFT JOIN table_inventtable it ON slog.ITEMID=it.ITEMID AND slog.COMPANY=it.COMPANY
  		LEFT JOIN table_ton_lines ton ON ton.TRANSREFID=slog.DOCUMENTREF AND slog.ITEMID=ton.ITEMID AND ton.COMPANY=slog.COMPANY 
  		WHERE slog.TRANSTYPE=:sentToStore AND slog.TAGGED!=:received AND slog.DOCUMENTREF=:ton');
	$mySQL->addParam(":ton",$_GET['ton']);
	$mySQL->addParam(":sentToStore",0);
	$mySQL->addParam(":received",2);
	$serials = $mySQL->resultSet();


	echo '
		<div class="panel-body">
			
			<table class="table table-bordered table-striped display">
				<thead>
					<tr>
						<th>Item ID</th>
						<th>Item Name</th>
						<th>Serial Number</th>
					</tr>
				</thead>
				<tbody>
		';
			foreach ($serials as $serial) {
				
				echo '
					<tr>
						<td>'.$serial['ITEMID'].'</td>
						<td>'.$serial['ITEMNAME'].'</td>
						<td>
							<div class="checkbox-custom checkbox-primary text-left">
								
								<input '.($serial['TAGGED']==1 ? 'checked' : '').' onchange="tagSerialNumber(\''.$serial['SERIALNUMBER'].'\',\''.$serial['ITEMID'].'\',\''.$_GET['ton'].'\',this.checked,\''.$serial['LINENUM'].'\',0)" type="checkbox" name="serialNumber" id="'.$serial['SERIALNUMBER'].'">
								<label class="text-bold" for="checkboxExample5">'.$serial['SERIALNUMBER'].'</label>
							</div>
						</td>
					</tr>
				';
			}

		echo '
				</tbody>
			</table>
		</div>
	';



	foreach ($serials as $serial) {
		echo '<input type="hidden" id="'.$serial['SERIALNUMBER'].'1" value="'.$serial['ITEMID'].'|'.$_GET['ton'].'|'.($serial['TAGGED']==1 ? 'false' : 'true').'|'.$serial['LINENUM'].'">';
	}
}
?>	


		