<?php

   

  if (isset($_GET['ton'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;

  	require '../classes/axSQL.php';
  	$axSQL = new axSQL;
	
	$mySQL->query('SET SQL_BIG_SELECTS = 1');
	$mySQL->execute();
	
  	$mySQL->query('SELECT DISTINCT slog.ITEMID,slog.SERIALNUMBER,it.ITEMNAME 
  		FROM table_serialnumber_logs slog JOIN table_inventtable it
  		ON slog.ITEMID=it.ITEMID AND slog.COMPANY=it.COMPANY
  		WHERE slog.DOCUMENTREF=:ton');
  	$mySQL->addParam(":ton",$_GET['ton']);
  	$serials = $mySQL->resultSet();

	$mySQL->query('SELECT ln.TRANSREFID,ln.COMPANY,ln.WHTO,ln.ITEMID,it.ITEMNAME, SUM(ln.QTYSHIPPED) QTYSHIPPED
		FROM table_ton_lines ln LEFT JOIN table_inventtable it
		ON ln.ITEMID=it.ITEMID AND ln.COMPANY=it.COMPANY
		WHERE ln.TRANSREFID=:ton GROUP BY ln.TRANSREFID,ln.COMPANY,ln.WHTO,ln.ITEMID,it.ITEMNAME');
  	$mySQL->addParam(":ton",$_GET['ton']);
  	$items = $mySQL->resultSet();



  	echo '
  		<div class="panel-heading">
  			<h4 class="text-danger font-weight-bold heading">'.$_GET['ton'].' Item Details</h4>
  			<table cellspacing="0" cellpadding="0" class="table table-bordered table-sm display">
				<thead>
					<tr>
						<th>Item ID</th>
						<th>Item Name</th>
						<th>Qty Shipped</th>
						<th>Qty Received</th>
					</tr>
				</thead>
				<tbody>
		';
			foreach ($items as $item) {
				$mySQL->query('SELECT IFNULL(SUM(QTY),0) FROM table_inventtrans WHERE TRANSREFID=:ton AND ITEMID=:itemID AND STORE=:store AND COMPANY=:company');
				$mySQL->addParam(":ton",$_GET['ton']);
				$mySQL->addParam(":itemID",$item['ITEMID']);
				$mySQL->addParam(":store",$item['WHTO']);
				$mySQL->addParam(":company",$item['COMPANY']);
				$qtyReceive = $mySQL->singleResult();
				echo '
					<tr>
						<td>'.$item['ITEMID'].'</td>
						<td>'.$item['ITEMNAME'].'</td>
						<td>'.$item['QTYSHIPPED'].'</td>
						<td>'.$qtyReceive[0].'</td>
					</tr>
				';
			}
		echo '
					
				</tbody>
			</table>
  		</div>


        <div class="table-responsive panel-body">
        	<h4 class="text-danger font-weight-bold heading">'.$_GET['ton'].' Serial Number Details</h4>
			<table cellspacing="0" cellpadding="0" class="table table-bordered table-sm display">
				<thead>
					<tr>
						<th>Item ID</th>
						<th>Item Name</th>
						<th>Serial Number</th>
					</tr>
				</thead>
				<tbody>
		';
			foreach ($serials as $serial) {
				echo '
					<tr>
						<td>'.$serial['ITEMID'].'</td>
						<td>'.$serial['ITEMNAME'].'</td>
						<td>'.$serial['SERIALNUMBER'].'</td>
					</tr>
				';
			}
		echo '
					
				</tbody>
			</table>
		</div>

';
	

  }




?>	


		