<?php
	session_start();

  if (isset($_GET['ean']) && isset($_GET['serial'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;



  	echo '
  		<section class="panel">
			<header class="panel-heading">
				<div class="panel-actions">
					<a href="#" class="fa fa-caret-down"></a>
					<!-- <a href="#" class="fa fa-times"></a> -->
				</div>
		
				<h3 class="panel-title float-left">EAN: '.$_GET['ean'].'</h3>
				<h3 class="panel-title float-right">Serial #: '.$_GET['serial'].'</h3>
			</header>
			<div class="panel-body">
				<div class="row">
					
				</div>
				<table class="table table-bordered table-striped" id="datatable-default">
					<thead>
						<tr>
							<th>WH FROM</th>
							<th>WH TO</th>
							<th>Document</th>
							<th>Type</th>
							<th>Log Date</th>
							<th>Log User</th>
						</tr>
					</thead>
					<tbody>

				';
				
					$mySQL->query('SET SQL_BIG_SELECTS=1');
					$mySQL->execute();
					
					$mySQL->query('SELECT distinct slog.DOCUMENTREF,slog.SCANNEDDATE,slog.CREATEDDT,slog.CREATEDBY,IFNULL(strFrom.STORENAME,slog.WHFROM) WHFROM,IFNULL(strTo.STORENAME,slog.WHTO) WHTO,tt.TYPE
						
					 FROM table_serialnumber_logs slog 
					 LEFT JOIN setup_stores strFrom ON slog.WHFROM=strFrom.STORECODE
					 LEFT JOIN setup_stores strTo ON slog.WHTO=strTo.STORECODE
					 LEFT JOIN app_transfertype tt ON slog.TRANSTYPE=tt.VALUE
					 WHERE slog.ITEMID=:ean AND slog.SERIALNUMBER=:serialNumber ORDER BY slog.CREATEDDT DESC');
				  	$mySQL->addParam(":ean",$_GET['ean']);
				  	$mySQL->addParam(":serialNumber",$_GET['serial']);
				 //  	$mySQL->addParam(":dDelivery",' Depot Delivery');
					// $mySQL->addParam(":dPullout",' Depot Pullout');
					// $mySQL->addParam(":pDelivery",' Prod Delivery');
					// $mySQL->addParam(":pPullout",' Prod Pullout');
					// $mySQL->addParam(":ccDelivery",' Concession Delivery');
					// $mySQL->addParam(":ccPullout",' Concession Pullout');
					// $mySQL->addParam(":csDelivery",' Consignment Delivery');
					// $mySQL->addParam(":csPullout",' Consignment Pullout');
					// $mySQL->addParam(":sDelivery",' Showroom Delivery');
					// $mySQL->addParam(":sPullout",' Showroom Pullout');
					// $mySQL->addParam(":eDelivery",' Ext Con Delivery');
					// $mySQL->addParam(":ePullout",' Ext Con Pullout');
					// $mySQL->addParam(":salesInTrust",' Sales in Trust');
					// $mySQL->addParam(":whs",' WHS Transfer');
					// $mySQL->addParam(":kDelivery",'Kiosk Delivery');
					// $mySQL->addParam(":kPullout",'Kiosk Pullout');
				  	$logs = $mySQL->resultSet();
				  	if (count($logs) != 0) {
				  		foreach ($logs as $log) {
				  			// $date = date_create($log['SCANNEDDATE']);
				  			$date1 = date_create($log['CREATEDDT']);
				  			echo '
									<tr>
										<td>'.$log['WHFROM'].'</td>
										<td>'.$log['WHTO'].'</td>
										<td>'.$log['DOCUMENTREF'].'</td>
										<td>'.$log['TYPE'].'</td>
										<td>'.date_format($date1,'m/d/Y h:i A').'</td>
										<td>'.$log['CREATEDBY'].'</td>
									</tr>
								';
						}
				  	}else{
				  		echo '
							<tr>
								<td class="text-center" colspan="6">No logs found</td>
							</tr>
						';
				  	}

				echo'
						

					</tbody>
				</table>
			</div>
		</section>


  	';




  	


  }


?>


				