<?php

   

  if (isset($_GET['ton'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;

  	require '../classes/axSQL.php';
  	$axSQL = new axSQL;

  	$axSQL->query('SELECT scan.ITEMID,it.ITEMNAME,scan.IMEI
					FROM ITD_XIAOMI_IMEI_SCANNING scan
					LEFT JOIN INVENTTABLE it ON scan.ITEMID = it.ITEMID AND scan.DATAAREAID = it.DATAAREAID
					WHERE  scan.TRANSREFID = :ton');
  	$axSQL->addParam(":ton",$_GET['ton']);
  	$serials = $axSQL->resultSet();

	$axSQL->query('SELECT scan.ITEMID,it.ITEMNAME,SUM(QTYTRANSFER) ITEMCOUNT
					FROM INVENTTRANSFERLINE scan
					LEFT JOIN INVENTTABLE it ON scan.ITEMID = it.ITEMID AND scan.DATAAREAID = it.DATAAREAID
					WHERE  scan.TRANSFERID = :ton GROUP BY scan.ITEMID,it.ITEMNAME');
  	$axSQL->addParam(":ton",$_GET['ton']);
  	$items = $axSQL->resultSet();



  	echo '
  		<div class="panel-heading">
  			<h4 class="text-danger font-weight-bold heading">'.$_GET['ton'].' Item Details</h4>
  			<table cellspacing="0" cellpadding="0" class="table table-bordered table-sm display">
				<thead>
					<tr>
						<th>Item ID</th>
						<th>Item Name</th>
						<th>Qty</th>
					</tr>
				</thead>
				<tbody>
		';
			foreach ($items as $item) {
				echo '
					<tr>
						<td>'.$item['ITEMID'].'</td>
						<td>'.$item['ITEMNAME'].'</td>
						<td>'.number_format($item['ITEMCOUNT']).'</td>
					</tr>
				';
			}
		echo '
					
				</tbody>
			</table>
  		</div>


        <div class="table-responsive panel-body">
        	<h4 class="text-danger font-weight-bold heading">'.$_GET['ton'].' Serial Number Details</h4>
			<table cellspacing="0" cellpadding="0" class="table table-bordered table-sm display">
				<thead>
					<tr>
						<th>Item ID</th>
						<th>Item Name</th>
						<th>Serial Number</th>
					</tr>
				</thead>
				<tbody>
		';
			foreach ($serials as $serial) {
				echo '
					<tr>
						<td>'.$serial['ITEMID'].'</td>
						<td>'.$serial['ITEMNAME'].'</td>
						<td>'.$serial['IMEI'].'</td>
					</tr>
				';
			}
		echo '
					
				</tbody>
			</table>
		</div>

';
	$mySQL->query('SELECT COUNT(1) FROM table_ton_header WHERE TRANSREFID=:ton');
	$mySQL->addParam(":ton",$_GET['ton']);
	$existing = $mySQL->singleResult();
	if ($existing[0] == 0) {
		echo '
				<div class="panel-footer text-right">
					<form onsubmit="disableSendButton();" method="post" action="functions/pulloutFromStore.php">
						<input type="hidden" name="ton" value="'.$_GET['ton'].'">
						<button id="sendToStoreButton" name="sendtoStore" class="btn btn-primary btn-sm" type="submit">Receive Pullout</button>
					</form>
				</div>
		';
	}

  }




?>	


		