<?php

   

  if (isset($_GET['type'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;
  	session_start();



  	$mySQL->query('SELECT USERNAME,TRANSTYPE,ITEMID,REPLACE(ITEMNAME,:doubleQ,:whitespace) ITEMNAME,SALESPRICE,DISCPERCENT, DISCAMOUNT,
  		SUM(QTY) QTY, 
  		SUM(SUBTOTAL) SUBTOTAL
  		FROM temp_transaction WHERE TRANSTYPE=:type AND USERNAME=:username 
  		GROUP BY USERNAME,TRANSTYPE,ITEMID,ITEMNAME,SALESPRICE,DISCPERCENT,DISCAMOUNT');
  	$mySQL->addParam(":type",$_GET['type']);
  	$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
  	$mySQL->addParam(":doubleQ",'"');
  	$mySQL->addParam(":whitespace",'');
  	$temps = $mySQL->resultSet();


  	$mySQL->query('SELECT SUM(AMOUNT) AMOUNT FROM temp_transaction_tender WHERE USERNAME=:username AND TRANSTYPE=:transType');
  	$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
  	$mySQL->addParam(":transType",'PreSell');
  	$tenderAmount = $mySQL->singleResult();

  	if (count($temps) != 0) {
  		echo '
	  		<div class="table-responsive">
				<table class="table invoice-items">
					<thead>
						<tr class="h5 text-dark">
							<th class="text-semibold">Qty</th>
							<th class="text-semibold">Item</th>
							<th class="text-semibold text-right">Sales Price</th>
							<th class="text-semibold text-right">Disc. Amount</th>
							<th class="text-semibold text-right">Disc. %</th>
							<th class="text-semibold text-right">Sub Total</th>
							
						</tr>
					</thead>
					<tbody>
		';
			$gross = 0;
			$net = 0;
			$discount = 0;
			foreach ($temps as $temp) {
				
				echo '
					<tr>
						<td>'.$temp['QTY'].'</td>
						<td class="text-semibold text-dark">
							'.$temp['ITEMNAME'].'
						</td>
						<td class="text-right">P'.number_format($temp['SALESPRICE'],2).'</td>
						<td class="text-right">P'.$temp['DISCAMOUNT'].' (P'.number_format(($temp['DISCAMOUNT'] * $temp['QTY']),2).')</td>
						<td class="text-right">'.$temp['DISCPERCENT'].'% (P'.number_format((($temp['SALESPRICE'] - $temp['DISCAMOUNT']) * ($temp['DISCPERCENT'] / 100)) * $temp['QTY'],2).')</td>
						<td class="text-right">P'.number_format($temp['SUBTOTAL'],2).'</td>
						
					</tr>
				';
				//$gross = $gross + ($temp['SALESPRICE'] * $temp['QTY']);
				//$discount = $discount + ((($temp['SALESPRICE'] - $temp['DISCAMOUNT']) * ($temp['DISCPERCENT'] / 100)) * $temp['QTY']) + ($temp['DISCAMOUNT'] * $temp['QTY']);
				$net = $net + $temp['SUBTOTAL'];
			}
		echo '
					</tbody>
				</table>
			</div>
			<div class="invoice-summary">
				<div class="row">
					<div class="col-sm-4 col-sm-offset-8">
						<table class="table h5 text-dark">
							<tbody>
	';

		$mySQL->query('SELECT * FROM temp_transaction_header WHERE USERNAME=:username AND TRANSTYPE=:type');
		$mySQL->addParam(":type",'PreSell');
		$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
		$tempHdr = $mySQL->singleResult();

		$mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
		$mySQL->addParam(":setup",'VAT');
		$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
		$vatPercent = $mySQL->singleResult();

		$mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
		$mySQL->addParam(":setup",'EWT');
		$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
		$ewtPercent = $mySQL->singleResult();

		$vatEx = $net / $vatPercent[0];
		$vat = $net - $vatEx;
		
		if ($tempHdr['EWT'] == 1) {
			$ewt = $vatEx * $ewtPercent[0];
		}else{
			$ewt = 0;
		}

		if ($tempHdr['VAT'] == 1) {
			$total = $net - $ewt;
		}else{
			$total = $vatEx - $ewt;
			$net = $vatEx;
			$vat=0;
			$vatEx =0;
		}
		
		



	echo '
								
								

								<tr class="b-top-none">
									<td class="text-right" colspan="2">'.($tempHdr['VAT']==1 ? 'Gross' : 'Net').' Amount</td>
									<td class="text-right">P'.number_format($net,2).'</td>
								</tr>
								<hr>
								<tr class="b-top-none">
									<td class="text-right" colspan="2">Vatable Sales</td>
									<td class="text-right">P'.number_format($vatEx,2).'</td>
								</tr>
								<tr>
									<td class="text-right" colspan="2">VAT</td>
									<td class="text-right">P'.number_format($vat,2).'</td>
								</tr>
								<tr>
									<td class="text-right" colspan="2">EWT</td>
									<td class="text-right">P'.number_format($ewt,2).'</td>
								</tr>
								<tr class="h4 text-danger">
									<td class="text-right" colspan="2">Total Payable</td>
									<td class="text-right">P'.number_format($total,2).'</td>
								</tr>
								<tr class="text-success">
									<td class="text-right" colspan="2">Tendered Amount</td>
									<td class="text-right">P'.number_format($tenderAmount['AMOUNT'],2).'</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>



			<div class="text-left pull-left">
				<button data-toggle="modal" data-target="#cancelTransaction" class="btn btn-danger"><i class="fa fa-times"></i>  Cancel Transaction</button>
			</div>


';
	$refError = '';
	$enablePrint = true;
	if (number_format($tenderAmount['AMOUNT'],2) != number_format($total,2)) {
		$enablePrint = false;
		$refError = '<small class="pull-right text-gray text-bold">Reminder: Please Tender Valid Amount</small>';
	}
	if ($tempHdr['VAT'] == 0 && (is_null($tempHdr['VATREF']) || empty($tempHdr['VATREF']) || trim($tempHdr['VATREF']) == '')  ) {
		$enablePrint = false;
		$refError = '<small class="pull-right text-danger text-bold">Error: Please Input Vat Excempt Reference</small>';
	}
	if ($tempHdr['EWT'] == 1 && (is_null($tempHdr['EWTREF']) || empty($tempHdr['EWTREF']) || trim($tempHdr['EWTREF']) == '')  ) {
		$enablePrint = false;
		$refError = '<small class="pull-right text-danger text-bold">Error: Please Input 2307 Reference</small>';
	}
echo '



			<div class="text-right">
				<button '.($enablePrint == false ? 'disabled' : '').' class="btn btn-success" data-toggle="modal" data-target="#printReceipt"><i class="fa fa-file-text"></i> Print Sales Order</button>
				<button onclick="loadTenderModal();" data-toggle="modal" data-target="#tenderModal" class="btn btn-primary"><i class="fa fa-money"></i>  Tender</button>
			</div>
			'.$refError.'
	  	';
  	}

  	
  	

}

?>	


		