<?php

   

  if (isset($_GET['type'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;
  	session_start();
  	$mySQL->query('SELECT * FROM temp_transaction_tender WHERE USERNAME=:username AND TRANSTYPE=:type');
  	$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
  	$mySQL->addParam(":type",$_GET['type']);
  	$tenders = $mySQL->resultSet();


  	$mySQL->query('SELECT * FROM temp_transaction_header WHERE USERNAME=:username AND TRANSTYPE=:type');
	$mySQL->addParam(":type",$_GET['type']);
	$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
	$tempHdr = $mySQL->singleResult();

	$mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
	$mySQL->addParam(":setup",'VAT');
	$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
	$vatPercent = $mySQL->singleResult();

	$mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
	$mySQL->addParam(":setup",'EWT');
	$mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
	$ewtPercent = $mySQL->singleResult();


  	$mySQL->query('SELECT SUM(SUBTOTAL) SUBTOTAL
  		FROM temp_transaction WHERE TRANSTYPE=:type AND USERNAME=:username');
  	$mySQL->addParam(":type",$_GET['type']);
  	$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
  	$subTotal = $mySQL->singleResult();


  	$vatEx = $subTotal[0] / $vatPercent[0];
	
	
	if ($tempHdr['EWT'] == 1) {
		$ewt = $vatEx * $ewtPercent[0];
	}else{
		$ewt = 0;
	}

	if ($tempHdr['VAT'] == 1) {
		$total = $subTotal[0] - $ewt;
		$vat = 0;
	}else{
		$total = $vatEx - $ewt;
		$vat = $subTotal[0] - $vatEx;
	}






  	$totalAmount = 0;
	echo '
				<h4 class="text-bold text-dark">Total Payable: P'.number_format($total,2).'</h4>
				<table class="table">
					<thead>
						<tr>
							<th>Type</th>
							<th>Reference</th>
							<th class="text-right">Amount</th>
							<th>Delete</th>
						</tr>
					</thead>
				<div id="paymentModes">
					<tbody>
					';
						$totalTender = 0;
						foreach ($tenders as $tender) {
							echo '
								<tr>
									<th class="text-bold h5">'.$tender['TYPE'].'</th>
									<th class="text-bold h5">'.$tender['REFERENCE'].'</th>
									<th class="text-bold h5 text-right">P'.number_format($tender['AMOUNT'],2).'</th>
									<th>
										<a href="functions/tenderDelete.php?recID='.$tender['RECID'].'" class="badge btn-danger"><i class="fa fa-trash-o"></i></a>
									</th>
								</tr>
							';
							$totalTender = $totalTender + $tender['AMOUNT'];
						}

					echo '
						<tr>
							<th colspan="2" class="text-right text-bold h5">Total Tender: </th>
							<th colspan="1" class="text-bold h5 text-danger text-right">P'.number_format($totalTender,2).'</th>
							<th colspan="1" class="text-right text-bold h5"></th>
						</tr>
						<tr>
							<th colspan="2" class="text-right text-bold h5">Balance: </th>
							<th colspan="1" class="text-bold h5 text-danger text-right">P'.number_format($total - $totalTender,2).'</th>
							<th colspan="1" class="text-right text-bold h5"></th>
						</tr>

						
					</tbody>
				</div>
				</table>
			
  	';

  	
  }




?>	


		