<?php
	session_start();
	
if (isset($_GET['RecId'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;

	$used = array('Assigned','Used');
	$unused = array('Uploaded','Unassigned');
	
	$mySQL->query('select * from table_voucher_header where RECID = :recid');
	$mySQL->addParam(':recid',$_GET['RecId']);
	$voucher = $mySQL->singleResult();

  	echo '
  		<section class="panel">
			<header class="panel-heading">
				<h2 class="panel-title text-primary">'.$voucher['VOUCHERREF'].'</h2>
			</header>
			<div class="panel-body">
				<table class="table table-bordered table-striped" id="datatable-default">
					<thead>
						<tr>
							<th>Status</th>
							<th>Created By</th>
							<th>Log Date</th>
						</tr>
					</thead>
					<tbody>

				';
					$mySQL->query('SELECT * FROM table_voucher_approval_logs where VOUCHERREF = :ref');
				  	$mySQL->addParam(":ref",$voucher['VOUCHERREF']);
				  	$logs = $mySQL->resultSet();
				  	if (count($logs) != 0) {
				  		foreach ($logs as $log) {
				  			if(isset($log['RECID']))
							{
								$date1 = date_create($log['CREATEDDT']);
								echo '
										<tr>
											<td>'.$log['STATUS'].'</td>
											<td>'.$log['CREATEDBY'].'</td>
											<td>'.date_format($date1,'m/d/Y h:i:s A').'</td>
										</tr>
									';
							}else{
								echo '
									<tr>
										<td class="text-center" colspan="3">No logs found</td>
									</tr>
								';
							} 
						}
				  	}

				echo'
						

					</tbody>
				</table>
			</div>
		</section>


  	';
	


  }


?>


				