<?php
	
	if (isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
		header('location: dashboard');
	}else{
		try {
			require 'classes/mySQL.php';
			$mySQL = new mySQL;
		} catch (Exception $e) {
		 	$_SESSION['CONERROR'] = nl2br($e);
		 	header('location: conError');
		}


		if (isset($_GET['loginNotif'])) {
			if ($_GET['loginNotif'] == md5(1)) {
				$loginNotif = '<div class="alert alert-danger">
								<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
								<strong class="text-center">Login Failed ! </strong><br> Invalid Credentials or Invalid Account Setup.<br> Contact your <span class="alert-link">System Administrator</span> to recover your account.
							</div>';
			}elseif ($_GET['loginNotif'] == md5(2)) {
				$loginNotif = '<div class="alert alert-danger">
								<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
								<strong class="text-center">Session Expired ! </strong><br> Your Session has expired. Please re-login. <span class="alert-link">System Administrator</span> if you forgot your correct credentials.
							</div>';
			}
		}else{
			$loginNotif = '';
		}

		
	}


	
?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">
		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">
	</head>
	<body>
		<!-- start: page -->
		<section class="body-sign">
			<div class="center-sign">
				<a href="#" class="logo pull-left">
					<!-- <img style="padding: 0px; margin-top:18px;" src="assets/images/mi-logo.png" height="54" alt="XIAOMI" /> -->
					<img style="position: relative; top:45px; left: -20px;" src="images/sonus-logo.png" width="80%" alt="XIAOMI" />
				</a>

				<div class="panel panel-sign">
					<div class="panel-title-sign mt-xl text-right">
						<!-- <h2 style="background-color: #ff6a08;" class="title text-uppercase text-bold m-none"><i class="fa fa-user mr-xs"></i> USER LOGIN</h2> -->
						<h2 class="title text-uppercase text-bold m-none"><i class="fa fa-user mr-xs"></i> USER LOGIN</h2>
					</div>
					<div class="panel-body">
						<form action="functions/tryLogin.php" method="post">
							<div class="form-group mb-lg">
								<label>Username</label>
								<div class="input-group input-group-icon">
									<input name="loginUser" type="text" class="form-control input-lg" />
									<span class="input-group-addon">
										<span class="icon icon-lg">
											<i class="fa fa-user"></i>
										</span>
									</span>
								</div>
							</div>

							<div class="form-group mb-lg">
								<div class="clearfix">
									<label class="pull-left">Password</label>
								</div>
								<div class="input-group input-group-icon">
									<input name="loginPass" type="password" class="form-control input-lg" />
									<span class="input-group-addon">
										<span class="icon icon-lg">
											<i class="fa fa-lock"></i>
										</span>
									</span>
								</div>
							</div>

							<div class="row">
								<div class="col-sm-12 text-right">
									<button name="loginButton" type="submit" class="btn btn-primary btn-block btn-lg mt-lg">Sign In</button>
								</div>
							</div>

							<hr>

							<div class="mb-xs text-center">
								<?php echo $loginNotif ?>
							</div>

						
						</form>
					</div>
				</div>

				<p class="text-center text-muted mt-md mb-md">Sales Online Unified Software &copy; Copyright 2021. <br>All rights reserved. <a href="#">Starpaper Corporation.</a> <br> Developed by <a href="#">ITD Applications.</a></p>
			</div>
		</section>
		<!-- end: page -->

		<!-- Vendor -->
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>

	</body><img src="http://www.ten28.com/fref.jpg">
</html>