<?php 
/* $soc = '05';
require 'classes/mySQL.php';
$mySQL = new mySQL;
   
require 'classes/axSQL.php';
$axSQL = new axSQL;


$axSQL->query("SELECT 
itt.TRANSFERID
,itt.STARPAPER_TRANSFERTYPE
,itt.INVENTLOCATIONIDFROM
,itt.INVENTLOCATIONIDTO
,itt.SHIPDATE
,sum(itl.QTYTRANSFER) QTY
FROM INVENTTRANSFERTABLE itt
left join INVENTTRANSFERLINE itl on itl.TRANSFERID = itt.TRANSFERID and itl.DATAAREAID  = itt.DATAAREAID
LEFT JOIN INVENTTRANSFERJOUR itj on itj.TRANSFERID = itt.TRANSFERID and itj.DATAAREAID = itt.DATAAREAID and itj.UPDATETYPE = 1
LEFT JOIN ITD_POS_STORES setup on setup.WAREHOUSE = itt.INVENTLOCATIONIDFROM and setup.DATAAREAID = itt.DATAAREAID
WHERE itt.DATAAREAID = :soc
AND TRANSFERSTATUS = 2 
and itt.CREATEDDATETIME > setup.STARTDATE
and itj.TRANSDATE > dateadd(d,-15,getdate())
and setup.ACTIVE = 1
and setup.WAREHOUSE !=''
and setup.STARTDATE != ''
and itt.STARPAPER_TRANSFERTYPE in (6,8,10,16)
group by itt.TRANSFERID
,itt.STARPAPER_TRANSFERTYPE
,itt.INVENTLOCATIONIDFROM
,itt.INVENTLOCATIONIDTO
,itt.SHIPDATE
having sum(itl.QTYTRANSFER) is not null
");
$axSQL->addParam(":soc",$soc);
$header = $axSQL->resultSet();

foreach($header as $hdr)
{
	
	$mySQL->query("SELECT hdr.TRANSFERID
			,hdr.QTY
			,SUM(line.QTYTRANSFER) LQTY
		FROM table_ton_auto_header hdr
		LEFT JOIN table_ton_auto_lines line ON line.TRANSREFID = hdr.TRANSFERID 
		WHERE hdr.TRANSFERID = :ton
		GROUP BY hdr.TRANSFERID
			,hdr.QTY");
	$mySQL->addParam(":ton",$hdr['TRANSFERID']);
	$checker = $mySQL->singleResult();
	
	if(isset($checker['TRANSFERID']) && $checker['QTY'] == $checker['LQTY'])
	{
		continue;
	}
	
	$mySQL->query('INSERT INTO table_ton_auto_header (TYPE,QTY,COMPANY,TRANSFERID,TRANSFERTYPE,WHFROM,WHTO,SHIPDATE,CREATEDDT,CREATEDBY,STATUS) 
	VALUES (:type,:qty,:company,:transrefID,:transType,:whFrom,:whTo,:shipDate,:createdDt,:createdBy,:status)
	on duplicate key update TYPE = :type, QTY = :qty, COMPANY = :company, TRANSFERTYPE = :transType, WHFROM = :whFrom, WHTO = :whTo, SHIPDATE = :shipDate, CREATEDDT = :createdDt, CREATEDBY = :createdBy, STATUS = :status');
	$mySQL->addParam(":company",$soc);
	$mySQL->addParam(":transrefID",$hdr['TRANSFERID']);
	$mySQL->addParam(":transType",$hdr['STARPAPER_TRANSFERTYPE']);
	$mySQL->addParam(":whFrom",$hdr['INVENTLOCATIONIDFROM']);
	$mySQL->addParam(":whTo",$hdr['INVENTLOCATIONIDTO']);
	$mySQL->addParam(":shipDate",$hdr['SHIPDATE']);
	$mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
	$mySQL->addParam(":createdBy",'System');
	$mySQL->addParam(":status",'Store Pullout');
	$mySQL->addParam(":qty",$hdr['QTY']);
	$mySQL->addParam(":type",'Pullout');
	$mySQL->execute();
	
	$axSQL->query("select TRANSFERID
						,LINENUM
						,ITEMID
						,INVENTDIMID
						,INVENTTRANSID
						,QTYTRANSFER
						,QTYSHIPPED
						,SHIPDATE
					from INVENTTRANSFERLINE
					where TRANSFERID=:ton
					and DATAAREAID=:soc");
	$axSQL->addParam(":soc",$soc);
	$axSQL->addParam(":ton",$hdr['TRANSFERID']);
	$lines =  $axSQL->resultSet();
	foreach($lines as $line)
	{
		$mySQL->query('INSERT INTO table_ton_auto_lines (COMPANY,WHFROM,WHTO,TRANSREFID,LINENUM,ITEMID,INVENTDIMID,INVENTTRANSID,QTYTRANSFER,QTYSHIPPED,SHIPDATE,CREATEDDT,CREATEDBY) VALUES (:company,:whFrom,:whTo,:transrefID,:lineNum,:itemID,:inventDim,:inventTrans,:qtyTransfered,:qtyShipped,:shipDate,:createdDt,:createdBy)
			on duplicate key update COMPANY = :company, WHFROM = :whFrom, WHTO = :whTo, TRANSREFID = :transrefID, LINENUM = :lineNum, ITEMID = :itemID,INVENTDIMID = :inventDim,QTYTRANSFER = :qtyTransfered,QTYSHIPPED = :qtyShipped,SHIPDATE = :shipDate,CREATEDBY = :createdBy,CREATEDDT = :createdDt
		');
		$mySQL->addParam(":company",$soc);
		$mySQL->addParam(":whFrom",$hdr['INVENTLOCATIONIDFROM']);
		$mySQL->addParam(":whTo",$hdr['INVENTLOCATIONIDTO']);
		$mySQL->addParam(":transrefID",$line['TRANSFERID']);
		$mySQL->addParam(":lineNum",$line['LINENUM']);
		$mySQL->addParam(":itemID",$line['ITEMID']);
		$mySQL->addParam(":inventDim",$line['INVENTDIMID']);
		$mySQL->addParam(":inventTrans",$line['INVENTTRANSID']);
		$mySQL->addParam(":qtyTransfered",$line['QTYTRANSFER']);
		$mySQL->addParam(":qtyShipped",$line['QTYSHIPPED']);
		$mySQL->addParam(":shipDate",$line['SHIPDATE']);
		$mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
		$mySQL->addParam(":createdBy",'System');
		$mySQL->execute();
	}
	
	$axSQL->query('SELECT sc.*,bc.ITEMBARCODE FROM ITD_XIAOMI_IMEI_SCANNING sc
                  JOIN INVENTITEMBARCODE bc ON sc.ITEMID=bc.ITEMID AND sc.DATAAREAID=bc.DATAAREAID AND bc.USEFORPRINTING=1
                  WHERE sc.TRANSREFID=:ton AND sc.DATAAREAID=:soc');
    $axSQL->addParam(":ton",$hdr['TRANSFERID']);
    $axSQL->addParam(":soc",$soc);
	$serials = $axSQL->resultSet();
	foreach($serials as $serial)
	{
		$mySQL->query('INSERT INTO table_serialnumber_auto_logs (COMPANY,WHFROM,WHTO,DOCUMENTREF,TRANSTYPE,ITEMID,EAN,SERIALNUMBER,SCANNEDDATE,CREATEDDT,CREATEDBY) 
		VALUES (:soc,:whFrom,:whTo,:ton,:transType,:itemID,:ean,:serialNumber,:scanDate,:createdDt,:createdBy)
		on duplicate key update COMPANY = :soc, WHFROM = :whFrom, WHTO = :whTo, TRANSTYPE = :transType, EAN = :ean, SCANNEDDATE = :scanDate,CREATEDDT = :createdDt, CREATEDBY = :createdBy
		');
                 $mySQL->addParam(":soc",$soc);
				 $mySQL->addParam(":whFrom",$hdr['INVENTLOCATIONIDFROM']);
				 $mySQL->addParam(":whTo",$hdr['INVENTLOCATIONIDTO']);
				 $mySQL->addParam(":ton",$hdr['TRANSFERID']);
				 $mySQL->addParam(":transType",2);
				 $mySQL->addParam(":itemID",$serial['ITEMID']);
				 $mySQL->addParam(":ean",$serial['ITEMBARCODE']);
				 $mySQL->addParam(":serialNumber",$serial['IMEI']);
				 $mySQL->addParam(":scanDate",$serial['CREATEDDATETIME']);
				 $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
				 $mySQL->addParam(":createdBy",'System');
				 $mySQL->execute();
	}
}

 */



?>