<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_GET['item']) && isset($_GET['type'])) {


         $mySQL->query('SELECT * FROM table_inventtable WHERE ITEMID=:item');
         $mySQL->addParam(":item",$_GET['item']);
         $item = $mySQL->singleResult();

         $mySQL->query('SELECT COUNT(1) FROM temp_transaction WHERE ITEMID=:itemID');
         $mySQL->addParam(":itemID",$_GET['item']);
         $tempQty = $mySQL->singleResult();

         $mySQL->query('SELECT AVAIL FROM table_inventsum WHERE ITEMID=:itemID AND STORE=:store AND COMPANY=:company');
         $mySQL->addParam(":itemID",$_GET['item']);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $curQty = $mySQL->singleResult();

         $totalQty = $curQty['AVAIL'] - $tempQty[0];

         if (($totalQty-$_GET['qty']) < 0) {
            echo '<small class="text-danger text-bold">Error: Insufficient Stock On Hand ! </small>';
         }else{

            $priceDetails = $mySQL->getPriceDetails($_GET['item'],$_SESSION['MI-KIOSK_STORE-ONLINE'],$_SESSION['MI-KIOSK_COMPANYID-ONLINE'],$_SESSION['MI-KIOSK_USER-ONLINE']);

            $subTotal = ($priceDetails['AMOUNT']-$priceDetails['DISCAMOUNT']) - ( ($priceDetails['AMOUNT']-$priceDetails['DISCAMOUNT']) * $priceDetails['DISCPERCENT']/100 );

            if ($_GET['qty'] <= 0) {
               $qty = 1;
            }else{
               $qty = $_GET['qty'];
            }



            for ($i=0; $i < $qty ; $i++) { 
               $mySQL->query('INSERT INTO temp_transaction (USERNAME,TRANSTYPE,ITEMID,ITEMNAME,SALESPRICE,QTY,DISCAMOUNT,DISCPERCENT,SUBTOTAL) VALUES (:username,:transType,:itemID,:itemName,:salesPrice,:qty,:discAmount,:discPercent,:subTotal)');
               $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
               $mySQL->addParam(":transType",$_GET['type']);
               $mySQL->addParam(":itemID",$item['ITEMID']);
               $mySQL->addParam(":itemName",$item['ITEMNAME']);
               $mySQL->addParam(":salesPrice",$priceDetails['AMOUNT']);
               $mySQL->addParam(":qty",1);
               $mySQL->addParam(":discAmount",$priceDetails['DISCAMOUNT']);
               $mySQL->addParam(":discPercent",$priceDetails['DISCPERCENT']);
               $mySQL->addParam(":subTotal",$subTotal);
               $mySQL->execute();
            }
            
            echo '<small class="text-success text-bold">Success: Item Added ! </small>';
         }

         

   	}else{
   		header('location: ../dashboard');
   	}

?>