<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_GET['item']) && isset($_GET['type'])) {


      $mySQL->query('SELECT * FROM table_inventtable WHERE ITEMID=:item');
      $mySQL->addParam(":item",$_GET['item']);
      $item = $mySQL->singleResult();

     
         $priceDetails = $mySQL->getPriceDetails($_GET['item'],$_SESSION['MI-KIOSK_STORE-ONLINE'],$_SESSION['MI-KIOSK_COMPANYID-ONLINE'],$_SESSION['MI-KIOSK_USER-ONLINE']);

         $subTotal = ($priceDetails['AMOUNT']-$priceDetails['DISCAMOUNT']) - ( ($priceDetails['AMOUNT']-$priceDetails['DISCAMOUNT']) * $priceDetails['DISCPERCENT']/100 );

         $mySQL->query('INSERT INTO temp_transaction (USERNAME,TRANSTYPE,ITEMID,ITEMNAME,SALESPRICE,QTY,DISCAMOUNT,DISCPERCENT,SUBTOTAL) VALUES (:username,:transType,:itemID,:itemName,:salesPrice,:qty,:discAmount,:discPercent,:subTotal)');
         $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->addParam(":transType",$_GET['type']);
         $mySQL->addParam(":itemID",$item['ITEMID']);
         $mySQL->addParam(":itemName",$item['ITEMNAME']);
         $mySQL->addParam(":salesPrice",$priceDetails['AMOUNT']);
         $mySQL->addParam(":qty",1);
         $mySQL->addParam(":discAmount",$priceDetails['DISCAMOUNT']);
         $mySQL->addParam(":discPercent",$priceDetails['DISCPERCENT']);
         $mySQL->addParam(":subTotal",$subTotal);
         $mySQL->execute();
         echo '<small class="text-success text-bold">Success: Item Added !</small>';
       

         

   	}else{
   		header('location: ../dashboard');
   	}

?>