<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   

   	if (isset($_GET['serialNumber']) && isset($_GET['ean'])) {

         $mySQL->query('SELECT * FROM table_inventtable WHERE EAN=:ean AND COMPANY=:company');
         $mySQL->addParam(":ean",$_GET['ean']);
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $item = $mySQL->singleResult();

         $mySQL->query('SELECT * FROM table_serialnumber_available WHERE SERIALNUMBER=:serialNumber AND ITEMID=:itemID AND CURLOCATION=:store AND IFAVAILABLE=:one');
         $mySQL->addParam(":serialNumber",$_GET['serialNumber']);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->addParam(":itemID",$item['ITEMID']);
         $mySQL->addParam(":one",1);
         $serial = $mySQL->singleResult();

         if ($serial) {
            $mySQL->query('SELECT COUNT(1) FROM temp_transaction WHERE SERIALNUMBER=:serialNumber');
            $mySQL->addParam(":serialNumber",$_GET['serialNumber']);
            $existing = $mySQL->singleResult();

            if ($existing[0]==0) {

               $priceDetails = $mySQL->getPriceDetails($item['ITEMID'],$_SESSION['MI-KIOSK_STORE-ONLINE'],$_SESSION['MI-KIOSK_COMPANYID-ONLINE'],$_SESSION['MI-KIOSK_USER-ONLINE']);

               $subTotal = ($priceDetails['AMOUNT']-$priceDetails['DISCAMOUNT']) - ( ($priceDetails['AMOUNT']-$priceDetails['DISCAMOUNT']) * $priceDetails['DISCPERCENT']/100 );
               
               $mySQL->query('INSERT INTO temp_transaction (USERNAME,TRANSTYPE,ITEMID,ITEMNAME,SALESPRICE,QTY,DISCAMOUNT,DISCPERCENT,SUBTOTAL,SERIALNUMBER) VALUES (:username,:transType,:itemID,:itemName,:salesPrice,:qty,:discAmount,:discPercent,:subTotal,:serialNumber)');
               $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
               $mySQL->addParam(":transType",$_GET['type']);
               $mySQL->addParam(":itemID",$item['ITEMID']);
               $mySQL->addParam(":itemName",$item['ITEMNAME']);
               $mySQL->addParam(":salesPrice",$priceDetails['AMOUNT']);
               $mySQL->addParam(":qty",1);
               $mySQL->addParam(":discAmount",$priceDetails['DISCAMOUNT']);
               $mySQL->addParam(":discPercent",$priceDetails['DISCPERCENT']);
               $mySQL->addParam(":subTotal",$subTotal);
               $mySQL->addParam(":serialNumber",$_GET['serialNumber']);
               $mySQL->execute();
               echo '<small class="text-success text-bold">Success: Serial Number added !</small>';
               
            }else{
              echo '<small class="text-danger text-bold">Error: Serial Number already Scanned !</small>';
            }




         }else{
            echo '<small class="text-danger text-bold">Error: Invalid Serial Number !</small>';
         }






         



                                          
        

   	}else{
   		header('location: ../dashboard');
   	}

?>