<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   require '../classes/axSQL.php';
   $axSQL = new axSQL;

   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }
	if (isset($_POST['wjNumber'])) {

         $axSQL->query('SELECT hdr.DESCRIPTION,dim.INVENTLOCATIONID,ln.ITEMID,ln.QTY FROM INVENTJOURNALTABLE hdr 
         LEFT JOIN INVENTJOURNALTRANS ln ON hdr.JOURNALID=ln.JOURNALID AND hdr.DATAAREAID=ln.DATAAREAID 
         LEFT JOIN INVENTDIM dim ON ln.INVENTDIMID=dim.INVENTDIMID AND ln.DATAAREAID=dim.DATAAREAID 
         WHERE hdr.JOURNALID = :wjNumber AND hdr.JOURNALTYPE = :type AND hdr.DATAAREAID=:company');
         $axSQL->addParam(":wjNumber",$_POST['wjNumber']);

         if ($_POST['wjType'] == 'Adjustment') {
            $axSQL->addParam(":type",1);
         }else{
            $axSQL->addParam(":type",4);
         }
         
         $axSQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $items = $axSQL->resultSet();

         if ($mySQL->acceptHOTrans($items[0]['INVENTLOCATIONID'],$_SESSION['MI-KIOSK_COMPANYID-ONLINE']) == false) {
           header('location: ../adjustments?notif='.md5(4));
           exit();
         }else{
            foreach ($items as $item) {
               $mySQL->query('INSERT INTO table_adjustments (WJNUMBER,DESCRIPTION,TYPE,STORE,ITEMID,QTY,CREATEDBY,CREATEDDT,COMPANY) VALUES (:wjNumber,:description,:type,:store,:itemID,:qty,:createdBy,:createdDt,:company)');
               $mySQL->addParam(":wjNumber",$_POST['wjNumber']);
               $mySQL->addParam(":description",$item['DESCRIPTION']);
               $mySQL->addParam(":type",$_POST['wjType']);
               $mySQL->addParam(":store",$item['INVENTLOCATIONID']);
               $mySQL->addParam(":itemID",$item['ITEMID']);
               $mySQL->addParam(":qty",$item['QTY']);
               $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
               $mySQL->addParam(":createdDt",date('Y-m-d'));
               $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               $mySQL->execute();

               $lastRecID = $mySQL->lastInsertId();

               $mySQL->insertInventTrans(
                  $_SESSION['MI-KIOSK_COMPANYID-ONLINE'],
                  $item['INVENTLOCATIONID'],
                  $_POST['wjNumber'],
                  $item['ITEMID'],
                  $item['QTY'],
                  $_SESSION['MI-KIOSK_USER-ONLINE'],
                  date('Y-m-d H:i:s'),
                  $_POST['wjType']
               );
            }

         
            $mySQL->logAppTrail(
               'UPDATE',
               'Journal',
               'table_adjustments',
               $lastRecID,
               $_POST['wjNumber'],
               '',
               '',
               'Applied '.$_POST['wjType'].' Journal',
               $_SESSION['MI-KIOSK_USER-ONLINE']
            );


            if ($_POST['wjType'] == 'Adjustment') {
               header('location: ../adjustments?notif='.md5(3));
            }else{
               header('location: ../counting?notif='.md5(3));
            }
         }
	}else{
		header('location: ../dashboard');
	}

?>