<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['discountApply'])) {




         $mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setupName AND STORE=:store');
         $mySQL->addParam(":setupName",'PRICEDISC');
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $priceDisc = $mySQL->singleResult();

         $mySQL->query('SELECT DISCPERCENT,DISCAMOUNT FROM table_price_discount 
                        WHERE COMPANY=:company 
                        AND ISACTIVE!=:zero
                        AND FROMDATE <= :dateNow 
                        AND TODATE >= :dateNow
                        AND PRICEDISCID=:priceDiscID');
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->addParam(":dateNow",date('Y-m-d'));
         $mySQL->addParam(":zero",0);
         $mySQL->addParam(":priceDiscID",$priceDisc[0]);
         $defaultDisc = $mySQL->singleResult();

         $mySQL->query('SELECT * FROM setup_transaction_discount WHERE TRANDISCID=:tranDiscID');
         $mySQL->addParam(":tranDiscID",$_POST['discID']);
         $disc = $mySQL->singleResult();

         $mySQL->query('SELECT * FROM temp_transaction WHERE USERNAME=:username AND TRANSTYPE=:transType');
         $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->addParam(":transType",$_POST['transType']);
         $temps = $mySQL->resultSet();

         $mySQL->query('SELECT COUNT(1) FROM temp_transaction WHERE USERNAME=:username AND TRANSTYPE=:transType AND SALESPRICE!=:zero');
         $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->addParam(":transType",$_POST['transType']);
         $mySQL->addParam(":zero",0);
         $amtDivisor = $mySQL->singleResult();

         foreach ($temps as $temp) {

            $discAmount = $defaultDisc['DISCAMOUNT'] / $amtDivisor[0];
            $discPercent = $defaultDisc['DISCPERCENT'];

            if ($disc['TYPE']=='AMOUNT' && $temp['SALESPRICE']!=0) {
             // $discAmount = $defaultDisc['DISCAMOUNT'] + ($disc['VALUE'] / $amtDivisor[0]);
              $discAmount = ($disc['VALUE'] / $amtDivisor[0]);
            }

            if($disc['TYPE']=='PERCENTAGE' && $temp['SALESPRICE']!=0){
               //$discPercent = $defaultDisc['DISCPERCENT'] + $disc['VALUE'];
               $discPercent = $disc['VALUE'];
            }
          
            $percentNet = $temp['SALESPRICE'] * ($discPercent * 0.01);
            $amountNet = $temp['SALESPRICE'] - $discAmount;
            $subTotal = $amountNet - $percentNet;

            $mySQL->query('UPDATE temp_transaction SET DISCAMOUNT=:discAmount, DISCPERCENT=:discPercent, SUBTOTAL=:subTotal WHERE RECID=:recID');
            $mySQL->addParam(":discAmount",$discAmount);
            $mySQL->addParam(":discPercent",$discPercent);
            $mySQL->addParam(":subTotal",$subTotal);
            $mySQL->addParam(":recID",$temp['RECID']);
            $mySQL->execute();

            header('location: ../newsales');

         }

         $mySQL->query('UPDATE temp_transaction_header SET TRANDISC=:tranDiscID WHERE USERNAME=:username AND TRANSTYPE=:transType');
         $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->addParam(":transType",$_POST['transType']);
         $mySQL->addParam(":tranDiscID",$_POST['discID']);
         $mySQL->execute();


       
   	}else{
   		header('location: ../newsales');
   	}

?>