<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['savePreSell'])) {

         $mySQL->query('SELECT COUNT(1) FROM table_presell_header WHERE PRESELLINGNAME=:name');
         $mySQL->addParam(":name",$_POST['preSellName']);
         $existing = $mySQL->singleResult();
         if ($existing[0] == 0) {

            $mySQL->query('SELECT COUNT(1) FROM table_presell_header WHERE YEAR(CREATEDDT)=:year AND MONTH(CREATEDDT)=:month');
            $mySQL->addParam(":year",date('Y'));
            $mySQL->addParam(":month",date('m'));
            $rowCount=$mySQL->singleResult();
            $preSellId = 'PS'.date("Ymd").sprintf('%03d',$rowCount[0]+1);


            $mySQL->query('INSERT INTO table_presell_header (PRESELLINGID,PRESELLINGNAME,DESCRIPTION,DATEFROM,DATETO,MECHANICS,CREATEDDT,CREATEDBY,COMPANY) VALUES (:preSellId,:name,:description,:dFrom,:dTo,:mechanics,:createdDt,:createdBy,:company)');
            $mySQL->addParam(":preSellId",$preSellId);
            $mySQL->addParam(":name",$_POST['preSellName']);
            $mySQL->addParam(":description",$_POST['preSellDesc']);
            $mySQL->addParam(":dFrom",$_POST['fromDate']);
            $mySQL->addParam(":dTo",$_POST['toDate']);
            $mySQL->addParam(":mechanics",$_POST['mechanics']);
            $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
            $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->execute();

            $psRecID = $mySQL->lastInsertId();

           
            $mySQL->logAppTrail(
               'INSERT',
               'Pre-Selling',
               'table_presell_header',
               $psRecID,
               $preSellId,
               '',
               '',
               'Added New Pre-Selling',
               $_SESSION['MI-KIOSK_USER-ONLINE']
            );
            header('location: ../presell?notif='.md5(1));
         }else{
            header('location: ../presell?notif='.md5(3));
         }  
   	}else{
   		header('location: ../dashboard');
   	}

?>