<?php
   try {
      require '../classes/mySQL.php';
      $mySQL = new mySQL;

      require '../classes/axSQL.php';
      $axSQL = new axSQL;
   } catch (Exception $e) {
      header('location: ../conError');
      exit();
   }
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   $mySQL->query('SELECT * FROM table_ton_header WHERE RECID=:recID');
   $mySQL->addParam(":recID",$_POST['recID']);
   $tonHeader = $mySQL->singleResult();

  if (isset($_POST['approve'])) {
      $mySQL->query('SELECT * FROM table_ton_lines WHERE TRANSREFID=:ton');
      $mySQL->addParam(":ton",$tonHeader['TRANSREFID']);
      $tonLines = $mySQL->resultSet();
      $validAX = true;
      // foreach ($tonLines as $tonLine) {
      //    $mySQL->query('SELECT SUM(QTY) QTYRECEIVED FROM table_inventtrans WHERE STORE=:store AND COMPANY=:company AND TRANSREFID=:ton AND ITEMID=:itemID');
      //    $mySQL->addParam(":store",$tonLine['WHTO']);
      //    $mySQL->addParam(":company",$tonLine['COMPANY']);
      //    $mySQL->addParam(":ton",$tonLine['TRANSREFID']);
      //    $mySQL->addParam(":itemID",$tonLine['ITEMID']);
      //    $qtyReceived = $mySQL->singleResult();

      //    $axSQL->query('SELECT SUM(QTY) QTY FROM INVENTTRANS WHERE TRANSREFID=:ton AND ITEMID=:itemID');
      //    $axSQL->addParam(":ton",$tonHeader['TRANSREFID']);
      //    $axSQL->addParam(":itemID",$tonLine['ITEMID']);
      //    $axLine = $axSQL->singleResult();

      //    $totalReceive = $qtyReceived['QTYRECEIVED'] + $tonLine['TORECEIVE'];
      //    $discrepancy = $tonLine['QTYSHIPPED'] - $totalReceive;
         
      //    if ( ($axLine['QTY'] + $discrepancy) != 0) {
      //       $validAX = false;
      //    }
      // }
      if ($validAX == true) {
         $mySQL->query('INSERT INTO table_ton_status (TRANSREFID,STATUS,STORE,COMPANY,CREATEDDT,CREATEDBY) VALUES (:transrefID,:status,:store,:company,:createdDt,:createdBy)');
         $mySQL->addParam(":company",$tonHeader['COMPANY']);
         $mySQL->addParam(":store",$tonHeader['WHTO']);
         $mySQL->addParam(":transrefID",$tonHeader['TRANSREFID']);
         $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         $mySQL->addParam(":status",'Approved Discrepancy Report');
         $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->execute();

         $mySQL->logAppTrail(
            'UPDATE',
            'Shipped TON',
            'table_ton_header',
            0,
            $tonHeader['TRANSREFID'],
            '',
            '',
            'Approved Discrepancy Report',
            $_SESSION['MI-KIOSK_USER-ONLINE']
         );
         header('location: ../discrepancy?notif='.md5(1)); // approve
      }else{
         header('location: ../discrepancy?notif='.md5(3)); // invalid AX Process
      }
  }elseif (isset($_POST['decline'])) {

      $mySQL->query('SELECT COUNT(1) FROM table_inventtrans WHERE TRANSREFID=:transrefID');
      $mySQL->addParam(":transrefID",$tonHeader['TRANSREFID']);
      $tonStat = $mySQL->singleResult();

      if ($tonStat[0] == 0) {
         $status = 'Sent To Store';
      }else{
         $status = 'Partially Received';
      }

      $mySQL->query('INSERT INTO table_ton_status (TRANSREFID,STATUS,STORE,COMPANY,CREATEDDT,CREATEDBY) VALUES (:transrefID,:status,:store,:company,:createdDt,:createdBy)');
      $mySQL->addParam(":company",$tonHeader['COMPANY']);
      $mySQL->addParam(":store",$tonHeader['WHTO']);
      $mySQL->addParam(":transrefID",$tonHeader['TRANSREFID']);
      $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
      $mySQL->addParam(":status",$status);
      $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
      $mySQL->execute();

      $mySQL->logAppTrail(
         'UPDATE',
         'Shipped TON',
         'table_ton_header',
         0,
         $tonHeader['TRANSREFID'],
         '',
         '',
         'Declined Discrepancy Report',
         $_SESSION['MI-KIOSK_USER-ONLINE']
      );

      header('location: ../discrepancy?notif='.md5(2)); // declined
  }

  

?>