<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;

   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }


   	if (isset($_POST['ton'])) {

         $mySQL->query('SELECT SUM(TORECEIVE) FROM table_ton_lines WHERE TRANSREFID=:ton');
         $mySQL->addParam(":ton",$_POST['ton']);
         $zeroVal = $mySQL->singleResult();
         if ($zeroVal[0]==0 && isset($_POST['fpReceive'])) {
            header('location: ../itemreceiving?ton='.$_POST['ton'].'&notif='.md5(4));
            exit();
         }else{
            $matchTagging = true;
            $mySQL->query('SELECT ton.TRANSREFID,ton.ITEMID,SUM(TORECEIVE) TAGGED FROM table_ton_lines ton
                           LEFT JOIN table_inventtable it ON ton.ITEMID=it.ITEMID AND ton.COMPANY=it.COMPANY
                           WHERE ton.TRANSREFID=:ton AND it.SERIALIZED=:one
                           GROUP BY ton.TRANSREFID,ton.ITEMID');
            $mySQL->addParam(":one",1);
            $mySQL->addParam(":ton",$_POST['ton']);
            $tagLines = $mySQL->resultSet();

            foreach ($tagLines as $tagLine) {
               $mySQL->query('SELECT COUNT(1) FROM table_serialnumber_logs WHERE DOCUMENTREF=:curRef AND TAGGED=:one AND ITEMID=:itemID AND TRANSTYPE=:zero');
               $mySQL->addParam(":one",1);
               $mySQL->addParam(":zero",0);
               $mySQL->addParam(":curRef",$tagLine['TRANSREFID']);
               $mySQL->addParam(":itemID",$tagLine['ITEMID']);
               $tagItem = $mySQL->singleResult();
               if ($tagItem[0]!=$tagLine['TAGGED']) {
                  $matchTagging = false;
               }
            }

            if ($matchTagging==true) {

               $mySQL->query('SELECT ton.*,it.SERIALIZED FROM table_ton_lines ton
                        LEFT JOIN table_inventtable it ON ton.ITEMID=it.ITEMID AND ton.COMPANY=it.COMPANY
                        WHERE ton.TRANSREFID=:ton');
               $mySQL->addParam(":ton",$_POST['ton']);
               $tonLines = $mySQL->resultSet();
               $fullyReceived = true;

               foreach ($tonLines as $tonLine) {
                  if ($tonLine['SERIALIZED']==1 && $tonLine['TORECEIVE']!=0) {
                     $mySQL->query('SELECT * FROM table_serialnumber_logs WHERE DOCUMENTREF=:curRef AND TAGGED=:one AND ITEMID=:itemID AND TRANSTYPE=:zero');
                     $mySQL->addParam(":one",1);
                     $mySQL->addParam(":zero",0);
                     $mySQL->addParam(":curRef",$tonLine['TRANSREFID']);
                     $mySQL->addParam(":itemID",$tonLine['ITEMID']);
                     $serialLogs = $mySQL->resultSet();
                     foreach ($serialLogs as $serialLog) {

                        if (isset($_POST['fpReceive'])) {
                           $mySQL->insertSerialNumberLogs(
                              $serialLog['WHTO'],
                              $serialLog['WHTO'],
                              $tonLine['TRANSREFID'],
                              1,
                              $serialLog['LINENUM'],
                              $serialLog['ITEMID'],
                              $serialLog['EAN'],
                              $serialLog['SERIALNUMBER'],
                              date('Y-m-d H:i:s'),
                              $_SESSION['MI-KIOSK_USER-ONLINE'],
                              $_SESSION['MI-KIOSK_COMPANYID-ONLINE']
                           );
                           $tagged = 2;
                        }elseif (isset($_POST['drReceive'])) {
                           $tagged  = 1;
                        }

                        $mySQL->query('INSERT INTO table_receiving_serialnumber (DOCUMENTREF,WHFROM,WHTO,ITEMID,SERIALNUMBER,TAGGED,COMPANY,CREATEDDT,CREATEDBY) VALUES (:ton,:wFrom,:wTo,:itemID,:serialNumber,:tagged,:company,:createdDt,:createdBy)');
                        $mySQL->addParam(":ton",$tonLine['TRANSREFID']);
                        $mySQL->addParam(":wFrom",$tonLine['WHFROM']);
                        $mySQL->addParam(":wTo",$tonLine['WHTO']);
                        $mySQL->addParam(":itemID",$serialLog['ITEMID']);
                        $mySQL->addParam(":serialNumber",$serialLog['SERIALNUMBER']);
                        $mySQL->addParam(":tagged",$tagged);
                        $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
                        $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
                        $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
                        $mySQL->execute();
                     }
                  }

                  if (isset($_POST['fpReceive'])) {
                     if ($tonLine['TORECEIVE']!=0) {
                        $mySQL->insertInventTrans(
                           $_SESSION['MI-KIOSK_COMPANYID-ONLINE'],
                           $_SESSION['MI-KIOSK_STORE-ONLINE'],
                           $tonLine['TRANSREFID'],
                           $tonLine['ITEMID'],
                           $tonLine['TORECEIVE'],
                           $_SESSION['MI-KIOSK_USER-ONLINE'],
                           date('Y-m-d H:i:s'),
                           'Transfer'
                        );              
                     }
                     $toReceive = 0;
                     $withDiscrepancy = false;
                  }elseif (isset($_POST['drReceive'])) {
                     $toReceive = $tonLine['TORECEIVE'];
                     $fullyReceived = false;
                     $withDiscrepancy = true;
                  }

                  $mySQL->query('INSERT INTO table_receiving_item (TRANSREFID,WHFROM,WHTO,LINENUM,ITEMID,TORECEIVE,COMPANY,CREATEDDT,CREATEDBY) VALUES (:ton,:wFrom,:wTo,:lineNum,:itemID,:toReceive,:company,:createdDt,:createdBy)');
                  $mySQL->addParam(":ton",$tonLine['TRANSREFID']);
                  $mySQL->addParam(":wFrom",$tonLine['WHFROM']);
                  $mySQL->addParam(":wTo",$tonLine['WHTO']);
                  $mySQL->addParam(":lineNum",$tonLine['LINENUM']);
                  $mySQL->addParam(":itemID",$tonLine['ITEMID']);
                  $mySQL->addParam(":toReceive",$toReceive);
                  $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
                  $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
                  $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
                  $mySQL->execute();

                  $mySQL->query('SELECT SUM(QTY) QTYRECEIVED FROM table_inventtrans WHERE STORE=:store AND COMPANY=:company AND TRANSREFID=:ton AND ITEMID=:itemID');
                  $mySQL->addParam(":store",$tonLine['WHTO']);
                  $mySQL->addParam(":company",$tonLine['COMPANY']);
                  $mySQL->addParam(":ton",$tonLine['TRANSREFID']);
                  $mySQL->addParam(":itemID",$tonLine['ITEMID']);
                  $qtyReceived = $mySQL->singleResult();

                  if ($qtyReceived['QTYRECEIVED']!=$tonLine['QTYSHIPPED']) {
                     $fullyReceived = false;
                  }
               } // foreach ton line end

               if ($withDiscrepancy == true) {
                  $status = 'Reported with Discrepancy';
                  $action = 'Reported TON with Discrepancy';
               }else{
                  if ($fullyReceived == true) {
                     $status = 'Received By Store';
                     $action = 'Fully Received TON';
                  }else{
                     $status = 'Partially Received';
                     $action = 'Partially Received TON';
                  }
               }
            
               $mySQL->query('INSERT INTO table_ton_status (TRANSREFID,STATUS,STORE,COMPANY,CREATEDDT,CREATEDBY) VALUES (:transrefID,:status,:store,:company,:createdDt,:createdBy)');
               $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
               $mySQL->addParam(":transrefID",$_POST['ton']);
               $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
               $mySQL->addParam(":status",$status);
               $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
               $mySQL->execute();

               $mySQL->logAppTrail(
                  'UPDATE',
                  'Receive TON',
                  'table_ton_header|table_ton_lines',
                  0,
                  $_POST['ton'],
                  '',
                  '',
                  $action,
                  $_SESSION['MI-KIOSK_USER-ONLINE']
               );

               if ($withDiscrepancy == true) {
                 header('location: ../receiving?notif='.md5(2)); // Received with discrepancy
               }else{
                  if ($fullyReceived == true) {
                     header('location: ../receiving?notif='.md5(1)); // fully Received
                  }else{
                     header('location: ../receiving?notif='.md5(3)); // partially received
                  }
               }

            }else{
               header('location: ../itemreceiving?ton='.$_POST['ton'].'&notif='.md5(1));
            }
         }
   	}else{
   		header('location: ../dashboard');
   	}

?>