<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['updateUserStores'])) {

         $stores = $_POST['stores'];
         $storeStr = '';
         foreach ($stores as $store) {
            $storeStr = $storeStr.$store.'|';
         }
		 
		
         $mySQL->query('SELECT * FROM setup_employee WHERE RECID=:recID');
         $mySQL->addParam(":recID",$_POST['recID']);
         $preVal = $mySQL->singleResult();

         $mySQL->logAppTrail(
            'UPDATE',
            'Sales Responsible',
            'setup_user_store',
            $preVal['RECID'],
            $preVal['FULLNAME'],
            '',
            $storeStr,
            'Updated Sales Responsible Store/s',
            $_SESSION['MI-KIOSK_USER-ONLINE']
         );
		 
       
         $mySQL->query('DELETE FROM setup_employee_store WHERE REFREC =:rec');
         $mySQL->addParam(":rec",$preVal['RECID']);
         $mySQL->execute();


         $default = 1;
         foreach ($stores as $store) {
            $mySQL->query('SELECT COMPANY FROM setup_stores WHERE STORECODE=:storeCode');
            $mySQL->addParam(":storeCode",$store);
            $company = $mySQL->singleResult();

            $mySQL->query('INSERT INTO setup_employee_store (REFREC,STORECODE,DEFAULTSTORE,CREATEDBY,COMPANY) VALUES (:rec,:storeCode,:defaultStore,:createdBy,:company)');
            $mySQL->addParam(":rec",$preVal['RECID']);
            $mySQL->addParam(":storeCode",$store);
            if ($store==$_POST['defaultStore']) {
               $mySQL->addParam(":defaultStore",1);
            }else{
               $mySQL->addParam(":defaultStore",0);

            }
            
            $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
            $mySQL->addParam(":company",$company['COMPANY']);
            $mySQL->execute();
            $default = 0;
         }


     
         header('location: ../employee?notif='.md5(9));
         

         
          
   	}else{
   		header('location: ../dashboard');
   	}

?>