<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }



      if (isset($_POST['transID']) && isset($_POST['preSalesID'])) {

         $mySQL->query('SELECT * FROM table_transaction_header WHERE TRANSACTIONID=:transactionID');
         $mySQL->addParam(":transactionID",$_POST['transID']);
         $tranHdr = $mySQL->singleResult();

         $mySQL->query('SELECT * FROM table_transaction_lines WHERE TRANSACTIONID=:transactionID');
         $mySQL->addParam(":transactionID",$_POST['transID']);
         $tranLines = $mySQL->resultSet();

         $mySQL->query('SELECT * FROM table_presales WHERE PRESALESID=:preSalesId');
         $mySQL->addParam(":preSalesId",$_POST['preSalesID']);
         $preSales = $mySQL->singleResult();

      }
      

   	if ($tranHdr && $tranLines) {

         $transactionID = $_POST['preSalesID'];


         $net = 0;
         $vatable = 0;
         $lineNum=1;
         foreach ($tranLines as $tranLine) {
            $mySQL->query('INSERT INTO table_transaction_lines (TRANSACTIONID,LINENUM,ITEMID,EAN,QTY,SALESPRICE,DISCAMOUNT,DISCPERCENT,SUBTOTAL,VATABLE,CREATEDDT,COMPANY,STORE) VALUES (:transactionID,:lineNum,:itemID,:ean,:qty,:salesPrice,:discAmount,:discPercent,:subTotal,:vatable,:createdDt,:company,:store)');
            $mySQL->addParam(":transactionID",$transactionID);
            $mySQL->addParam(":lineNum",$lineNum);
            $mySQL->addParam(":itemID",$tranLine['ITEMID']);
            $mySQL->addParam(":ean",$tranLine['EAN']);
            $mySQL->addParam(":qty",$tranLine['QTY']);
            $mySQL->addParam(":salesPrice",$tranLine['SALESPRICE']);
            $mySQL->addParam(":discAmount",$tranLine['DISCAMOUNT']);
            $mySQL->addParam(":discPercent",$tranLine['DISCPERCENT']);
            $mySQL->addParam(":subTotal",$tranLine['SUBTOTAL']);
            $mySQL->addParam(":vatable",$tranLine['VATABLE']);
            $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
            $mySQL->execute();

            $mySQL->insertInventTrans(
               $_SESSION['MI-KIOSK_COMPANYID-ONLINE'],
               $_SESSION['MI-KIOSK_STORE-ONLINE'],
               $transactionID,
               $tranLine['ITEMID'],
               $tranLine['QTY'] * -1,
               $_SESSION['MI-KIOSK_USER-ONLINE'],
               date('Y-m-d H:i:s'),
               'Sales'
            );
            $lineNum++;

            $net = $net + $tranLine['SUBTOTAL'];
         }

      

         $mySQL->query('SELECT cl.*,it.EAN FROM temp_claim_serialnumber cl LEFT JOIN table_inventtable it ON cl.ITEMID=it.ITEMID WHERE cl.TRANSACTIONID=:transID');
         $mySQL->addParam(":transID",$_POST['transID']);
         $serials = $mySQL->resultSet();

         foreach ($serials as $serial) {
            $mySQL->query('SELECT LINENUM FROM table_transaction_lines WHERE TRANSACTIONID=:transactionID AND ITEMID=:itemID');
           $mySQL->addParam(":transactionID",$transactionID);
           $mySQL->addParam(":itemID",$serial['ITEMID']);
           // $mySQL->addParam(":discAmount",$serial['DISCAMOUNT']);
           // $mySQL->addParam(":discPercent",$serial['DISCPERCENT']);
           $lineNum = $mySQL->singleResult();

           $mySQL->insertSerialNumberLogs(
               $_SESSION['MI-KIOSK_STORE-ONLINE'],
               $transactionID,
               $transactionID,
               3,
               $lineNum['LINENUM'],
               $serial['ITEMID'],
               $serial['EAN'],
               $serial['SERIALNUMBER'],
               date('Y-m-d H:i:s'),
               $_SESSION['MI-KIOSK_USER-ONLINE'],
               $_SESSION['MI-KIOSK_COMPANYID-ONLINE']
            );
           $lineNum++;
         }

         $mySQL->query('DELETE FROM temp_claim_serialnumber WHERE TRANSACTIONID=:transID');
         $mySQL->addParam(":transID",$_POST['transID']);
         $mySQL->execute();

         $mySQL->query('INSERT INTO table_transaction_header (TRANSTYPE,TRANSACTIONID,CUSTOMERID,VATINC,VATREF,EWTINC,EWTREF,GROSSAMOUNT,VATABLESALES,VATAMOUNT,EWTAMOUNT,TOTALPAYABLE,TENDEREDAMOUNT,PRINTED,TRANSACTIONDT,COMPANY,STORE,CREATEDDT,CREATEDBY) VALUES (:transType,:transactionID,:customerID,:vatInc,:vatRef,:ewtInc,:ewtRef,:grossAmount,:vatableSales,:vatAmount,:ewtAmount,:totalPayable,:tenderedAmount,:printed,:transactionDt,:company,:store,:createdDt,:createdBy)');
         $mySQL->addParam(":transType",'Sales');
         $mySQL->addParam(":transactionID",$transactionID);
         $mySQL->addParam(":customerID",$preSales['CUSTOMERID']);
         $mySQL->addParam(":vatInc",$tranHdr['VATINC']);
         $mySQL->addParam(":vatRef",$tranHdr['VATREF']);
         $mySQL->addParam(":ewtInc",$tranHdr['EWTINC']);
         $mySQL->addParam(":ewtRef",$tranHdr['EWTREF']);
         $mySQL->addParam(":grossAmount",$tranHdr['GROSSAMOUNT']);
         $mySQL->addParam(":vatableSales",$tranHdr['VATABLESALES']);
         $mySQL->addParam(":vatAmount",$tranHdr['VATAMOUNT']);
         $mySQL->addParam(":ewtAmount",$tranHdr['EWTAMOUNT']);
         $mySQL->addParam(":totalPayable",$tranHdr['TOTALPAYABLE']);
         $mySQL->addParam(":tenderedAmount",0);
         $mySQL->addParam(":printed",0);
         $mySQL->addParam(":transactionDt",date('Y-m-d'));
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->execute();

         $mySQL->query('INSERT INTO table_presales_logs (PRESALESID,CLAIMED,STORE,COMPANY,CREATEDDT) VALUES (:preSalesId,:claimed,:store,:company,:createdDt)');
         $mySQL->addParam(":preSalesId",$transactionID);
         $mySQL->addParam(":claimed",1);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         $mySQL->execute();

         $mySQL->logAppTrail(
            'UPDATE',
            'Transactions',
            'table_presales',
            $preSales['RECID'],
            $transactionID,
            '',
            '',
            'Claimed Pre-selling Trasansaction',
            $_SESSION['MI-KIOSK_USER-ONLINE']
         );

         header('location: terminateTransaction.php?type=PreSell&print='.$transactionID);
        
   	}else{
   		header('location: ../dashboard');
   	}

?>