<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

      $mySQL->query('SELECT * FROM temp_transaction_header WHERE USERNAME=:username AND TRANSTYPE=:type');
      $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
      $mySQL->addParam(":type",'PreSell');
      $tranHdr = $mySQL->singleResult();


      $mySQL->query('SELECT temp.ITEMID,temp.SALESPRICE,temp.DISCAMOUNT,temp.DISCPERCENT,it.EAN,
      SUM(temp.QTY) QTY, 
      SUM(temp.SUBTOTAL) SUBTOTAL
      FROM temp_transaction temp JOIN table_inventtable it ON temp.ITEMID=it.ITEMID
      WHERE temp.TRANSTYPE=:type AND temp.USERNAME=:username 
      GROUP BY temp.ITEMID,temp.SALESPRICE,temp.DISCAMOUNT,temp.DISCPERCENT,it.EAN');
      $mySQL->addParam(":type",'PreSell');
      $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
      $tranLines = $mySQL->resultSet();

  
      $mySQL->query('SELECT * FROM temp_transaction_tender WHERE USERNAME=:username AND TRANSTYPE=:type');
      $mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
      $mySQL->addParam(":type",'PreSell');
      $tranTenders = $mySQL->resultSet();

      

   	if ($tranHdr && $tranLines && $tranTenders) {

         $transactionID = $mySQL->generateTransactionId($_SESSION['MI-KIOSK_STORE-ONLINE']);

         $mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
         $mySQL->addParam(":setup",'VAT');
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $vatPercent = $mySQL->singleResult();

         $mySQL->query('SELECT VALUE FROM app_setup WHERE SETUPNAME=:setup AND STORE=:store');
         $mySQL->addParam(":setup",'EWT');
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $ewtPercent = $mySQL->singleResult();

         $net = 0;
         $vatable = 0;
         foreach ($tranLines as $tranLine) {
            $mySQL->query('INSERT INTO table_transaction_lines (TRANSACTIONID,ITEMID,EAN,QTY,SALESPRICE,DISCAMOUNT,DISCPERCENT,SUBTOTAL,VATABLE,CREATEDDT,COMPANY,STORE) VALUES (:transactionID,:itemID,:ean,:qty,:salesPrice,:discAmount,:discPercent,:subTotal,:vatable,:createdDt,:company,:store)');
            $mySQL->addParam(":transactionID",$transactionID);
            $mySQL->addParam(":itemID",$tranLine['ITEMID']);
            $mySQL->addParam(":ean",$tranLine['EAN']);
            $mySQL->addParam(":qty",$tranLine['QTY']);
            $mySQL->addParam(":salesPrice",$tranLine['SALESPRICE']);
            $mySQL->addParam(":discAmount",$tranLine['DISCAMOUNT']);
            $mySQL->addParam(":discPercent",$tranLine['DISCPERCENT']);
            $mySQL->addParam(":subTotal",$tranLine['SUBTOTAL']);
            $mySQL->addParam(":vatable",$tranLine['SUBTOTAL'] / $vatPercent[0]);
            $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
            $mySQL->execute();

            $net = $net + $tranLine['SUBTOTAL'];
         }

         $tendered = 0;
         foreach ($tranTenders as $tranTender) {
            if ($tranTender['TYPE'] == 'RETURN CREDIT') {
               $mySQL->query('INSERT INTO table_return_logs (RETURNID,STATUS,CREDITEDAMOUNT,ALLOWREFUND,CREATEDBY,CREATEDDT,COMPANY,STORE) VALUES (:returnID,:status,:creditedAmount,:allowRef,:createdBy,:createdDt,:company,:store)');
               $mySQL->addParam(":returnID",$tranTender['REFERENCE']);
               $mySQL->addParam(":status",'Used');
               $mySQL->addParam(":creditedAmount",$tranTender['AMOUNT'] * -1);
               $mySQL->addParam(":allowRef",0);
               $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
               $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
               $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
               $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
               $mySQL->execute();
            }
            $mySQL->query('INSERT INTO table_transaction_tender (TRANSACTIONID,TENDERTYPE,REFERENCE,AMOUNT,COMPANY,STORE) VALUES (:transactionID,:tenderType,:reference,:amount,:company,:store)');
            $mySQL->addParam(":transactionID",$transactionID);
            $mySQL->addParam(":tenderType",$tranTender['TYPE']);
            $mySQL->addParam(":reference",$tranTender['REFERENCE']);
            $mySQL->addParam(":amount",$tranTender['AMOUNT']);
            $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
            $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
            $mySQL->execute();
            $tendered = $tendered + $tranTender['AMOUNT'];
         }

         $vatEx = $net / $vatPercent[0];
        
         
         if ($tranHdr['EWT'] == 1) {
            $ewt = $vatEx * $ewtPercent[0];
         }else{
            $ewt = 0;
         }

         if ($tranHdr['VAT'] == 1) {
            $total = $net - $ewt;
            $vat = $net - $vatEx;
         }else{
            $total = $vatEx - $ewt;
            $net = $vatEx;
            $vat=0;
            $vatEx =0;
            
         }


         $mySQL->query('INSERT INTO table_transaction_header (TRANSTYPE,TRANSACTIONID,VATINC,VATREF,EWTINC,EWTREF,GROSSAMOUNT,VATABLESALES,VATAMOUNT,EWTAMOUNT,TOTALPAYABLE,TENDEREDAMOUNT,PRINTED,TRANSACTIONDT,COMPANY,STORE,CREATEDDT,CREATEDBY) VALUES (:transType,:transactionID,:vatInc,:vatRef,:ewtInc,:ewtRef,:grossAmount,:vatableSales,:vatAmount,:ewtAmount,:totalPayable,:tenderedAmount,:printed,:transactionDt,:company,:store,:createdDt,:createdBy)');
         $mySQL->addParam(":transType",'PreSales');
         $mySQL->addParam(":transactionID",$transactionID);
         $mySQL->addParam(":vatInc",$tranHdr['VAT']);
         $mySQL->addParam(":vatRef",$tranHdr['VATREF']);
         $mySQL->addParam(":ewtInc",$tranHdr['EWT']);
         $mySQL->addParam(":ewtRef",$tranHdr['EWTREF']);
         $mySQL->addParam(":grossAmount",$net);
         $mySQL->addParam(":vatableSales",$vatEx);
         $mySQL->addParam(":vatAmount",$vat);
         $mySQL->addParam(":ewtAmount",$ewt);
         $mySQL->addParam(":totalPayable",$total);
         $mySQL->addParam(":tenderedAmount",$tendered);
         $mySQL->addParam(":printed",0);
         $mySQL->addParam(":transactionDt",date('Y-m-d'));
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->execute();



        $mySQL->query('SELECT ALIAS FROM setup_stores WHERE STORECODE=:store');
        $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
        $storePrefix = $mySQL->singleResult();

        $mySQL->query('SELECT COUNT(1) FROM table_presales WHERE YEAR(CREATEDDT)=:year AND MONTH(CREATEDDT)=:month AND DAY(CREATEDDT)=:day');
        $mySQL->addParam(":year",date('Y'));
        $mySQL->addParam(":month",date('m'));
        $mySQL->addParam(":day",date('d'));
        $tranCount = $mySQL->singleResult();
        $preSalesID = $storePrefix[0].date("Ymd").sprintf('%03d',$tranCount[0]+1).'PS';

         $mySQL->query('INSERT INTO table_presales (PRESALESID,TRANSACTIONID,PRESELLINGID,STORE,CUSTOMERID,TRANSACTIONDT,CREATEDBY,CREATEDDT,COMPANY) VALUES (:preSalesID,:transactionID,:preSellingId,:store,:customerID,:transactionDt,:createdBy,:createdDt,:company)');
         $mySQL->addParam(":preSalesID",$preSalesID);
         $mySQL->addParam(":transactionID",$transactionID);
         $mySQL->addParam(":preSellingId",$tranHdr['TRANREF']);
         $mySQL->addParam(":store",$_SESSION['MI-KIOSK_STORE-ONLINE']);
         $mySQL->addParam(":customerID",$tranHdr['CUSTOMERID']);
         $mySQL->addParam(":transactionDt",date('Y-m-d'));
         $mySQL->addParam(":createdBy",$_SESSION['MI-KIOSK_USER-ONLINE']);
         $mySQL->addParam(":createdDt",date('Y-m-d H:i:s'));
         $mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
         $mySQL->execute();

         $lastInsertId = $mySQL->lastInsertId();

         $mySQL->logAppTrail(
            'INSERT',
            'Transactions',
            'table_presales',
            $lastInsertId,
            $preSalesID,
            '',
            '',
            'Saved Pre-selling Trasansaction',
            $_SESSION['MI-KIOSK_USER-ONLINE']
         );



         header('location: terminateTransaction.php?type=PreSell&claim='.$transactionID);
        
   	}else{
   		header('location: ../newsales');
   	}

?>