<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['updateTranDiscount'])) {


         if ($_POST['pdFrom'] <= $_POST['pdTo']) {
            $mySQL->query('SELECT COUNT(1) FROM setup_transaction_discount WHERE NAME=:name AND RECID!=:recID');
            $mySQL->addParam(":name",$_POST['pdName']);
            $mySQL->addParam(":recID",$_POST['recID']);
            $existing = $mySQL->singleResult();
            if ($existing[0]==0) {

               $mySQL->query('SELECT * FROM setup_transaction_discount WHERE RECID=:recID');
               $mySQL->addParam(":recID",$_POST['recID']);
               $preVal = $mySQL->singleResult();

               $mySQL->query('UPDATE setup_transaction_discount SET NAME=:name,DESCRIPTION=:description,TYPE=:type,FROMDATE=:fromDate,TODATE=:toDate,VALUE=:value,ISACTIVE=:isActive WHERE RECID=:recID');
               $mySQL->addParam(":name",$_POST['pdName']);
               $mySQL->addParam(":description",$_POST['pdDesc']);
               $mySQL->addParam(":type",$_POST['pdType']);
               $mySQL->addParam(":fromDate",$_POST['pdFrom']);
               $mySQL->addParam(":toDate",$_POST['pdTo']);
               $mySQL->addParam(":value",$_POST['pdValue']);
               $mySQL->addParam(":isActive",$_POST['isActive']);
               $mySQL->addParam(":recID",$_POST['recID']);
               $mySQL->execute();


               $mySQL->logAppTrail(
                  'UPDATE',
                  'Transaction Discount',
                  'setup_transaction_discount',
                  $preVal['RECID'],
                  $preVal['TRANDISCID'],
                  'Name:'.$preVal['NAME'].'|Description:'.$preVal['DESCRIPTION'].'|Type:'.$preVal['TYPE'].'|From:'.$preVal['FROMDATE'].'|To:'.$preVal['TODATE'].'|Value:'.$preVal['VALUE'].'|IsActive:'.$preVal['ISACTIVE'],
                  'Name:'.$_POST['pdName'].'|Description:'.$_POST['pdDesc'].'|Type:'.$_POST['pdType'].'|From:'.$_POST['pdFrom'].'|To:'.$_POST['pdTo'].'|Value:'.$_POST['pdValue'].'|IsActive:'.$_POST['isActive'],
                  'Updated Transaction Discount Setup',
                  $_SESSION['MI-KIOSK_USER-ONLINE']
               );

               header('location: ../trandiscounts?notif='.md5(2));
               
            }else{
               header('location: ../trandiscounts?notif='.md5(4));
            } 
         }else{
            header('location: ../trandiscounts?notif='.md5(5));
         }
       
   	}else{
   		header('location: ../dashboard');
   	}

?>