<?php 

if(isset($_POST['uploadEmployee']))
{
	try{
		session_start();
		require '../classes/mySQL.php';
		$mySQL = new mySQL;
		
		$fileMimes = array(
			'text/x-comma-separated-values',
			'text/comma-separated-values',
			'application/octet-stream',
			'application/vnd.ms-excel',
			'application/x-csv',
			'text/x-csv',
			'text/csv',
			'application/csv',
			'application/excel',
			'application/vnd.msexcel',
			'text/plain'
		);

		// Validate whether selected file is a CSV file
		if (!empty($_FILES['employeeFile']['name']) && in_array($_FILES['employeeFile']['type'], $fileMimes))
		{
				//echo $_FILES['voucherFile']['error'];
				// Open uploaded CSV file with read-only mode
				//echo file_get_contents($_FILES['voucherFile']['tmp_name']);
				
				$csvFile = fopen($_FILES['employeeFile']['tmp_name'], 'r');
	 
				// Skip the first line
				$header = fgetcsv($csvFile);
				
				if(count($header) == 6 && $header[0] == "LASTNAME" && $header[1] == "FIRSTNAME" && $header[2] == "MIDDLENAME" && $header[3] == "POSITION" && $header[4] == "IDNUMBER" && $header[5] == "STORECODE" )
				{
					$value = "";
					while (($getData = fgetcsv($csvFile)) !== FALSE) {
		 
						// Get row data
						$lname = str_replace("'","&apos;",$getData[0]);
						$fname = str_replace("'","&apos;",$getData[1]);
						$mname = str_replace("'","&apos;",$getData[2]);
						$position = str_replace("'","&apos;",$getData[3]);
						$id = str_replace("'","&apos;",$getData[4]);
						$company = $_SESSION['MI-KIOSK_COMPANYID-ONLINE'];
						$name = $fname.' '.(($mname!='')?substr($mname,0,1).'. ':'').$lname;
		 
						// If record already exists in the database
						$mySQL->query("SELECT RECID from setup_employee where COMPANY = :company AND (LASTNAME = :lname AND FIRSTNAME = :fname AND MIDDLENAME = :mname  and POSITION= :position and EMPLID = :id) ");
						$mySQL->addParam(":id",$id);
						$mySQL->addParam(":lname",$lname);
						$mySQL->addParam(":fname",$fname);
						$mySQL->addParam(":mname",$mname);
						$mySQL->addParam(":position",$position);
						$mySQL->addParam(":company",$company);
						$result = $mySQL->singleResult();
					
						if ($result['RECID'] > 0)
						{
							header("Location: ../employee?notif=".md5(3));
							exit;
						}
						elseif(empty($position))
						{
							header("Location: ../employee?notif=".md5(8));
							exit;
						}
						elseif(empty($lname)){
							header("Location: ../employee?notif=".md5(7));
							exit;
						}
						elseif(empty($fname)){
							header("Location: ../employee?notif=".md5(6));
							exit;
						}
						else
						{
							$value = $value."('".$name."','".$lname."','".$fname."','".$mname."','".$position."','".$_SESSION['MI-KIOSK_USER-ONLINE']."','".$company."','".$id."'),";
							/* $mySQL->query("insert into setup_employee (FULLNAME,POSITION,CREATEDBY,COMPANY) values (:name,:position,:created,:company)");
							$mySQL->addParam(":name",$name);
							$mySQL->addParam(":position",$position);
							$mySQL->addParam(":created",$_SESSION['MI-KIOSK_USER-ONLINE']);
							$mySQL->addParam(":company",$company);
							$mySQL->execute(); */
							
							/* $voucherId = $mySQL->lastInsertId();
							$record = $name.'-'.$position;
							$mySQL->logAppTrail(
							   'INSERT',
							   'Employee',
							   'setup_employee',
							   $voucherId,
							   $record,
							   '',
							   '',
							   'Added New Employee',
							   $_SESSION['MI-KIOSK_USER-ONLINE']
							); */
						}
					}
					
					if(empty($value))
					{
						header("Location: ../employee?notif=".md5(2));
						exit;
					}
					
					$value = rtrim($value,",");
					try{
						$mySQL->query("insert into setup_employee (FULLNAME,LASTNAME,FIRSTNAME,MIDDLENAME,POSITION,CREATEDBY,COMPANY,EMPLID) values ".$value);
						$mySQL->execute();
						// Close opened CSV file
						fclose($csvFile);
						header("Location: ../employee?notif=".md5(1)); 
						
					}
					catch(Exception $e)
					{
						header("Location: ../employee?notif=".md5(5)); 
					}
					
					$csvFile = fopen($_FILES['employeeFile']['tmp_name'], 'r');
					$header = fgetcsv($csvFile);
					
					while (($getData = fgetcsv($csvFile)) !== FALSE) {
						$lname = str_replace("'","&apos;",$getData[0]);
						$fname = str_replace("'","&apos;",$getData[1]);
						$mname = str_replace("'","&apos;",$getData[2]);
						$position = str_replace("'","&apos;",$getData[3]);
						$id = str_replace("'","&apos;",$getData[4]);
						$store = str_replace("'","&apos;",$getData[5]);
						$company = $_SESSION['MI-KIOSK_COMPANYID-ONLINE'];
						$name = $fname.' '.(($mname!='')?substr($mname,0,1).'. ':'').$lname;
						// If record already exists in the database
						$mySQL->query("SELECT RECID from setup_employee where COMPANY = :company AND (LASTNAME = :lname AND FIRSTNAME = :fname AND MIDDLENAME = :mname  and POSITION= :position and EMPLID = :id) ");
						$mySQL->addParam(":id",$id);
						$mySQL->addParam(":lname",$lname);
						$mySQL->addParam(":fname",$fname);
						$mySQL->addParam(":mname",$mname);
						$mySQL->addParam(":position",$position);
						$mySQL->addParam(":company",$company);
						$result = $mySQL->singleResult();
						
						if ($result['RECID'] > 0)
						{
							$mySQL->query('insert into setup_employee_store (REFREC,STORECODE,DEFAULTSTORE,CREATEDBY,COMPANY) values (:ref,:store,:default,:created,:company)');
							$mySQL->addParam(":ref",$result['RECID']);
							$mySQL->addParam(":store",$store);
							$mySQL->addParam(":default",1);
							$mySQL->addParam(":created",$_SESSION['MI-KIOSK_USER-ONLINE']);
							$mySQL->addParam(":company",$company);
							$mySQL->execute();
						}
					}
					
				}
				else
				{
					header("Location: ../employee?notif=".md5(2));
				}
			 
		}
	
	}
	catch(Exception  $e)
	{
		echo 'Message: ' .$e->getMessage();
	}
}
else{
	echo "asda";
}


	
	
	
	

?>