<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['updateUserStores'])) {

         $stores = $_POST['stores'];
         $storeStr = '';
         foreach ($stores as $store) {
            $storeStr = $storeStr.$store.'|';
         }

         $mySQL->query('SELECT * FROM setup_users WHERE RECID=:recID');
         $mySQL->addParam(":recID",$_POST['recID']);
         $preVal = $mySQL->singleResult();

         $mySQL->logAppTrail(
            'UPDATE',
            'User Management',
            'setup_user_store',
            $preVal['RECID'],
            $preVal['USERNAME'],
            '',
            $storeStr,
            'Updated User Store/s',
            $_SESSION['MI-KIOSK_USER-ONLINE']
         );

       
         $mySQL->query('DELETE FROM setup_user_store WHERE USERNAME=:username');
         $mySQL->addParam(":username",$preVal['USERNAME']);
         $mySQL->execute();


         $default = 1;
         foreach ($stores as $store) {
            $mySQL->query('SELECT COMPANY FROM setup_stores WHERE STORECODE=:storeCode');
            $mySQL->addParam(":storeCode",$store);
            $company = $mySQL->singleResult();

            $mySQL->query('INSERT INTO setup_user_store (USERNAME,STORECODE,DEFAULTSTORE,CREATEDBY,COMPANY) VALUES (:username,:storeCode,:defaultStore,:createdBy,:company)');
            $mySQL->addParam(":username",$preVal['USERNAME']);
            $mySQL->addParam(":storeCode",$store);
            if ($store==$_POST['defaultStore']) {
               $mySQL->addParam(":defaultStore",1);
            }else{
               $mySQL->addParam(":defaultStore",0);

            }
            
            $mySQL->addParam(":createdBy",$preVal['USERNAME']);
            $mySQL->addParam(":company",$company['COMPANY']);
            $mySQL->execute();
            $default = 0;
         }


     
         header('location: ../users?notif='.md5(2));
         

         
          
   	}else{
   		header('location: ../dashboard');
   	}

?>