<?php
	require '../classes/mySQL.php';
   $mySQL = new mySQL;
   session_start();
   if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
      header('location: login?loginNotif='.md5(2));
      exit();
   }

   	if (isset($_POST['updateUserStores'])) {

       

         $mySQL->query('SELECT * FROM setup_users WHERE RECID=:recID');
         $mySQL->addParam(":recID",$_POST['recID']);
         $preVal = $mySQL->singleResult();

         $mySQL->logAppTrail(
            'UPDATE',
            'User Management',
            'setup_user_store',
            $preVal['RECID'],
            $preVal['USERNAME'],
            '',
            'Store:'.$_POST['defaultStore'],
            'Changed Default Store by User',
            $_SESSION['MI-KIOSK_USER-ONLINE']
         );

       
         $mySQL->query('UPDATE setup_user_store SET DEFAULTSTORE=:zero WHERE USERNAME=:username');
         $mySQL->addParam(":username",$preVal['USERNAME']);
         $mySQL->addParam(":zero",0);
         $mySQL->execute();


         $mySQL->query('UPDATE setup_user_store SET DEFAULTSTORE=:one WHERE USERNAME=:username AND STORECODE=:defaultStore');
         $mySQL->addParam(":username",$preVal['USERNAME']);
         $mySQL->addParam(":defaultStore",$_POST['defaultStore']);
         $mySQL->addParam(":one",1);
         $mySQL->execute();

         // $mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
         // $mySQL->addParam(":storeCode",$_POST['defaultStore']);
         // $storeName = $mySQL->singleResult();


         $mySQL->query('SELECT com.COMPANYID,com.COMPANYNAME,str.STORENAME FROM setup_stores str JOIN app_company com ON str.COMPANY=com.COMPANYID WHERE str.STORECODE=:storeCode');
         $mySQL->addParam(":storeCode",$_POST['defaultStore']);
         $storeName = $mySQL->singleResult();


        


         $_SESSION['MI-KIOSK_STORE-ONLINE'] = $_POST['defaultStore'];
         $_SESSION['MI-KIOSK_STORENAME-ONLINE'] = $storeName['STORENAME'];
         $_SESSION['MI-KIOSK_COMPANYID-ONLINE'] = $storeName['COMPANYID'];
         $_SESSION['MI-KIOSK_COMPANYNAME-ONLINE'] = $storeName['COMPANYNAME'];

         header('location: ../profile?notif='.md5(1));
         

         
          
   	}else{
   		header('location: ../profile');
   	}

?>