<?php 
ini_set('display_errors',1);
if(isset($_GET['RecId']))
{
require '../classes/mySQL.php';
$mySQL = new mySQL;

	$mySQL->query('select * from table_voucher_header where RECID = :rec');
	$mySQL->addParam(":rec",$_GET['RecId']);
	$hdr = $mySQL->singleResult();
	
	$mySQL->query('select * from table_voucher_lines where VOUCHERREF = :ref');
	$mySQL->addParam(":ref",$hdr['VOUCHERREF']);
	$vouchers = $mySQL->resultSet();
	foreach($vouchers as $voucher)
	{
	
		$remarks = "";
		$remarks = $remarks.(($voucher['ENDDATE'] <= $voucher['STARTDATE']) ? $voucher['ENDDATE'].'End date must be later than start date;'.$voucher['STARTDATE'] : '');
		$remarks = $remarks.(!is_numeric($voucher['VALUE'])? 'Value is not numeric;' : '');
		
		
		$mySQL->query('select count(*) REC from table_vouchers where VOUCHERTYPE = :vType and VOUCHERCODE = :vCode');
		$mySQL->addParam(":vType",$voucher['VOUCHERTYPE']);
		$mySQL->addParam(":vCode",$voucher['VOUCHERCODE']);
		$vou = $mySQL->singleResult();
		
		$remarks = $remarks.(($vou['REC']>0) ? 'Voucher Already Exists;':'');
		
		$mySQL->query('select * from table_voucher_lines where VOUCHERTYPE = :vType and VOUCHERCODE = :vCode and RECID != :rec');
		$mySQL->addParam(":vType",$voucher['VOUCHERTYPE']);
		$mySQL->addParam(":vCode",$voucher['VOUCHERCODE']);
		$mySQL->addParam(":rec",$voucher['RECID']);
		$vline = $mySQL->singleResult();
		
		$remarks = $remarks. ((!empty($vline['RECID'])) ? 'Voucher is already uploaded in '.$vline['VOUCHERREF'].';' : '');
		
		
		$mySQL->query('update table_voucher_lines set REMARKS = :remarks where RECID = :rec');
		$mySQL->addParam(":remarks",$remarks);
		$mySQL->addParam(":rec",$voucher['RECID']);
		$mySQL->execute();
		
	}

	$mySQL->query("select count(*) REC from table_voucher_lines where VOUCHERREF = :ref and REMARKS != ''");
	$mySQL->addParam(":ref",$hdr['VOUCHERREF']);
	$validated = $mySQL->singleResult();

	if($validated['REC'] == 0)
	{
		$mySQL->query("update table_voucher_header set VALIDATED = 1 where RECID = :rec");
		$mySQL->addParam(":rec",$_GET['RecId']);
		$mySQL->execute();
	}


}


header('location:../loads/loadVoucherDetails.php?RecId='.$_GET['RecId']);

?>