<?php

if (isset($_GET['RecId'])) {
	require '../classes/mySQL.php';
	session_start();
	$mySQL = new mySQL;
	
	$okayStatus = array('Uploaded','Unassigned','Active');
	
	$mySQL->query("SELECT str.STORENAME,voucher.* FROM table_vouchers voucher
				LEFT JOIN setup_stores str ON str.STORECODe = voucher.STORE
				WHERE voucher.RECID = :recId");
	$mySQL->addParam(":recId",$_GET['RecId']);
	$voucher = $mySQL->singleResult();
	
	$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
	$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
	$mySQL->addParam(":hq",'HQ');
	$userStores = $mySQL->resultSet();
	
	
	$mySQL->query('select * from setup_users where USERNAME = :username');
	$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
	$user = $mySQL->singleResult();
	
	
	echo '<h2 class="panel-title text-primary">'.$voucher['VOUCHERCODE'].'</h2>
  		<small class="text-primary">'.$voucher['VOUCHERTYPE'].'</small>
  		<hr>';
	
	echo '<div class="row">
				<div class="col-md-6">
					<div class="panel panel-featured panel-featured-success">
						<div class="panel-heading">
							<h2 class="panel-title">Select Store Assignment</h2>
						</div>
						<div class="panel-body">
							<form id="storeForm" method="post" action="functions/assignVoucher.php">
								<input id="voucherId" type="hidden" value="'.$_GET['RecId'].'" name="voucherId">
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<select id="store" name="store" required data-plugin-selectTwo class="form-control populate">
												<option value="">Select Store</option>
										';
											$mySQL->query('SELECT STORECODE,STORENAME FROM setup_stores');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option value="'.$userStore['STORECODE'].'">'.$userStore['STORECODE'].' - '.$userStore['STORENAME'].'</option>';
											}
										echo '
											</select>
										</div>
									</div>
									<hr>
									<div class="col-md-12 text-right">
										<br>
										<button id="addStore3" type="submit" name="addPreSellStore" class="btn btn-success '.((in_array($voucher['STATUS'],$okayStatus))?'':'hidden').'"><i class="fa fa-plus"></i> Assign to Store</button>
									</div>
								</div>
							</form>
						</div>
					</div>	
				</div>
				
				<div class="col-md-6">
					<div class="panel panel-featured panel-featured-danger">
						<div class="panel-heading">
							<h2 class="panel-title">Store Assigned</h2>
						</div>
						<div class="panel-body">
							<table class="table table-bordered table-striped">
								<thead>
									<tr>
										<th>Store</th>
										<th>Store Name</th>
										<th>Key Code</th>
										<th>Remove</th>
									</tr>
								</thead>
								<tbody>';
								if($voucher['STORE'] != "")
								{
									$voucherKey = "";
									$prefix = "";
									$value = 7654321;
									
									if(soundex($voucher['VALUETYPE']) == soundex('Amount') or $voucher['VALUETYPE'] == 'Amount')
									{
										$prefix = "A";
									}
									elseif(soundex($voucher['VALUETYPE']) == soundex('Percent') or $voucher['VALUETYPE'] == 'Percent')
									{
										$prefix = "P";
									}
									
									$value = ($value + $voucher['VALUE']) * 100;
									
									$voucherKey = $prefix.crc32($voucher['VOUCHERCODE'].'-'.$voucher['STORE']).$value;
									echo '<tr>
										<td>'.$voucher['STORE'].'</td>
										<td>'.$voucher['STORENAME'].'</td>
										<td>'.$voucherKey.'</td>
										<td><button onclick="removeStoreAssignment(\''.$voucher['RECID'].'\',\''.$voucher['VOUCHERCODE'].'\')" class="btn btn-xs btn-danger '.(($user['USERLEVEL'] >= 3)?'':'hidden').'"><i class="fa fa-trash-o"></i></button></td>
									</tr>';
								}
		echo					'</tbody>
							</table>
						</div>
					</div>
				</div>
		</div>';
	
}

?>