<?php

   

  if (isset($_GET['pdID'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;
  	session_start();

  	$mySQL->query('SELECT DISTINCT 
  		IFNULL(st.STORENAME,pd.STORE) STORE
  		FROM table_price_discount pd
  		LEFT JOIN setup_stores st ON pd.STORE=st.STORECODE AND pd.COMPANY=st.COMPANY
  		LEFT JOIN table_inventtable it ON pd.ITEMID=it.ITEMID AND pd.COMPANY=it.COMPANY
  		WHERE pd.PRICEDISCID=:pdID AND pd.COMPANY=:company');
  	$mySQL->addParam(":pdID",$_GET['pdID']);
  	$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
  	$stores = $mySQL->resultSet();

  	$mySQL->query('SELECT DISTINCT 
  		IFNULL(it.ITEMNAME,pd.ITEMID) ITEM
  		FROM table_price_discount pd
  		LEFT JOIN setup_stores st ON pd.STORE=st.STORECODE AND pd.COMPANY=st.COMPANY
  		LEFT JOIN table_inventtable it ON pd.ITEMID=it.ITEMID AND pd.COMPANY=it.COMPANY
  		WHERE pd.PRICEDISCID=:pdID AND pd.COMPANY=:company');
  	$mySQL->addParam(":pdID",$_GET['pdID']);
  	$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
  	$items = $mySQL->resultSet();

	
  	echo '
  		<div class="table-responsive">
			<table class="table table-bordered">
				<thead>
					<tr>
						<th>Store/s</th>
						<th>Items/s</th>
					</tr>
				</thead>
				<tbody>
				<tr>
					<td>
		';
			foreach ($stores as $store) {
				echo '<button style="margin-bottom:2px;" class="btn btn-xs btn-primary"> '.$store['STORE'].'</button> ';
			}

		echo'	
					</td>
					<td>
		';
			foreach ($items as $items) {
				echo '<button style="margin-bottom:2px;" class="btn btn-xs btn-primary"> '.$items['ITEM'].'</button> ';
			}

		echo'
					</td>
				</tr>		
				</tbody>
			</table>
		</div>
	';
	

  }




?>	


		