<?php

   

  if (isset($_GET['id'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;

  	$mySQL->query('SELECT * FROM table_transaction_header WHERE RECID=:recID');
  	$mySQL->addParam(":recID",$_GET['id']);
  	$tranHeader = $mySQL->singleResult();

  	$mySQL->query('SELECT * FROM table_customer WHERE CUSTOMERID=:cusID');
  	$mySQL->addParam(":cusID",$tranHeader['CUSTOMERID']);
  	$customer = $mySQL->singleResult();

  	$tranDt = date_create($tranHeader['CREATEDDT']);

  	echo '
  			<div class="panel">
  				<div class="panel-header">
  					<div class="col-md-7">
  						<br>
	  					<table class="table table-bordered">
							<thead>
								<tr>
									<th>Transaction ID: </th>
									<td>'.$tranHeader['TRANSACTIONID'].'</td>
								</tr>
								<tr>
									<th>Vatable Sales:</th>
									<td>P'.number_format($tranHeader['VATABLESALES'],2).'</td>
								</tr>
								<tr>
									<th>Vat Amount:</th>
									<td>P'.number_format($tranHeader['VATAMOUNT'],2).'</td>
								</tr>
								<tr>
									<th>Total Payable: </th>
									<td>P'.number_format($tranHeader['TOTALPAYABLE'],2).'</td>
								</tr>
								<tr>
									<th>Tendered Amount: </th>
									<td>P'.number_format($tranHeader['TENDEREDAMOUNT'],2).'</td>
								</tr>
								<tr>
									<th>Customer: </th>
									<td>'.$customer['CUSTOMERNAME'].'</td>
								</tr>
								<tr>
									<th>Transaction Date:</th>
									<td>'.date_format($tranDt,'F d, Y h:i a').'</td>
								</tr>
								';
									if ($tranHeader['VATINC'] == 0) {
										echo '
											<tr>
												<th>VAT Exempt Ref:</th>
												<td>'.$tranHeader['VATREF'].'</td>
											</tr>
										';
									}
									if ($tranHeader['EWTINC'] == 1) {
										echo '
											<tr>
												<th>EWT Reference:</th>
												<td>'.$tranHeader['EWTREF'].'</td>
											</tr>
										';
									}
								echo '
								
							</thead>
							
						</table>
	  				</div>
	  				<div class="col-md-5">
	  					<br>
	  					<table class="table table-bordered">
							<thead>
								<tr>
									<th class="text-center" colspan="3">Tenders</th>
									
								</tr>
						';
						$mySQL->query('SELECT * FROM table_transaction_tender WHERE TRANSACTIONID=:tranID');
						$mySQL->addParam(":tranID",$tranHeader['TRANSACTIONID']);
						$tenders = $mySQL->resultSet();
						foreach ($tenders as $tender) {
							echo '
								<tr>
									<th>'.$tender['TENDERTYPE'].'</th>
									<td>'.$tender['REFERENCE'].'</td>
									<td>P'.number_format($tender['AMOUNT'],2).'</td>
								</tr>
							';
						}
						echo '
							</thead>
							
						</table>
	  				</div>
  				</div>
				

				

  				<div class="panel-body">

					<div class="col-md-12">
						<hr>
						<table class="table table-bordered display">
							<thead>
								<tr>
									<th colspan="6" class="text-center">Transaction Items</th>
								</tr>
								<tr>
									<th>Qty</th>
									<th>Item ID</th>
									<th>Item Name</th>
									<th>Sales Price</th>
									<th>Disc. Amt</th>
									<th>Disc. %</th>
									<th>Sub Total</th>
								</tr>
							</thead>
							<tbody>
			';
				$mySQL->query('SELECT ln.*,it.ITEMNAME,it.SERIALIZED FROM table_transaction_lines ln
					LEFT JOIN table_inventtable it ON ln.ITEMID=it.ITEMID AND ln.COMPANY=it.COMPANY
					WHERE ln.TRANSACTIONID=:transID');
				$mySQL->addParam(":transID",$tranHeader['TRANSACTIONID']);
				$tranLines = $mySQL->resultSet();
				foreach ($tranLines as $tranLine) {
					echo '
						<tr>
							<td>'.$tranLine['QTY'].'</td>
							<td>'.$tranLine['ITEMID'].'</td>
							<td>'.$tranLine['ITEMNAME'].'
			';
				if ($tranLine['SERIALIZED'] == 1) {
					$mySQL->query('SELECT * FROM table_serialnumber_logs WHERE DOCUMENTREF=:transID AND TRANSTYPE=:three AND ITEMID=:itemID AND EAN=:ean AND LINENUM=:lineNum');
					$mySQL->addParam(":transID",$tranHeader['TRANSACTIONID']);
					$mySQL->addParam(":three",3);
					$mySQL->addParam(":itemID",$tranLine['ITEMID']);
					$mySQL->addParam(":lineNum",$tranLine['LINENUM']);
					$mySQL->addParam(":ean",$tranLine['EAN']);
					$serials = $mySQL->resultSet();
					echo '
						<ol>
				';
					foreach ($serials as $serial) {
						echo '<li>'.$serial['SERIALNUMBER'].'</li>';
					}
				echo '			
						</ol>
					';
				}
			echo'
								
							</td>
							<td class="text-right" >P'.number_format($tranLine['SALESPRICE'],2).'</td>
							<td class="text-right" >P'.number_format($tranLine['DISCAMOUNT'],2).'</td>
							<td class="text-right" >'.number_format($tranLine['DISCPERCENT'],2).'%</td>
							<td class="text-right" >P'.number_format($tranLine['SUBTOTAL'],2).'</td>
						</tr>
					';
				}
			echo '

							</tbody>
						</table>

					</div>

				</div>


			</div>
  	';
  }




?>	


		