<?php
  session_start();

  if (isset($_GET['itemID']) && isset($_GET['ean']) && isset($_GET['from']) && isset($_GET['to']) && isset($_GET['type'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;

  	if ($_GET['type'] == 'Sales') {
  		$type = 3;
  	}elseif ($_GET['type'] == 'Return') {
  		$type = 4;
  	}else{
  		$type = '';
  	}

  	$mySQL->query('SELECT ITEMNAME FROM table_inventtable WHERE ITEMID=:itemID AND COMPANY=:company');
  	$mySQL->addParam(":company",$_SESSION['MI-KIOSK_COMPANYID-ONLINE']);
  	$mySQL->addParam(":itemID",$_GET['itemID']);
  	$itemName = $mySQL->singleResult();

  	$mySQL->query('SELECT slog.*,ln.SALESPRICE FROM table_serialnumber_logs slog 
  		LEFT JOIN table_transaction_lines ln ON slog.DOCUMENTREF=ln.TRANSACTIONID AND slog.COMPANY=ln.COMPANY AND slog.ITEMID=ln.ITEMID
  		WHERE slog.TRANSTYPE=:type AND slog.CREATEDDT BETWEEN :date1 AND :date2 AND slog.ITEMID=:itemID AND slog.EAN=:ean');
  	$mySQL->addParam(":date1",$_GET['from'].' 00:00:00');
	$mySQL->addParam(":date2",$_GET['to'].' 23:59:59');
	$mySQL->addParam(":itemID",$_GET['itemID']);
	$mySQL->addParam(":ean",$_GET['ean']);
	$mySQL->addParam(":type",$type);
	$items = $mySQL->resultSet();

  	echo '
  		


  		<div class="panel-heading hidden-sm hidden-xs">
  			<h4 class="text-bold text-bold text-danger">'.$itemName['ITEMNAME'].'</h4>
  			<table cellspacing="0" cellpadding="0" class="table table-bordered table-sm display">
				<thead>
					<tr>
						<th>Transaction #</th>
						<th>Sales Price</th>
						<th>Serial Number</th>
						<th>Scanned Date/Time</th>
					</tr>
				</thead>
				<tbody>
		';
			foreach ($items as $item) {
				echo '
					<tr>
						<td>'.$item['DOCUMENTREF'].'</td>
						<td>'.number_format($item['SALESPRICE'],2).'</td>
						<td>'.$item['ITEMID'].'</td>
						<td>'.$item['SERIALNUMBER'].'</td>
					</tr>
				';
			}
		echo '
					
				</tbody>
			</table>
  		</div>


  		

';
	

	

  }




?>	


		