<?php

   

  if (isset($_GET['ton'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;


  	$mySQL->query('SELECT slog.RECID,slog.ITEMID,IFNULL(it.ITEMNAME,slog.ITEMID) ITEMNAME,slog.SERIALNUMBER FROM table_serialnumber_logs slog JOIN table_inventtable it ON slog.ITEMID=it.ITEMID AND slog.COMPANY=it.COMPANY WHERE slog.DOCUMENTREF=:ton');
  	$mySQL->addParam(":ton",$_GET['ton']);
  	$serials = $mySQL->resultSet();

	$mySQL->query('SELECT ton.RECID,ton.ITEMID,IFNULL(it.ITEMNAME,ton.ITEMID) ITEMNAME,ton.QTYSHIPPED FROM table_ton_lines ton  JOIN table_inventtable it ON ton.ITEMID=it.ITEMID AND ton.COMPANY=it.COMPANY WHERE ton.TRANSREFID=:ton');
  	$mySQL->addParam(":ton",$_GET['ton']);
  	$items = $mySQL->resultSet();



  	echo '
  		


  		<div class="panel-heading hidden-sm hidden-xs">
  			<h4 class="text-danger font-weight-bold heading">'.$_GET['ton'].' Item Details</h4>
  			<table cellspacing="0" cellpadding="0" class="table table-bordered table-sm display">
				<thead>
					<tr>
						<th>Item ID</th>
						<th>Item Name</th>
						<th>Item Count</th>
					</tr>
				</thead>
				<tbody>
		';
			foreach ($items as $item) {
				echo '
					<tr>
						<td>'.$item['ITEMID'].'</td>
						<td>'.$item['ITEMNAME'].'</td>
						<td>'.$item['QTYSHIPPED'].'</td>
					</tr>
				';
			}
		echo '
					
				</tbody>
			</table>
  		</div>


  		<div class="panel-heading visible-sm visible-xs">
  			<h4 class="text-danger font-weight-bold heading">'.$_GET['ton'].' Item Details</h4>
  			<table cellspacing="0" cellpadding="0" class="table table-bordered table-sm display">
				<thead>
					<tr>
						<th>Item ID</th>
						<th>Item Count</th>
					</tr>
				</thead>
				<tbody>
		';
			$counter = 0;
			foreach ($items as $item) {
				echo '
					<tr>
						<td>    
							<div class="panel panel-accordion panel-accordion-primary">
								<div class="panel-heading">
									<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordionPrimary" href="#item'.$item['RECID'].'">
										<i class="fa fa-plus"></i>
									</a> '.$item['ITEMID'].'
								</div>
								<div id="item'.$item['RECID'].'" class="accordion-body collapse">
									<div class="panel-body">
										<ul>
											<li>'.$item['ITEMNAME'].'</li>
										</ul>
									</div>
								</div>
							</div>
						</td>

						<td>'.$item['QTYSHIPPED'].'</td>
					</tr>

				';
				$counter++;
			}
		echo '
					
				</tbody>
			</table>
  		</div>





        <div class="table-responsive panel-body hidden-sm hidden-xs">
        	<h4 class="text-danger font-weight-bold heading">'.$_GET['ton'].' Serial Number Details</h4>
			<table cellspacing="0" cellpadding="0" class="table table-bordered table-sm display">
				<thead>
					<tr>
						<th>Item ID</th>
						<th>Item Name</th>
						<th>Serial Number</th>
					</tr>
				</thead>
				<tbody>
		';
			foreach ($serials as $serial) {
				echo '
					<tr>
						<td>'.$serial['ITEMID'].'</td>
						<td>'.$serial['ITEMNAME'].'</td>
						<td>'.$serial['SERIALNUMBER'].'</td>
					</tr>
				';
			}
		echo '
					
				</tbody>
			</table>
		</div>





		<div class="table-responsive panel-body visible-sm visible-xs">
        	<h4 class="text-danger font-weight-bold heading">'.$_GET['ton'].' Serial Number Details</h4>
			<table cellspacing="0" cellpadding="0" class="table table-bordered table-sm display">
				<thead>
					<tr>
						<th>Item ID</th>
						<th>Serial Number</th>
					</tr>
				</thead>
				<tbody>
		';
			foreach ($serials as $serial) {
				echo '
					<tr>
						<td>
							<div class="panel panel-accordion panel-accordion-primary">
								<div class="panel-heading">
									<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordionPrimary" href="#serial'.$serial['SERIALNUMBER'].'">
										<i class="fa fa-plus"></i>
									</a> '.$serial['ITEMID'].'
								</div>
								<div id="serial'.$serial['SERIALNUMBER'].'" class="accordion-body collapse">
									<div class="panel-body">
										<ul>
											<li>'.$serial['ITEMNAME'].'</li>
										</ul>
									</div>
								</div>
							</div>
					
							

						</td>
						<td>'.$serial['SERIALNUMBER'].'</td>
					</tr>
				';
			}
		echo '
					
				</tbody>
			</table>
		</div>








';
	$mySQL->query('SELECT * FROM table_ton_header WHERE TRANSREFID=:ton');
	$mySQL->addParam(":ton",$_GET['ton']);
	$ton = $mySQL->singleResult();
	if ($ton['STATUS'] == 'Sent To Store') {
		echo '
			<div class="panel-footer text-right">
				<form onsubmit="disableReceiveButton();" method="post" action="functions/receiveFromStore.php">
					<input type="hidden" name="ton" value="'.$_GET['ton'].'">
					<button id="receiveFromStoreButton" name="receiveFromStore" class="btn btn-success btn-sm" type="submit">Receive TON</button>
				</form>
			</div>






		';
	}

	

  }




?>	


		