<?php
  session_start();

  if (isset($_GET['RecId']) ) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;
	
  	$mySQL->query('SET SQL_BIG_SELECTS = 1');
  	$mySQL->execute();

  	$mySQL->query('SELECT * from table_voucher_header where RECID = :recid');
	$mySQL->addParam(":recid",$_GET['RecId']);
	$hdr = $mySQL->singleResult();
	
	$created = array('Created','Declined');
	$remove = (in_array($hdr['STATUS'],$created )) ? '' : 'class="hidden"';
	
	$mySQL->query('SELECT * from table_voucher_lines where VOUCHERREF = :ref');
	$mySQL->addParam(":ref",$hdr['VOUCHERREF']);
	$vouchers = $mySQL->resultSet();

  	echo '
  		<div class="panel-heading hidden-sm hidden-xs">
  			<h4 class="text-bold text-bold text-danger">'.$hdr['VOUCHERREF'].'</h4>
  			<table cellspacing="0" cellpadding="0" class="table table-bordered table-sm display1">
				<thead>
					<tr>
						<th '.$remove.'>REMOVE</th>
						<th>VOUCHER TYPE</th>
						<th>VOUCHER CODE</th>
						<th>VALUE</th>
						<th>VALUE TYPE</th>
						<th>START DATE</th>
						<th>END DATE</th>
						<th>REMARKS</th>
						<th class="hidden">Order</th>
						
					</tr>
				</thead>
				<tbody>
		';
			foreach ($vouchers as $voucher) {
				echo '
					<tr>
						<td '.$remove.'><button class="btn btn-danger btn-xs" onClick="removeVoucher('.$voucher['RECID'].')"><span class="fa fa-minus"></span></button></td>
						<td>'.$voucher['VOUCHERTYPE'].'</td>
						<td>'.$voucher['VOUCHERCODE'].'</td>
						<td>'.number_format($voucher['VALUE']).'</td>
						<td>'.$voucher['VALUETYPE'].'</td>
						<td>'.date_format(date_create($voucher['STARTDATE']),'Y-m-d H:i:s').'</td>
						<td>'.date_format(date_create($voucher['ENDDATE']),'Y-m-d H:i:s').'</td>
						<td>'.(!empty($voucher['REMARKS'])?'<button data-toggle="modal" data-target="#voucherRemarks" onClick="viewRemarks('.$voucher['RECID'].')" class="btn btn-danger btn-xs"><span class="fa fa-warning"></span></button>':'<button class="btn btn-success btn-xs"><span class="fa fa-check"></span></button>').'</td>
						<td class="hidden">'.(!empty($voucher['REMARKS'])?1:0).'</td>						
					</tr>
				';
			}
				echo '</tbody>
					</table>
				</div>
				<div class="modal-footer">';
				
		if($hdr['VALIDATED'] == 1) 
		{
			$status = array('Approved','Created','Declined');
			$created = array('Created','Declined');
			if(in_array($hdr['STATUS'],$created))
			{
				echo '<form action="functions/submitVouchers.php" method="post">
						<input type="hidden" name="VoucherRef" id ="VoucherRef" value = "'.$_GET['RecId'].'" />
						<button class="btn btn-success" type="submit" name="submit">Submit</button>
					</form>
				';
			}
			elseif(!in_array($hdr['STATUS'],$status))
			{
				$mySQL->query('select * from setup_users where USERNAME = :user');
				$mySQL->addParam(':user',$_SESSION['MI-KIOSK_USER-ONLINE']);
				$usr = $mySQL->singleResult();
				
				$mySQL->query('select * from setup_approval_level where MODULE = :module');
				$mySQL->addParam(':module','Voucher');
				$level = $mySQL->singleResult();
				
				if($usr['USERLEVEL'] < $level['MAXLEVEL'] && $usr['USERLEVEL'] >= $level['MINLEVEL'])
				{
					echo '<form action="functions/approveVoucher.php" method="post">
							<input type="hidden" name="VoucherRef" id ="VoucherRef" value = "'.$_GET['RecId'].'" />
							<button class="btn btn-danger pull-left" type="submit" name="decline">Decline</button>
							<button class="btn btn-success" type="submit" name="submit">Approve</button>
						</form>
					';
				}
				elseif($usr['USERLEVEL'] == $level['MAXLEVEL'])
				{
					echo '<form action="functions/approveVoucher.php" method="post">
							<input type="hidden" name="VoucherRef" id ="VoucherRef" value = "'.$_GET['RecId'].'" />
							<button class="btn btn-danger pull-left" type="submit" name="decline">Decline</button>
							<button class="btn btn-success" type="submit" name="submit">Approve</button>
						</form>
					';
				}
				
				
			}
		}
		else{
			echo '<button class="btn btn-primary" onclick="validateVouchers('.$_GET['RecId'].')">Validate</button>';
		}
		
		echo "</div>";
	

	

  }




?>	


		