<?php

   

  if (isset($_GET['id'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;


  	$mySQL->query('SELECT * FROM table_presales WHERE RECID=:recID');
  	$mySQL->addParam(":recID",$_GET['id']);
  	$preSales = $mySQL->singleResult();

  	$mySQL->query('SELECT * FROM table_customer WHERE CUSTOMERID=:cusID');
  	$mySQL->addParam(":cusID",$preSales['CUSTOMERID']);
  	$customer = $mySQL->singleResult();

  	$mySQL->query('SELECT * FROM table_transaction_header WHERE TRANSACTIONID=:recID');
  	$mySQL->addParam(":recID",$preSales['TRANSACTIONID']);
  	$tranHeader = $mySQL->singleResult();
  	$tranDt = date_create($tranHeader['CREATEDDT']);
  	if (is_null($preSales['CLAIMEDDATE']) || empty($preSales['CLAIMEDDATE']) || trim($preSales['CLAIMEDDATE'])=='') {
  		$claimDate = '';
  	}else{
  		$claimDt = date_create($preSales['CLAIMEDDATE']);
  		$claimDate = date_format($claimDt,'F d, Y h:i a');
  	}

  	echo '
  			<div class="panel">
  				<div class="panel-header">
  					<div class="col-md-7">
  						<br>
	  					<table class="table table-bordered">
							<thead>
								<tr>
									<th>Transaction ID: </th>
									<td>'.$tranHeader['TRANSACTIONID'].'</td>
								</tr>
								<tr>
									<th>Customer Name: </th>
									<td>'.$customer['CUSTOMERNAME'].'</td>
								</tr>
								<tr>
									<th>Vatable Sales:</th>
									<td>P'.number_format($tranHeader['VATABLESALES'],2).'</td>
								</tr>
								<tr>
									<th>Vat Amount:</th>
									<td>P'.number_format($tranHeader['VATAMOUNT'],2).'</td>
								</tr>
								<tr>
									<th>Total Payable: </th>
									<td>P'.number_format($tranHeader['TOTALPAYABLE'],2).'</td>
								</tr>
								<tr>
									<th>Tendered Amount: </th>
									<td>P'.number_format($tranHeader['TENDEREDAMOUNT'],2).'</td>
								</tr>
								<tr>
									<th>Pre-Selling Date:</th>
									<td>'.date_format($tranDt,'F d, Y h:i a').'</td>
								</tr>
								<tr>
									<th>Claim Date:</th>
									<td>'.$claimDate.'</td>
								</tr>
								';
									if ($tranHeader['VATINC'] == 0) {
										echo '
											<tr>
												<th>VAT Exempt Ref:</th>
												<td>'.$tranHeader['VATREF'].'</td>
											</tr>
										';
									}
									if ($tranHeader['EWTINC'] == 1) {
										echo '
											<tr>
												<th>EWT Reference:</th>
												<td>'.$tranHeader['EWTREF'].'</td>
											</tr>
										';
									}
								echo '
								
							</thead>
							
						</table>
	  				</div>
	  				<div class="col-md-5">
	  					<br>
	  					<table class="table table-bordered">
							<thead>
								<tr>
									<th class="text-center" colspan="3">Tenders</th>
									
								</tr>
						';
						$mySQL->query('SELECT * FROM table_transaction_tender WHERE TRANSACTIONID=:tranID');
						$mySQL->addParam(":tranID",$tranHeader['TRANSACTIONID']);
						$tenders = $mySQL->resultSet();
						foreach ($tenders as $tender) {
							echo '
								<tr>
									<th>'.$tender['TENDERTYPE'].'</th>
									<td>'.$tender['REFERENCE'].'</td>
									<td>P'.number_format($tender['AMOUNT'],2).'</td>
								</tr>
							';
						}
						echo '
							</thead>
							
						</table>
	  				</div>
  				</div>
				

				

  				<div class="panel-body">

					<div class="col-md-12">
						<hr>
						<table class="table table-bordered display">
							<thead>
								<tr>
									<th colspan="6" class="text-center">Transaction Items</th>
								</tr>
								<tr>
									<th>Qty</th>
									<th>Item ID</th>
									<th>Item Name</th>
									<th>Sales Price</th>
									<th>Disc. Amt</th>
									<th>Disc. %</th>
									<th>Sub Total</th>
								</tr>
							</thead>
							<tbody>
			';
				$mySQL->query('SELECT ln.*,it.ITEMNAME,it.SERIALIZED FROM table_transaction_lines ln
					LEFT JOIN table_inventtable it ON ln.ITEMID=it.ITEMID AND ln.COMPANY=it.COMPANY
					WHERE ln.TRANSACTIONID=:transID');
				$mySQL->addParam(":transID",$tranHeader['TRANSACTIONID']);
				$tranLines = $mySQL->resultSet();
				foreach ($tranLines as $tranLine) {
					echo '
						<tr>
							<td>'.$tranLine['QTY'].'</td>
							<td>'.$tranLine['ITEMID'].'</td>
							<td>'.$tranLine['ITEMNAME'].'
			';
				if ($tranLine['SERIALIZED'] == 1) {
					$mySQL->query('SELECT * FROM table_serialnumber_logs WHERE DOCUMENTREF=:transID AND TRANSTYPE=:three AND ITEMID=:itemID AND EAN=:ean');
					$mySQL->addParam(":transID",$tranHeader['TRANSACTIONID']);
					$mySQL->addParam(":three",3);
					$mySQL->addParam(":itemID",$tranLine['ITEMID']);
					$mySQL->addParam(":ean",$tranLine['EAN']);
					$serials = $mySQL->resultSet();
					echo '
						<ol>
				';
					foreach ($serials as $serial) {
						echo '<li>'.$serial['SERIALNUMBER'].'</li>';
					}
				echo '			
						</ol>
					';
				}
			echo'
								
							</td>
							<td class="text-right" >P'.number_format($tranLine['SALESPRICE'],2).'</td>
							<td class="text-right" >P'.number_format($tranLine['DISCAMOUNT'],2).'</td>
							<td class="text-right" >'.number_format($tranLine['DISCPERCENT'],2).'%</td>
							<td class="text-right" >P'.number_format($tranLine['SUBTOTAL'],2).'</td>
						</tr>
					';
				}
			echo '

							</tbody>
						</table>

					</div>


	';
		if ($preSales['CLAIMED'] == 0) {
				echo '
					<div class="col-md-12">
						<hr>
						<table class="table table-bordered display">
							<thead>
								<tr>
									<th colspan="2" class="text-center">Serialized Items</th>
								</tr>
								<tr>
									<th>Item</th>
									<th>Scan Serial Number</th>
								</tr>
							</thead>
							<tbody>
					';
						$mySQL->query('SELECT ln.ITEMID,it.ITEMNAME,ln.QTY FROM table_transaction_lines ln 
							LEFT JOIN table_inventtable it ON ln.ITEMID=it.ITEMID AND ln.EAN=it.EAN AND ln.COMPANY=it.COMPANY
							WHERE ln.TRANSACTIONID=:tranID AND it.SERIALIZED=:one');
						$mySQL->addParam(":tranID",$tranHeader['TRANSACTIONID']);
						$mySQL->addParam(":one",1);
						$serials = $mySQL->resultSet();
						$validClaims = true;
						foreach ($serials as $serial) {
							for ($i=0; $i < $serial['QTY']; $i++) { 
								echo '
									<tr>
										<th width="30%">'.$serial['ITEMNAME'].'</th>
										<td width="70%">
											<div id="serialRow'.$serial['ITEMID'].'-'.$i.'">
								';

							$mySQL->query('SELECT * FROM temp_claim_serialnumber WHERE TRANSACTIONID=:tranID AND ITEMID=:itemID AND ITEMIDCOUNT=:itemCount');
							$mySQL->addParam(":tranID",$tranHeader['TRANSACTIONID']);
							$mySQL->addParam(":itemID",$serial['ITEMID']);
							$mySQL->addParam(":itemCount",$serial['ITEMID'].'-'.$i);
							$claimSerial = $mySQL->singleResult();
							if ($claimSerial) {
								echo '
									<div class="input-group">
										<input value="'.$claimSerial['SERIALNUMBER'].'" type="text" readonly class="form-control">
										<span class="input-group-btn">
											<a href="functions/deleteTempClaim.php?id='.$claimSerial['RECID'].'" class="btn btn-info" name="selectCustomer" type="submit">Update</a>
										</span>
									</div>
								';
							}else{
								$validClaims = false;
								echo '
									<form method="post" action="functions/validateSerialClaim.php">
										<input  name="itemIdCount" type="hidden" value="'.$serial['ITEMID'].'-'.$i.'">
										<input  name="itemID" type="hidden" value="'.$serial['ITEMID'].'">
										<input  name="transID" type="hidden" value="'.$tranHeader['TRANSACTIONID'].'">
										<div class="input-group">
											<input required name="serialNumber" placeholder="Scan '.$serial['ITEMNAME'].' Serial Number" type="text" class="form-control">
											<span class="input-group-btn">
												<button type="submit" class="btn btn-success" name="validateSerial" type="submit">Validate</button>
											</span>
										</div>
									</form>
								';
							}			
								echo'
											</div>
										</td>
									</tr>
								';
							}
							
						}
					echo '
							</tbody>
						</table>

					</div>
				';
		}else{
			echo '
				<div class="col-md-12">
						<hr>
						<table class="table table-bordered display">
							<thead>
								<tr>
									<th colspan="2" class="text-center">Scanned Serialized Items</th>
								</tr>
								<tr>
									<th>Item</th>
									<th>Scanned Serial Number</th>
								</tr>
							</thead>
							<tbody>
					';
						$mySQL->query('SELECT slog.*,it.ITEMNAME FROM table_serialnumber_logs slog LEFT JOIN table_inventtable it ON slog.ITEMID=it.iTEMID AND slog.COMPANY=it.COMPANY WHERE slog.DOCUMENTREF=:docRef');
						$mySQL->addParam(":docRef",$preSales['PRESALESID']);
						$serials = $mySQL->resultSet();
						foreach ($serials as $serial) {
							echo '
								<tr>
									<th>'.$serial['ITEMNAME'].'</th>
									<td>'.$serial['SERIALNUMBER'].'</td>
								</tr>
							';
						}
					echo '
							</tbody>
						</table>

					</div>

			';
		}
	echo'


					

				</div>

				<div class="panel-footer text-right">
			';
			if ($preSales['CLAIMED'] == 0 && $validClaims==true) {
				echo '
					<form id="claim'.$preSales['RECID'].'" method="post" action="functions/saveNewClaimed.php">
						<input  name="preSalesID" type="hidden" value="'.$preSales['PRESALESID'].'">
						<input  name="transID" type="hidden" value="'.$tranHeader['TRANSACTIONID'].'">
					</form>
					<button onclick="confirmClaim('.$preSales['RECID'].',\''.$preSales['PRESALESID'].'\')" class="btn btn-success" name="saveNewClaim">Print Sales Invoice</button>
				';
			}
					
			';
				</div>






				

			
  	';
  }




?>	

<!-- 
		<div class="form-group">
										<input onkeyup="serialNumberClaim(\''.$serial['ITEMID'].'-'.$i.'\',\''.$serial['ITEMID'].'\',\''.$tranHeader['TRANSACTIONID'].'\',this.value)" id="serialNumber'.$serial['ITEMID'].'-'.$i.'" placeholder="Scan '.$serial['ITEMNAME'].' Serial Number" type="text" class="form-control">
									</div> -->