<?php
	session_start();
	
if (isset($_GET['RecId'])) {
  	require '../classes/mySQL.php';
  	$mySQL = new mySQL;

	$used = array('Assigned','Used');
	$unused = array('Uploaded','Unassigned');
	
	$mySQL->query('select * from table_vouchers where RECID = :recid');
	$mySQL->addParam(':recid',$_GET['RecId']);
	$voucher = $mySQL->singleResult();

  	echo '
  		<section class="panel">
			<header class="panel-heading">
				<h2 class="panel-title text-primary">'.$voucher['VOUCHERCODE'].'</h2>
				<small class="text-primary">'.$voucher['VOUCHERTYPE'].'</small>
			</header>
			<div class="panel-body">
				<table class="table table-bordered table-striped" id="datatable-default">
					<thead>
						<tr>
							<th>Store</th>
							<th>Store Name</th>
							<th>Status</th>
							<th>Active</th>
							<th>User</th>
							<th>Log</th>
						</tr>
					</thead>
					<tbody>

				';
					$mySQL->query('SELECT lg.RECID,lg.STORE,str.STORENAME,lg.STATUS,lg.CREATEDBY,lg.CREATEDDT,lg.ACTIVE,lg.AVAILABLE FROM table_vouchers vou 
								LEFT JOIN table_voucher_logs lg ON lg.VOUCHERCODE = vou.VOUCHERCODE
								LEFT JOIN setup_stores str ON str.STORECODE = lg.STORE 
								WHERE vou.RECID=:recid
								order by lg.RECID desc
								');
				  	$mySQL->addParam(":recid",$_GET['RecId']);
				  	$logs = $mySQL->resultSet();
				  	if (count($logs) != 0) {
				  		foreach ($logs as $log) {
				  			if(isset($log['RECID']))
							{
								if($log['STATUS'] == 'Used')
								{
									continue;
								}
								
								$date1 = date_create($log['CREATEDDT']);
								echo '
										<tr>
											<td>'.$log['STORE'].'</td>
											<td>'.$log['STORENAME'].'</td>
											<td>'.(($log['AVAILABLE']==1)?'Unused':'Used').'</td>
											<td>'.(($log['ACTIVE']==1)?'Active':'Inactive').'</td>
											<td>'.$log['CREATEDBY'].'</td>
											<td>'.date_format($date1,'m/d/Y h:i:s A').'</td>
										</tr>
									';
							}else{
								echo '
									<tr>
										<td class="text-center" colspan="4">No logs found</td>
									</tr>
								';
							} 
						}
				  	}

				echo'
						

					</tbody>
				</table>
			</div>
		</section>


  	';
	


  }


?>


				