<?php

if (!isset($_SESSION['MI-KIOSK_USER-ONLINE'])) {
	header('location: login');
}else{
	try {
		require 'classes/mySQL1.php';
		$mySQL = new mySQL;
	} catch (Exception $e) {
		header('location: conError');
	}
	
	if ($mySQL->userKeyGranted($_SESSION['MI-KIOSK_USER-ONLINE'],'Reports') == true) {
		$currentUser = $mySQL->getCurrentUser($_SESSION['MI-KIOSK_USER-ONLINE']);


		
	}else{
		header('location: accesserror');
	}

}

?>

<!DOCTYPE html>
<html class="fixed">
	<head>

		<!-- Basic -->
		<meta charset="UTF-8">

		<title>SONUS - HQ</title>
		<meta name="keywords" content="XIAOMI KIOSK" />
		<meta name="description" content="XIAOMI KIOSK">
		<meta name="author" content="XIAOMI KIOSK">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<!-- Web Fonts  -->
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800|Shadows+Into+Light" rel="stylesheet" type="text/css">

		<!-- Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/bootstrap/css/bootstrap.css" />
		<link rel="stylesheet" href="assets/vendor/font-awesome/css/font-awesome.css" />
		<link rel="stylesheet" href="assets/vendor/magnific-popup/magnific-popup.css" />
		<link rel="stylesheet" href="assets/vendor/bootstrap-datepicker/css/datepicker3.css" />

		<!-- Specific Page Vendor CSS -->
		<link rel="stylesheet" href="assets/vendor/pnotify/pnotify.custom.css" />
		<link rel="stylesheet" href="assets/vendor/select2/select2.css" />
		<link rel="stylesheet" href="assets/vendor/jquery-datatables-bs3/assets/css/datatables.css" />
		

		<!-- Theme CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme.css" />

		<!-- Skin CSS -->
		<link rel="stylesheet" href="assets/stylesheets/skins/default.css" />

		<!-- Theme Custom CSS -->
		<link rel="stylesheet" href="assets/stylesheets/theme-custom.css">

		<!-- Head Libs -->
		<script src="assets/vendor/modernizr/modernizr.js"></script>
		<link rel="icon" href="images/thumbnail.png">

	</head>
	<body onload="<?php echo ($isiPad==true ? 'ipadView()' : '') ?>">
		<section class="body">

			<?php include 'includes/header.php' ?>
			<div class="inner-wrapper">
				<?php include 'includes/sidebar.php'; ?>

				
				<section role="main" class="content-body">
					<header class="page-header">
						<h2>Sales Responsible Report</h2>
					
						<div class="right-wrapper pull-right">
							<ol class="breadcrumbs">
								<li>
									<a href="dashboard">
										<i class="fa fa-bar-chart-o"></i>
									</a>
								</li>
								<li><span>Reports</span></li>
								<li><span>Sales Responsible Report</span></li>
							</ol>
					
							<a class="sidebar-right-toggle" data-open="sidebar-right"><i class="fa fa-chevron-left"></i></a>
						</div>
					</header>

					<!-- start: page -->
						<div class="row">
							<form method="post" action="salesResponsible">
								<div class="form-group">
									<div class="col-md-12">
										<div class="input-group mb-md">
											
												<select name="storeCode" data-plugin-selectTwo class="form-control populate" class="form-control" required>
													<option selected value="">Select Store</option>
										<?php
											$mySQL->query('SELECT usr.STORECODE,usr.DEFAULTSTORE,str.STORENAME FROM setup_user_store usr JOIN setup_stores str ON usr.STORECODE=str.STORECODE WHERE usr.USERNAME=:username AND str.STORECODE!=:hq');
											$mySQL->addParam(":username",$_SESSION['MI-KIOSK_USER-ONLINE']);
											$mySQL->addParam(":hq",'HQ');
											$userStores = $mySQL->resultSet();
											foreach ($userStores as $userStore) {
												echo '<option '.($userStore['DEFAULTSTORE'] == '1' ? 'selected' : '').' value="'.$userStore['STORECODE'].'">'.$userStore['STORENAME'].'</option>';
											}
										?>
												</select>
												<span class="input-group-addon">Date</span>
												<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch'] : date("m/d/Y")); ?>" name="dateSearch" type="text" data-plugin-datepicker class="form-control">
													<span class="input-group-addon">to</span>
													<input value="<?php echo (isset($_POST['searchDate']) ? $_POST['dateSearch1'] : date("m/d/Y")); ?>" name="dateSearch1" type="text" data-plugin-datepicker class="form-control">
												<span class="input-group-btn">
													<button class="btn btn-success" name="searchDate" type="submit" name="store">Generate</button>
												</span>
											
										</div>
									</div>
								</div>
							</form>
						</div>
						<section class="panel">
							<header class="panel-heading">
								
								<h2 class="panel-title">Sales Responsible Report</h2>
							</header>


				<?php
					if (isset($_POST['searchDate'])) {
						echo'
							<div class="panel-footer text-right">
								<form method="post" action="exportSalesResponsible" target="_blank">
									<input type="hidden" name="fromDate" value="'.$_POST['dateSearch'].'">
									<input type="hidden" name="toDate" value="'.$_POST['dateSearch1'].'">
									<input type="hidden" name="store" value="'.$_POST['storeCode'].'">
									<button type="submit" name="generateSalesRep" class="btn btn-success"><i class="fa fa-file-excel-o"></i> Print Sales Responsible Report</button>
								</form>
							</div>
						'; 
						
						$mySQL->query('SELECT STORENAME FROM setup_stores WHERE STORECODE=:storeCode');
						$mySQL->addParam(":storeCode",$_POST['storeCode']);
						$storeName = $mySQL->singleResult();
						$sDate = date_create($_POST['dateSearch']);
						$sDate1 = date_create($_POST['dateSearch1']);
						echo '
							<div class="panel-body">
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="h5 text-bold">Store</th>
											<td class="h5 text-bold">'.$_POST['storeCode'].' | '.$storeName['STORENAME'].'</td>
										</tr>
										<tr>
											<th class="h5 text-bold">Report Date</th>
											<td class="h5 text-bold">'.date_format($sDate,'M d, Y').' - '.date_format($sDate1,'M d, Y').'</td>
										</tr>
									</thead>
								</table>
						';
						$mySQL->query('SET SQL_BIG_SELECTS = 1');
						$mySQL->execute();
						$mySQL->query('SELECT st.`STORENAME`,tln.`ITEMID`,ivt.`ITEMNAME`,srl.`SERIALNUMBER`,tln.`SALESPRICE`,tln.`SUBTOTAL` - tln.SALESPRICE AS DISCOUNT,tln.SUBTOTAL,tln.TRANSACTIONID,hdr.TRANSACTIONDT FROM table_transaction_header hdr
									LEFT JOIN table_transaction_lines tln ON tln.TRANSACTIONID = hdr.TRANSACTIONID
									LEFT JOIN table_serialnumber_logs srl ON srl.`ITEMID` = tln.`ITEMID` AND srl.`DOCUMENTREF` = hdr.`TRANSACTIONID`
									LEFT JOIN table_inventtable ivt ON ivt.ITEMID = tln.ITEMID
									INNER JOIN setup_stores st ON st.`STORECODE` = hdr.`STORE` 
									WHERE 
									hdr.TRANSTYPE = :type
									and hdr.STORE = :store
									AND hdr.`TRANSACTIONDT` between :date1 and :date2');
						$mySQL->addParam(":store",$_POST['storeCode']);
						$mySQL->addParam(":type",'Sales');
						$mySQL->addParam(":date1",date_format($sDate,'Y-m-d'));
						$mySQL->addParam(":date2",date_format($sDate1,'Y-m-d'));
						$salesVal = $mySQL->resultSet();
						
						echo'<hr>
								<h4><b>Sales Responsible</b></h4>
								<table class="table table-bordered table-striped" id="">
									<thead>
										<tr>
											<th class="text-center" style="background-color:#34495E;color:#fff">Store</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Item Number</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Item Name</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Serial Number</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Sales Price</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Discount</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Net Amount</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Transaction Reference</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Date</th>
											<th class="text-center" style="background-color:#34495E;color:#fff">Sales Responsible</th>
										</tr> 
									</thead>
									<tbody>';
						
						$exCat = "(";
						$flag = true;
						foreach($salesVal as $sles)
						{
							$name = "";
							$ic = 0;
							$mySQL->query('select emp.FULLNAME,resp.RECID from table_transaction_responsible resp 
							left join setup_employee emp on emp.FULLNAME = resp.FULLNAME
							where resp.TRANSACTIONID = :trans
							and emp.PRODUCTCATEGORY = :prodCat
							');
							
							$mySQL->addParam(":trans",$sles['TRANSACTIONID']);
							$mySQL->addParam(":prodCat",$sles['PRODUCTCATEGORY']);
							$salesRep = $mySQL->resultSet();
							
							foreach($salesRep as $rep)
							{
								$ic++;
							}
							
							if($ic > 1)
							{
								foreach($salesRep as $rep)
								{
									$name = $name.$rep['FULLNAME']." | ";
								}
								$name = rtrim($name," | ");
							}
							elseif($ic == 1)
							{
								foreach($salesRep as $rep)
								{
									$name = $rep['FULLNAME'];
								}
							}
							else
							{
								foreach($salesVal as $sales)
								{
									$exCat = $exCat."'".$sales['PRODUCTCATEGORY']."',";
									$flag = isset($sales['PRODUCTCATEGORY']);
								}
								
								
								
								$excludes =rtrim($exCat,",").")";
								if($flag)
								{
								$mySQL->query('select emp.FULLNAME,resp.RECID from table_transaction_responsible resp 
									left join setup_employee emp on emp.FULLNAME = resp.FULLNAME
									where resp.TRANSACTIONID = :trans
									and emp.PRODUCTCATEGORY not in '.$excludes);
								}
								else 
								{
									$mySQL->query('select resp.FULLNAME,resp.RECID from table_transaction_responsible resp 
									where resp.TRANSACTIONID = :trans');
								}
								$mySQL->addParam(":trans",$sles['TRANSACTIONID']);
								$excl= $mySQL->resultSet();
								$ex = 0;
								foreach($excl as $rep)
								{
									
									$ex++;
								}
								
								if($ex > 1)
								{
									foreach($excl as $exc)
									{
										$name = $name.$exc['FULLNAME']." | ";
									}
									$name = rtrim($name," | ");
								}
								elseif($ex == 1)
								{
									foreach($excl as $exc)
									{
										$name = $exc['FULLNAME'];
									}
								}
								
							}
								
							
							echo		'<tr>
											<td>'.$sles['STORENAME'].'</td>
											<td>'.$sles['ITEMID'].'</td>
											<td>'.$sles['ITEMNAME'].'</td>
											<td>'.$sles['SERIALNUMBER'].'</td>
											<td>'.$sles['SALESPRICE'].'</td>
											<td>'.$sles['DISCOUNT'].'</td>
											<td>'.$sles['SUBTOTAL'].'</td>
											<td>'.$sles['TRANSACTIONID'].'</td>
											<td>'.date_format(date_create($sles['TRANSACTIONDT']),'m/d/y').'</td>
											<td>'.$name.'</td>
										</tr>';
						}
						echo		'</tbody>
								</table>';
							
					}
				?>
						</section>
					<!-- end: page -->
				</section>
			</div>


			


<!-- modals: start -->


<!-- 
<div class="modal fade" id="inventTrans" tabindex="-1" role="dialog" aria-labelledby="inventTrans" aria-hidden="true">
	<div class="modal-dialog">
		
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title" id="myModalLabel">On Hand Stocks</h4>
			</div>
			<img width="100%" id="sectionLoader" style="display: none;" src="images/page-loader.gif">
			<div id="transactions">
				
			</div>
			
		</div>
		
	</div>
</div> -->
<!-- modals: end -->



			<?php include 'includes/rightbar.php'; ?>
		</section>

		<!-- Vendor -->
		<script type="text/javascript">
			// $(document).ready(function() {
			//     $('table.display').DataTable();
			// } );
			// function loadInventTrans(itemID,store){
			// 	document.getElementById('sectionLoader').style.display='block';
			// 	var xmlhttp = new XMLHttpRequest();
			// 	xmlhttp.onreadystatechange = function(){
			// 		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			// 			var receiver = document.getElementById('transactions');
			// 			document.getElementById('sectionLoader').style.display='none';
			// 			receiver.innerHTML = xmlhttp.responseText;

			// 		}
			// 	}
			// 	xmlhttp.open('GET', 'loads/loadInventTrans.php?itemID='+itemID+'&store='+store, true);
			// 	xmlhttp.send();
			// }
			
		</script>
		<script src="assets/vendor/jquery/jquery.js"></script>
		<script src="assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js"></script>
		<script src="assets/vendor/bootstrap/js/bootstrap.js"></script>
		<script src="assets/vendor/nanoscroller/nanoscroller.js"></script>
		<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
		<script src="assets/vendor/magnific-popup/magnific-popup.js"></script>
		<script src="assets/vendor/jquery-placeholder/jquery.placeholder.js"></script>
		
		<!-- Specific Page Vendor -->
		<script src="assets/vendor/pnotify/pnotify.custom.js"></script>
		<script src="assets/vendor/select2/select2.js"></script>
		<script src="assets/vendor/jquery-datatables/media/js/jquery.dataTables.js"></script>
		<script src="assets/vendor/jquery-datatables-bs3/assets/js/datatables.js"></script>
		
		
		<!-- Theme Base, Components and Settings -->
		<script src="assets/javascripts/theme.js"></script>
		
		<!-- Theme Custom -->
		<script src="assets/javascripts/theme.custom.js"></script>
		
		<!-- Theme Initialization Files -->
		<script src="assets/javascripts/theme.init.js"></script>


		<!-- Examples -->
		<script src="assets/javascripts/ui-elements/examples.modals.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.default.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.row.with.details.js"></script>
		<script src="assets/javascripts/tables/examples.datatables.tabletools.js"></script>
		
		<script src="classes/notifications.js"></script>


		
	</body>
</html>