		var txtScan = document.getElementById('scannedSearch');
			txtScan.addEventListener("keyup", function(event) {
			  document.getElementById('serialNumber2').value='';
			  document.getElementById('serialNumber2').disabled = true;
			  document.getElementById('serialPrompt').innerHTML = '';
			  document.getElementById('insuffPrompt').innerHTML = '';
			  
			  if (event.keyCode === 13) {
			    event.preventDefault();
			    // document.getElementById('serialYesNo').value = this.value;
			    var ean = this.value;
			    var xmlhttp = new XMLHttpRequest();
			 	 xmlhttp.onreadystatechange = function(){
			 	 	if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			 	 		var receiver = document.getElementById('serialTrigger');
			 			receiver.innerHTML = xmlhttp.responseText;
			 			document.getElementById('serialYesNo').click();
			 	 	}
			 	 }
			 	 xmlhttp.open('GET', 'loads/replaceSerialTrigger.php?ean='+ean, true);
			 	 xmlhttp.send();
			  }
			});

			var txtSerialNumber = document.getElementById("serialNumber");
			txtSerialNumber.addEventListener("keyup", function(event) {
			  //if (event.keyCode === 13) {
			    event.preventDefault();
			    if (this.value != '') {
			    	var itemID = document.getElementById('itemID2').value;
			    	scanSerialNumber(this.value,itemID); 
			    }
			  //}
			});

			var txtSerialNumber2 = document.getElementById("serialNumber2");
			txtSerialNumber2.addEventListener("keyup", function(event) {
			  if (event.keyCode === 13) {
			    event.preventDefault();
			    if (this.value != '') {
			    	var ean = document.getElementById('scannedSearch').value;
			    	addSerializedItem(this.value,ean); 
			    }
			  }
			});

			function addSerializedItem(serialNumber,ean){
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('serialPrompt');
						receiver.innerHTML = xmlhttp.responseText;
						loadTempTransaction('Sales');
						document.getElementById('serialNumber2').value='';
						document.getElementById('scannedSearch').value='';
						document.getElementById('scannedSearch').focus();

					}
				}
				xmlhttp.open('GET', 'functions/addSerialized2.php?serialNumber='+serialNumber+'&ean='+ean+'&type=Sales', true);
				xmlhttp.send();

				
			}

			function scanSerialNumber(serialNumber,itemID){
			 	 var xmlhttp = new XMLHttpRequest();
			 	 xmlhttp.onreadystatechange = function(){
			 	 	if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			 	 		var receiver = document.getElementById('scanSection');
			 			receiver.innerHTML = xmlhttp.responseText;
			 	 	}
			 	 }
			 	 xmlhttp.open('GET', 'loads/loadScannedSerial.php?serialNumber='+serialNumber+'&itemID='+itemID, true);
			 	 xmlhttp.send();
			 	
			 }

			 function showScannedSerials(itemID){
			 	 var xmlhttp = new XMLHttpRequest();
			 	 xmlhttp.onreadystatechange = function(){
			 	 	if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			 	 		var receiver = document.getElementById('scannedSerialArea');
			 			receiver.innerHTML = xmlhttp.responseText;
			 	 	}
			 	 }
			 	 xmlhttp.open('GET', 'loads/showScannedSerials.php?itemID='+itemID, true);
			 	 xmlhttp.send();
			 	 
			
			 }

			function deleteLine(itemID,ItemName){
				if (confirm('Are you sure to delete '+ItemName+' ?') == true) {
					var xmlhttp = new XMLHttpRequest();
					xmlhttp.onreadystatechange = function(){
						if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
							loadTempTransaction('Sales');
						}
					}
					xmlhttp.open('GET', 'functions/deleteTempItem.php?itemID='+itemID, true);
					xmlhttp.send();
				}
			}

			function itemManualSearch(item){
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('manualSearchResult');
						receiver.innerHTML = xmlhttp.responseText;

					}
				}
				xmlhttp.open('GET', 'loads/manualSearchResult.php?item='+item, true);
				xmlhttp.send();
			}

			function loadTempTransaction(type){
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('tempTrans');
						receiver.innerHTML = xmlhttp.responseText;
						document.getElementById('qty').value = 1;

					}
				}
				xmlhttp.open('GET', 'loads/loadTempTransaction.php?type='+type, true);
				xmlhttp.send();
			}


			function searchScanItem(itemID){
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('resultSearch');
						receiver.innerHTML = xmlhttp.responseText;
					}
				}
				xmlhttp.open('GET', 'loads/showItemResult.php?item='+itemID, true);
				xmlhttp.send();
			}

			function addNonSerialized(itemID){
				var qty = document.getElementById('qty').value;
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('insuffPrompt');
						receiver.innerHTML = xmlhttp.responseText;
						loadTempTransaction('Sales');
						itemManualSearch('');
						document.getElementById('manual').value = '';
					}
				}
				xmlhttp.open('GET', 'functions/addNonSerialized.php?item='+itemID+'&type=Sales&qty='+qty, true);
				xmlhttp.send();

			}


			function searchScannedItem(serialized,itemID){
				document.getElementById('barcodePrompt').style.display = 'none';
				if (serialized == 0) {
					addNonSerialized(itemID);
					document.getElementById('scannedSearch').value = '';
				}else if (serialized == 1) {
					// $('#searchResult').modal('show');
					document.getElementById('serialNumber2').disabled = false;
					document.getElementById('serialNumber2').focus();
				}else{
					//alert('Item Not Found');
					document.getElementById('barcodePrompt').style.display = 'block';
					document.getElementById('scannedSearch').value = '';
				}			 	
				
			 }

			 function loadTenderModal(){
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('tenderArea');
						receiver.innerHTML = xmlhttp.responseText;
					}
				}
				xmlhttp.open('GET', 'loads/loadTenderModal.php?type=Sales', true);
				xmlhttp.send();
				
			 }

			 function updateTotalAmount(){
			 	var cash =  document.getElementById('cash').value;
			 	var card = document.getElementById('card').value;
			 	var gc =  document.getElementById('gc').value;
			 	var check =  document.getElementById('check').value;
			 	var gcash =  document.getElementById('gcash').value;
			 	var others =  document.getElementById('others').value;
			 	tempTotal = parseFloat(cash) + parseFloat(card) + parseFloat(gc) + parseFloat(check) + parseFloat(gcash) + parseFloat(others);
			 	totalAmount= tempTotal.toFixed(2);

			 	document.getElementById('totalAmount').value = totalAmount;
			 	document.getElementById('total').innerHTML = '<span>P'+totalAmount+'</span>';
			 }


			 function updateVAT(vat,type){	 	
			 	if (vat == true) {
			 		val = 1;
			 		document.getElementById('vatRef').disabled = true;
			 		document.getElementById('vatRef').value = '';
			 		updateVATRef('','Sales');
			 	}else{
			 		val = 0;
			 		document.getElementById('vatRef').disabled = false;
			 	}
			 	var xmlhttp = new XMLHttpRequest();
			 	xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						loadTempTransaction('Sales');
					}
				}
				xmlhttp.open('GET', 'functions/updateTempHeader.php?vat='+val+'&type='+type, true);
				xmlhttp.send();
			 }

			 function updateEWT(ewt,type){
			 	if (ewt == true) {
			 		val = 1;
			 		document.getElementById('ewt').disabled = false;
			 	}else{
			 		val = 0;
			 		document.getElementById('ewt').disabled = true;
			 		document.getElementById('ewt').value = '';
			 		updateEWTRef('','Sales');
			 	}
			 	var xmlhttp = new XMLHttpRequest();
			 	xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						loadTempTransaction('Sales');
					}
				}
				xmlhttp.open('GET', 'functions/updateTempHeader.php?ewt='+val+'&type='+type, true);
				xmlhttp.send();
			 }


			  function updateVATRef(vatRef,type){	 	
			 	var xmlhttp = new XMLHttpRequest();
			 	xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						loadTempTransaction('Sales');
					}
				}
				xmlhttp.open('GET', 'functions/updateTempHeader.php?vatRef='+vatRef+'&type='+type, true);
				xmlhttp.send();
			 }

			 function updateEWTRef(ewtRef,type){
			 	var xmlhttp = new XMLHttpRequest();
			 	xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						loadTempTransaction('Sales');
					}
				}
				xmlhttp.open('GET', 'functions/updateTempHeader.php?ewtRef='+ewtRef+'&type='+type, true);
				xmlhttp.send();
			 }

			  function useReturnCredit(type){
			 	var xmlhttp = new XMLHttpRequest();
			 	xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('tenderParam');
						receiver.innerHTML = xmlhttp.responseText;
					}
				}
				xmlhttp.open('GET', 'loads/changeTenderParam.php?type='+type, true);
				xmlhttp.send();
			 }

			 function useNormalTender(type){
			 	var xmlhttp = new XMLHttpRequest();
			 	xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('tenderParam');
						receiver.innerHTML = xmlhttp.responseText;
					}
				}
				xmlhttp.open('GET', 'loads/changeTenderParam1.php?type='+type, true);
				xmlhttp.send();
			 }







			// pre selling scripts



			 function itemManualSearch1(item){
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('manualSearchResult');
						receiver.innerHTML = xmlhttp.responseText;
					}
				}
				xmlhttp.open('GET', 'loads/manualSearchResult1.php?item='+item, true);
				xmlhttp.send();
			}

			function addNonSerialized1(itemID){
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						// var receiver = document.getElementById('insuffPrompt');
						// receiver.innerHTML = xmlhttp.responseText;
						loadTempTransaction1('PreSell');
						itemManualSearch('');
						document.getElementById('manual').value = '';
					}
				}
				xmlhttp.open('GET', 'functions/addNonSerialized1.php?item='+itemID+'&type=PreSell', true);
				xmlhttp.send();

			}

			function deleteLine1(itemID,ItemName){
				if (confirm('Are you sure to delete '+ItemName+' ?') == true) {
					var xmlhttp = new XMLHttpRequest();
					xmlhttp.onreadystatechange = function(){
						if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
							loadTempTransaction1('PreSell');
						}
					}
					xmlhttp.open('GET', 'functions/deleteTempItem.php?itemID='+itemID, true);
					xmlhttp.send();
				}
			}

			function loadTempTransaction1(type){
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						var receiver = document.getElementById('tempTrans');
						receiver.innerHTML = xmlhttp.responseText;

					}
				}
				xmlhttp.open('GET', 'loads/loadTempTransaction1.php?type='+type, true);
				xmlhttp.send();
			}

			function changePriceDiscount(pricediscID){
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						

					}
				}
				xmlhttp.open('GET', 'functions/changePriceDiscount.php?id='+pricediscID, true);
				xmlhttp.send();
				
			}


